/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 34 "parser.y"


#define PARSER_VERSION_STRING "parser_version_3"

#include "config.h"
#include <stdlib.h>
#include <termios.h>
#include <sys/types.h>
#include <fcntl.h>
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <setjmp.h>
#include <sys/stat.h>                    /* structure stat       */
#include <unistd.h>                      /* prototype for stat() */
#include <sys/wait.h>
#include <signal.h>
#include <stdarg.h>
#include <pwd.h>
#include <syslog.h>
#include <string.h>
#include <errno.h>
#ifdef __linux__
#include <mntent.h>
#endif

#include "dosemu_config.h"
#include "emu.h"
#ifdef X86_EMULATOR
#include "cpu-emu.h"
#endif
#include "disks.h"
#include "port.h"
#define allow_io	port_allow_io
#include "lpt.h"
#include "video.h"
#include "vc.h"
#include "mouse.h"
#include "serial.h"
#include "timers.h"
#include "keymaps.h"
#include "keyb_server.h"
#include "memory.h"
#include "mapping.h"
#include "utilities.h"
#include "aspi.h"
#include "pktdrvr.h"
#include "iodev.h" /* for TM_BIOS / TM_PIT / TM_LINUX */

#define USERVAR_PREF	"dosemu_"
static int user_scope_level;

static int after_secure_check = 0;
static serial_t *sptr;
static serial_t nullser;
static mouse_t *mptr = &config.mouse;
static int c_ser = 0;

static struct disk *dptr;
static struct disk nulldisk;
static int c_hdisks = 0;
static int c_fdisks = 0;

int dexe_running = 0;
static int dexe_forbid_disk = 1;
char own_hostname[128];

static struct printer nullptr;
static struct printer *pptr = &nullptr;
static int c_printers = 0;

static int ports_permission = IO_RDWR;
static unsigned int ports_ormask = 0;
static unsigned int ports_andmask = 0xFFFF;
static unsigned int portspeed = 0;
static char dev_name[255]= "";

static int errors = 0;
static int warnings = 0;

static int priv_lvl = 0;
static int saved_priv_lvl = 0; 


static char *file_being_parsed;

			/* this to ensure we are parsing a new style */
static int parser_version_3_style_used = 0;
#define CONFNAME_V3USED "version_3_style_used"

	/* local procedures */

static void start_ports(void);
static void start_mouse(void);
static void stop_mouse(void);
static void start_debug(void);
static void start_video(void);
static void stop_video(void);
static void set_vesamodes(int width, int height, int color_bits);
static int detect_vbios_seg(void);
static int detect_vbios_size(void);
static void stop_ttylocks(void);
static void start_serial(void);
static void stop_serial(void);
static void start_printer(void);
static void stop_printer(void);
static void start_keyboard(void);
static void keytable_start(int layout);
static void keytable_stop(void);
static void dump_keytables_to_file(char *name);
static void stop_terminal(void);
static void start_disk(void);
static void do_part(char *);
static void start_bootdisk(void);
static void start_floppy(void);
static void stop_disk(int token);
static void start_vnet(char *);
static FILE* open_file(char* filename);
static void close_file(FILE* file);
static void write_to_syslog(char *message);
static void set_irq_value(int bits, int i1);
static void set_irq_range(int bits, int i1, int i2);
static int undefine_config_variable(char *name);
static void check_user_var(char *name);
static char *run_shell(char *command);
static int for_each_handling(int loopid, char *varname, char *delim, char *list);
static void enter_user_scope(int incstackptr);
static void leave_user_scope(int incstackptr);
static void handle_features(int which, int value);
static void set_joy_device(char *devstring);
static int parse_timemode(const char *);

	/* class stuff */
#define IFCLASS(m) if (is_in_allowed_classes(m))

#define CL_ALL			-1
#define CL_VAR		    0x200
#define CL_VPORT	   0x2000
#define CL_PORT		  0x20000
#define CL_PCI		  0x40000
#define CL_IRQ		 0x200000
#define CL_HARDRAM	0x1000000
#define CL_NET		0x2000000

static int is_in_allowed_classes(int mask);

#define TOF(x) ( x.type == TYPE_REAL ? x.value.r : x.value.i )
#define V_VAL(x,y,z) \
do { x.type = y.type; if (x.type == TYPE_REAL) x.value.r = (z); \
      else x.value.i = (z); } \
while (0)

	/* variables in lexer.l */




	/* for unicode keyboard plugin */
static void keyb_mod(int wich, t_keysym keynum, int unicode);
static void dump_keytable_part(FILE *f, t_keysym *map, int size);



#include "translate.h"
#include "dosemu_charset.h"
	/* for translate plugin */

static void set_internal_charset(char *charset_name);
static void set_external_charset(char *charset_name);


#line 243 "parser.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "parser.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_INTEGER = 3,                    /* INTEGER  */
  YYSYMBOL_L_OFF = 4,                      /* L_OFF  */
  YYSYMBOL_L_ON = 5,                       /* L_ON  */
  YYSYMBOL_L_AUTO = 6,                     /* L_AUTO  */
  YYSYMBOL_L_YES = 7,                      /* L_YES  */
  YYSYMBOL_L_NO = 8,                       /* L_NO  */
  YYSYMBOL_CHIPSET_TYPE = 9,               /* CHIPSET_TYPE  */
  YYSYMBOL_KEYB_LAYOUT = 10,               /* KEYB_LAYOUT  */
  YYSYMBOL_REAL = 11,                      /* REAL  */
  YYSYMBOL_STRING = 12,                    /* STRING  */
  YYSYMBOL_VARIABLE = 13,                  /* VARIABLE  */
  YYSYMBOL_EXPRTEST = 14,                  /* EXPRTEST  */
  YYSYMBOL_INTCAST = 15,                   /* INTCAST  */
  YYSYMBOL_REALCAST = 16,                  /* REALCAST  */
  YYSYMBOL_AND_OP = 17,                    /* AND_OP  */
  YYSYMBOL_OR_OP = 18,                     /* OR_OP  */
  YYSYMBOL_XOR_OP = 19,                    /* XOR_OP  */
  YYSYMBOL_SHR_OP = 20,                    /* SHR_OP  */
  YYSYMBOL_SHL_OP = 21,                    /* SHL_OP  */
  YYSYMBOL_NOT_OP = 22,                    /* NOT_OP  */
  YYSYMBOL_EQ_OP = 23,                     /* EQ_OP  */
  YYSYMBOL_GE_OP = 24,                     /* GE_OP  */
  YYSYMBOL_LE_OP = 25,                     /* LE_OP  */
  YYSYMBOL_26_ = 26,                       /* '='  */
  YYSYMBOL_27_ = 27,                       /* '<'  */
  YYSYMBOL_28_ = 28,                       /* '>'  */
  YYSYMBOL_NEQ_OP = 29,                    /* NEQ_OP  */
  YYSYMBOL_STR_EQ_OP = 30,                 /* STR_EQ_OP  */
  YYSYMBOL_STR_NEQ_OP = 31,                /* STR_NEQ_OP  */
  YYSYMBOL_L_AND_OP = 32,                  /* L_AND_OP  */
  YYSYMBOL_L_OR_OP = 33,                   /* L_OR_OP  */
  YYSYMBOL_34_ = 34,                       /* '+'  */
  YYSYMBOL_35_ = 35,                       /* '-'  */
  YYSYMBOL_36_ = 36,                       /* '*'  */
  YYSYMBOL_37_ = 37,                       /* '/'  */
  YYSYMBOL_UMINUS = 38,                    /* UMINUS  */
  YYSYMBOL_UPLUS = 39,                     /* UPLUS  */
  YYSYMBOL_BIT_NOT_OP = 40,                /* BIT_NOT_OP  */
  YYSYMBOL_STRLEN = 41,                    /* STRLEN  */
  YYSYMBOL_STRTOL = 42,                    /* STRTOL  */
  YYSYMBOL_STRNCMP = 43,                   /* STRNCMP  */
  YYSYMBOL_STRCAT = 44,                    /* STRCAT  */
  YYSYMBOL_STRPBRK = 45,                   /* STRPBRK  */
  YYSYMBOL_STRSPLIT = 46,                  /* STRSPLIT  */
  YYSYMBOL_STRCHR = 47,                    /* STRCHR  */
  YYSYMBOL_STRRCHR = 48,                   /* STRRCHR  */
  YYSYMBOL_STRSTR = 49,                    /* STRSTR  */
  YYSYMBOL_STRDEL = 50,                    /* STRDEL  */
  YYSYMBOL_STRSPN = 51,                    /* STRSPN  */
  YYSYMBOL_STRCSPN = 52,                   /* STRCSPN  */
  YYSYMBOL_SHELL = 53,                     /* SHELL  */
  YYSYMBOL_DEFINED = 54,                   /* DEFINED  */
  YYSYMBOL_DEFINE = 55,                    /* DEFINE  */
  YYSYMBOL_UNDEF = 56,                     /* UNDEF  */
  YYSYMBOL_IFSTATEMENT = 57,               /* IFSTATEMENT  */
  YYSYMBOL_WHILESTATEMENT = 58,            /* WHILESTATEMENT  */
  YYSYMBOL_FOREACHSTATEMENT = 59,          /* FOREACHSTATEMENT  */
  YYSYMBOL_ENTER_USER_SPACE = 60,          /* ENTER_USER_SPACE  */
  YYSYMBOL_LEAVE_USER_SPACE = 61,          /* LEAVE_USER_SPACE  */
  YYSYMBOL_CHECKUSERVAR = 62,              /* CHECKUSERVAR  */
  YYSYMBOL_DOSBANNER = 63,                 /* DOSBANNER  */
  YYSYMBOL_FASTFLOPPY = 64,                /* FASTFLOPPY  */
  YYSYMBOL_HOGTHRESH = 65,                 /* HOGTHRESH  */
  YYSYMBOL_SPEAKER = 66,                   /* SPEAKER  */
  YYSYMBOL_IPXSUPPORT = 67,                /* IPXSUPPORT  */
  YYSYMBOL_IPXNETWORK = 68,                /* IPXNETWORK  */
  YYSYMBOL_NOVELLHACK = 69,                /* NOVELLHACK  */
  YYSYMBOL_NETDEV = 70,                    /* NETDEV  */
  YYSYMBOL_VNET = 71,                      /* VNET  */
  YYSYMBOL_DEBUG = 72,                     /* DEBUG  */
  YYSYMBOL_MOUSE = 73,                     /* MOUSE  */
  YYSYMBOL_SERIAL = 74,                    /* SERIAL  */
  YYSYMBOL_COM = 75,                       /* COM  */
  YYSYMBOL_KEYBOARD = 76,                  /* KEYBOARD  */
  YYSYMBOL_TERMINAL = 77,                  /* TERMINAL  */
  YYSYMBOL_VIDEO = 78,                     /* VIDEO  */
  YYSYMBOL_EMURETRACE = 79,                /* EMURETRACE  */
  YYSYMBOL_TIMER = 80,                     /* TIMER  */
  YYSYMBOL_MATHCO = 81,                    /* MATHCO  */
  YYSYMBOL_CPU = 82,                       /* CPU  */
  YYSYMBOL_CPUSPEED = 83,                  /* CPUSPEED  */
  YYSYMBOL_RDTSC = 84,                     /* RDTSC  */
  YYSYMBOL_BOOTA = 85,                     /* BOOTA  */
  YYSYMBOL_BOOTB = 86,                     /* BOOTB  */
  YYSYMBOL_BOOTC = 87,                     /* BOOTC  */
  YYSYMBOL_L_XMS = 88,                     /* L_XMS  */
  YYSYMBOL_L_DPMI = 89,                    /* L_DPMI  */
  YYSYMBOL_DPMI_BASE = 90,                 /* DPMI_BASE  */
  YYSYMBOL_PM_DOS_API = 91,                /* PM_DOS_API  */
  YYSYMBOL_NO_NULL_CHECKS = 92,            /* NO_NULL_CHECKS  */
  YYSYMBOL_PORTS = 93,                     /* PORTS  */
  YYSYMBOL_DISK = 94,                      /* DISK  */
  YYSYMBOL_DOSMEM = 95,                    /* DOSMEM  */
  YYSYMBOL_EXT_MEM = 96,                   /* EXT_MEM  */
  YYSYMBOL_L_EMS = 97,                     /* L_EMS  */
  YYSYMBOL_L_UMB = 98,                     /* L_UMB  */
  YYSYMBOL_EMS_SIZE = 99,                  /* EMS_SIZE  */
  YYSYMBOL_EMS_FRAME = 100,                /* EMS_FRAME  */
  YYSYMBOL_TTYLOCKS = 101,                 /* TTYLOCKS  */
  YYSYMBOL_L_SOUND = 102,                  /* L_SOUND  */
  YYSYMBOL_L_SND_OSS = 103,                /* L_SND_OSS  */
  YYSYMBOL_L_JOYSTICK = 104,               /* L_JOYSTICK  */
  YYSYMBOL_FULL_FILE_LOCKS = 105,          /* FULL_FILE_LOCKS  */
  YYSYMBOL_DEXE = 106,                     /* DEXE  */
  YYSYMBOL_ALLOWDISK = 107,                /* ALLOWDISK  */
  YYSYMBOL_FORCEXDOS = 108,                /* FORCEXDOS  */
  YYSYMBOL_XDOSONLY = 109,                 /* XDOSONLY  */
  YYSYMBOL_ABORT = 110,                    /* ABORT  */
  YYSYMBOL_WARN = 111,                     /* WARN  */
  YYSYMBOL_BOOTDISK = 112,                 /* BOOTDISK  */
  YYSYMBOL_L_FLOPPY = 113,                 /* L_FLOPPY  */
  YYSYMBOL_EMUSYS = 114,                   /* EMUSYS  */
  YYSYMBOL_EMUINI = 115,                   /* EMUINI  */
  YYSYMBOL_L_X = 116,                      /* L_X  */
  YYSYMBOL_DOSEMUMAP = 117,                /* DOSEMUMAP  */
  YYSYMBOL_LOGBUFSIZE = 118,               /* LOGBUFSIZE  */
  YYSYMBOL_LOGFILESIZE = 119,              /* LOGFILESIZE  */
  YYSYMBOL_MAPPINGDRIVER = 120,            /* MAPPINGDRIVER  */
  YYSYMBOL_LFN_SUPPORT = 121,              /* LFN_SUPPORT  */
  YYSYMBOL_EMULATED = 122,                 /* EMULATED  */
  YYSYMBOL_NATIVE = 123,                   /* NATIVE  */
  YYSYMBOL_CPUEMU = 124,                   /* CPUEMU  */
  YYSYMBOL_VM86 = 125,                     /* VM86  */
  YYSYMBOL_FULL = 126,                     /* FULL  */
  YYSYMBOL_VM86SIM = 127,                  /* VM86SIM  */
  YYSYMBOL_FULLSIM = 128,                  /* FULLSIM  */
  YYSYMBOL_RAWKEYBOARD = 129,              /* RAWKEYBOARD  */
  YYSYMBOL_PRESTROKE = 130,                /* PRESTROKE  */
  YYSYMBOL_KEYTABLE = 131,                 /* KEYTABLE  */
  YYSYMBOL_SHIFT_MAP = 132,                /* SHIFT_MAP  */
  YYSYMBOL_ALT_MAP = 133,                  /* ALT_MAP  */
  YYSYMBOL_NUMPAD_MAP = 134,               /* NUMPAD_MAP  */
  YYSYMBOL_DUMP = 135,                     /* DUMP  */
  YYSYMBOL_DGRAVE = 136,                   /* DGRAVE  */
  YYSYMBOL_DACUTE = 137,                   /* DACUTE  */
  YYSYMBOL_DCIRCUM = 138,                  /* DCIRCUM  */
  YYSYMBOL_DTILDE = 139,                   /* DTILDE  */
  YYSYMBOL_DBREVE = 140,                   /* DBREVE  */
  YYSYMBOL_DABOVED = 141,                  /* DABOVED  */
  YYSYMBOL_DDIARES = 142,                  /* DDIARES  */
  YYSYMBOL_DABOVER = 143,                  /* DABOVER  */
  YYSYMBOL_DDACUTE = 144,                  /* DDACUTE  */
  YYSYMBOL_DCEDILLA = 145,                 /* DCEDILLA  */
  YYSYMBOL_DIOTA = 146,                    /* DIOTA  */
  YYSYMBOL_DOGONEK = 147,                  /* DOGONEK  */
  YYSYMBOL_DCARON = 148,                   /* DCARON  */
  YYSYMBOL_NETWORK = 149,                  /* NETWORK  */
  YYSYMBOL_PKTDRIVER = 150,                /* PKTDRIVER  */
  YYSYMBOL_DIRECTORY = 151,                /* DIRECTORY  */
  YYSYMBOL_NAMESTUB = 152,                 /* NAMESTUB  */
  YYSYMBOL_BINARY = 153,                   /* BINARY  */
  YYSYMBOL_BASE = 154,                     /* BASE  */
  YYSYMBOL_IRQ = 155,                      /* IRQ  */
  YYSYMBOL_INTERRUPT = 156,                /* INTERRUPT  */
  YYSYMBOL_DEVICE = 157,                   /* DEVICE  */
  YYSYMBOL_CHARSET = 158,                  /* CHARSET  */
  YYSYMBOL_BAUDRATE = 159,                 /* BAUDRATE  */
  YYSYMBOL_VIRTUAL = 160,                  /* VIRTUAL  */
  YYSYMBOL_MICROSOFT = 161,                /* MICROSOFT  */
  YYSYMBOL_MS3BUTTON = 162,                /* MS3BUTTON  */
  YYSYMBOL_LOGITECH = 163,                 /* LOGITECH  */
  YYSYMBOL_MMSERIES = 164,                 /* MMSERIES  */
  YYSYMBOL_MOUSEMAN = 165,                 /* MOUSEMAN  */
  YYSYMBOL_HITACHI = 166,                  /* HITACHI  */
  YYSYMBOL_MOUSESYSTEMS = 167,             /* MOUSESYSTEMS  */
  YYSYMBOL_BUSMOUSE = 168,                 /* BUSMOUSE  */
  YYSYMBOL_PS2 = 169,                      /* PS2  */
  YYSYMBOL_IMPS2 = 170,                    /* IMPS2  */
  YYSYMBOL_INTERNALDRIVER = 171,           /* INTERNALDRIVER  */
  YYSYMBOL_EMULATE3BUTTONS = 172,          /* EMULATE3BUTTONS  */
  YYSYMBOL_CLEARDTR = 173,                 /* CLEARDTR  */
  YYSYMBOL_L_DISPLAY = 174,                /* L_DISPLAY  */
  YYSYMBOL_L_TITLE = 175,                  /* L_TITLE  */
  YYSYMBOL_X_TITLE_SHOW_APPNAME = 176,     /* X_TITLE_SHOW_APPNAME  */
  YYSYMBOL_ICON_NAME = 177,                /* ICON_NAME  */
  YYSYMBOL_X_KEYCODE = 178,                /* X_KEYCODE  */
  YYSYMBOL_X_BLINKRATE = 179,              /* X_BLINKRATE  */
  YYSYMBOL_X_SHARECMAP = 180,              /* X_SHARECMAP  */
  YYSYMBOL_X_MITSHM = 181,                 /* X_MITSHM  */
  YYSYMBOL_X_FONT = 182,                   /* X_FONT  */
  YYSYMBOL_X_FIXED_ASPECT = 183,           /* X_FIXED_ASPECT  */
  YYSYMBOL_X_ASPECT_43 = 184,              /* X_ASPECT_43  */
  YYSYMBOL_X_LIN_FILT = 185,               /* X_LIN_FILT  */
  YYSYMBOL_X_BILIN_FILT = 186,             /* X_BILIN_FILT  */
  YYSYMBOL_X_MODE13FACT = 187,             /* X_MODE13FACT  */
  YYSYMBOL_X_WINSIZE = 188,                /* X_WINSIZE  */
  YYSYMBOL_X_GAMMA = 189,                  /* X_GAMMA  */
  YYSYMBOL_X_FULLSCREEN = 190,             /* X_FULLSCREEN  */
  YYSYMBOL_VGAEMU_MEMSIZE = 191,           /* VGAEMU_MEMSIZE  */
  YYSYMBOL_VESAMODE = 192,                 /* VESAMODE  */
  YYSYMBOL_X_LFB = 193,                    /* X_LFB  */
  YYSYMBOL_X_PM_INTERFACE = 194,           /* X_PM_INTERFACE  */
  YYSYMBOL_X_MGRAB_KEY = 195,              /* X_MGRAB_KEY  */
  YYSYMBOL_X_BACKGROUND_PAUSE = 196,       /* X_BACKGROUND_PAUSE  */
  YYSYMBOL_VGA = 197,                      /* VGA  */
  YYSYMBOL_MGA = 198,                      /* MGA  */
  YYSYMBOL_CGA = 199,                      /* CGA  */
  YYSYMBOL_EGA = 200,                      /* EGA  */
  YYSYMBOL_NONE = 201,                     /* NONE  */
  YYSYMBOL_CONSOLE = 202,                  /* CONSOLE  */
  YYSYMBOL_GRAPHICS = 203,                 /* GRAPHICS  */
  YYSYMBOL_CHIPSET = 204,                  /* CHIPSET  */
  YYSYMBOL_FULLREST = 205,                 /* FULLREST  */
  YYSYMBOL_PARTREST = 206,                 /* PARTREST  */
  YYSYMBOL_MEMSIZE = 207,                  /* MEMSIZE  */
  YYSYMBOL_VBIOS_SIZE_TOK = 208,           /* VBIOS_SIZE_TOK  */
  YYSYMBOL_VBIOS_SEG = 209,                /* VBIOS_SEG  */
  YYSYMBOL_VGAEMUBIOS_FILE = 210,          /* VGAEMUBIOS_FILE  */
  YYSYMBOL_VBIOS_FILE = 211,               /* VBIOS_FILE  */
  YYSYMBOL_VBIOS_COPY = 212,               /* VBIOS_COPY  */
  YYSYMBOL_VBIOS_MMAP = 213,               /* VBIOS_MMAP  */
  YYSYMBOL_DUALMON = 214,                  /* DUALMON  */
  YYSYMBOL_VBIOS_POST = 215,               /* VBIOS_POST  */
  YYSYMBOL_FORCE_VT_SWITCH = 216,          /* FORCE_VT_SWITCH  */
  YYSYMBOL_PCI = 217,                      /* PCI  */
  YYSYMBOL_UPDATEFREQ = 218,               /* UPDATEFREQ  */
  YYSYMBOL_UPDATELINES = 219,              /* UPDATELINES  */
  YYSYMBOL_COLOR = 220,                    /* COLOR  */
  YYSYMBOL_ESCCHAR = 221,                  /* ESCCHAR  */
  YYSYMBOL_XTERM_TITLE = 222,              /* XTERM_TITLE  */
  YYSYMBOL_IO = 223,                       /* IO  */
  YYSYMBOL_PORT = 224,                     /* PORT  */
  YYSYMBOL_CONFIG = 225,                   /* CONFIG  */
  YYSYMBOL_READ = 226,                     /* READ  */
  YYSYMBOL_WRITE = 227,                    /* WRITE  */
  YYSYMBOL_KEYB = 228,                     /* KEYB  */
  YYSYMBOL_PRINTER = 229,                  /* PRINTER  */
  YYSYMBOL_WARNING = 230,                  /* WARNING  */
  YYSYMBOL_GENERAL = 231,                  /* GENERAL  */
  YYSYMBOL_HARDWARE = 232,                 /* HARDWARE  */
  YYSYMBOL_L_IPC = 233,                    /* L_IPC  */
  YYSYMBOL_SOUND = 234,                    /* SOUND  */
  YYSYMBOL_TRACE = 235,                    /* TRACE  */
  YYSYMBOL_CLEAR = 236,                    /* CLEAR  */
  YYSYMBOL_LPT = 237,                      /* LPT  */
  YYSYMBOL_COMMAND = 238,                  /* COMMAND  */
  YYSYMBOL_TIMEOUT = 239,                  /* TIMEOUT  */
  YYSYMBOL_L_FILE = 240,                   /* L_FILE  */
  YYSYMBOL_L_PARTITION = 241,              /* L_PARTITION  */
  YYSYMBOL_BOOTFILE = 242,                 /* BOOTFILE  */
  YYSYMBOL_WHOLEDISK = 243,                /* WHOLEDISK  */
  YYSYMBOL_THREEINCH = 244,                /* THREEINCH  */
  YYSYMBOL_THREEINCH_720 = 245,            /* THREEINCH_720  */
  YYSYMBOL_THREEINCH_2880 = 246,           /* THREEINCH_2880  */
  YYSYMBOL_FIVEINCH = 247,                 /* FIVEINCH  */
  YYSYMBOL_ATAPI = 248,                    /* ATAPI  */
  YYSYMBOL_READONLY = 249,                 /* READONLY  */
  YYSYMBOL_LAYOUT = 250,                   /* LAYOUT  */
  YYSYMBOL_SECTORS = 251,                  /* SECTORS  */
  YYSYMBOL_CYLINDERS = 252,                /* CYLINDERS  */
  YYSYMBOL_TRACKS = 253,                   /* TRACKS  */
  YYSYMBOL_HEADS = 254,                    /* HEADS  */
  YYSYMBOL_OFFSET = 255,                   /* OFFSET  */
  YYSYMBOL_HDIMAGE = 256,                  /* HDIMAGE  */
  YYSYMBOL_DISKCYL4096 = 257,              /* DISKCYL4096  */
  YYSYMBOL_RDONLY = 258,                   /* RDONLY  */
  YYSYMBOL_WRONLY = 259,                   /* WRONLY  */
  YYSYMBOL_RDWR = 260,                     /* RDWR  */
  YYSYMBOL_ORMASK = 261,                   /* ORMASK  */
  YYSYMBOL_ANDMASK = 262,                  /* ANDMASK  */
  YYSYMBOL_RANGE = 263,                    /* RANGE  */
  YYSYMBOL_FAST = 264,                     /* FAST  */
  YYSYMBOL_SLOW = 265,                     /* SLOW  */
  YYSYMBOL_SILLYINT = 266,                 /* SILLYINT  */
  YYSYMBOL_USE_SIGIO = 267,                /* USE_SIGIO  */
  YYSYMBOL_HARDWARE_RAM = 268,             /* HARDWARE_RAM  */
  YYSYMBOL_SB_BASE = 269,                  /* SB_BASE  */
  YYSYMBOL_SB_IRQ = 270,                   /* SB_IRQ  */
  YYSYMBOL_SB_DMA = 271,                   /* SB_DMA  */
  YYSYMBOL_SB_HDMA = 272,                  /* SB_HDMA  */
  YYSYMBOL_SB_MIXER = 273,                 /* SB_MIXER  */
  YYSYMBOL_SB_DSP = 274,                   /* SB_DSP  */
  YYSYMBOL_MPU_BASE = 275,                 /* MPU_BASE  */
  YYSYMBOL_SOUND_DRIVER = 276,             /* SOUND_DRIVER  */
  YYSYMBOL_OSS_MIN_FRAGS = 277,            /* OSS_MIN_FRAGS  */
  YYSYMBOL_OSS_MAX_FRAGS = 278,            /* OSS_MAX_FRAGS  */
  YYSYMBOL_OSS_STALLED_FRAGS = 279,        /* OSS_STALLED_FRAGS  */
  YYSYMBOL_OSS_DO_POST = 280,              /* OSS_DO_POST  */
  YYSYMBOL_OSS_MIN_EXTRA_FRAGS = 281,      /* OSS_MIN_EXTRA_FRAGS  */
  YYSYMBOL_OSS_DAC_FREQ = 282,             /* OSS_DAC_FREQ  */
  YYSYMBOL_CDROM = 283,                    /* CDROM  */
  YYSYMBOL_ASPI = 284,                     /* ASPI  */
  YYSYMBOL_DEVICETYPE = 285,               /* DEVICETYPE  */
  YYSYMBOL_TARGET = 286,                   /* TARGET  */
  YYSYMBOL_FEATURE = 287,                  /* FEATURE  */
  YYSYMBOL_JOYSTICK = 288,                 /* JOYSTICK  */
  YYSYMBOL_JOY_DEVICE = 289,               /* JOY_DEVICE  */
  YYSYMBOL_JOY_DOS_MIN = 290,              /* JOY_DOS_MIN  */
  YYSYMBOL_JOY_DOS_MAX = 291,              /* JOY_DOS_MAX  */
  YYSYMBOL_JOY_GRANULARITY = 292,          /* JOY_GRANULARITY  */
  YYSYMBOL_JOY_LATENCY = 293,              /* JOY_LATENCY  */
  YYSYMBOL_CLI_TIMEOUT = 294,              /* CLI_TIMEOUT  */
  YYSYMBOL_PIC_WATCHDOG = 295,             /* PIC_WATCHDOG  */
  YYSYMBOL_TIMEMODE = 296,                 /* TIMEMODE  */
  YYSYMBOL_UNICODE = 297,                  /* UNICODE  */
  YYSYMBOL_SHIFT_ALT_MAP = 298,            /* SHIFT_ALT_MAP  */
  YYSYMBOL_CTRL_MAP = 299,                 /* CTRL_MAP  */
  YYSYMBOL_CTRL_ALT_MAP = 300,             /* CTRL_ALT_MAP  */
  YYSYMBOL_INTERNAL = 301,                 /* INTERNAL  */
  YYSYMBOL_EXTERNAL = 302,                 /* EXTERNAL  */
  YYSYMBOL_303_ = 303,                     /* ';'  */
  YYSYMBOL_304_ = 304,                     /* '{'  */
  YYSYMBOL_305_ = 305,                     /* '}'  */
  YYSYMBOL_306_ = 306,                     /* '('  */
  YYSYMBOL_307_ = 307,                     /* ')'  */
  YYSYMBOL_308_ = 308,                     /* ','  */
  YYSYMBOL_YYACCEPT = 309,                 /* $accept  */
  YYSYMBOL_lines = 310,                    /* lines  */
  YYSYMBOL_optdelim = 311,                 /* optdelim  */
  YYSYMBOL_line = 312,                     /* line  */
  YYSYMBOL_313_1 = 313,                    /* $@1  */
  YYSYMBOL_314_2 = 314,                    /* $@2  */
  YYSYMBOL_315_3 = 315,                    /* $@3  */
  YYSYMBOL_316_4 = 316,                    /* $@4  */
  YYSYMBOL_317_5 = 317,                    /* $@5  */
  YYSYMBOL_318_6 = 318,                    /* $@6  */
  YYSYMBOL_319_7 = 319,                    /* $@7  */
  YYSYMBOL_320_8 = 320,                    /* $@8  */
  YYSYMBOL_321_9 = 321,                    /* $@9  */
  YYSYMBOL_322_10 = 322,                   /* $@10  */
  YYSYMBOL_323_11 = 323,                   /* $@11  */
  YYSYMBOL_324_12 = 324,                   /* $@12  */
  YYSYMBOL_325_13 = 325,                   /* $@13  */
  YYSYMBOL_326_14 = 326,                   /* $@14  */
  YYSYMBOL_expression = 327,               /* expression  */
  YYSYMBOL_real_expression = 328,          /* real_expression  */
  YYSYMBOL_typed_expr = 329,               /* typed_expr  */
  YYSYMBOL_int_expr = 330,                 /* int_expr  */
  YYSYMBOL_bool_expr = 331,                /* bool_expr  */
  YYSYMBOL_real_expr = 332,                /* real_expr  */
  YYSYMBOL_variable_content = 333,         /* variable_content  */
  YYSYMBOL_string_unquoted = 334,          /* string_unquoted  */
  YYSYMBOL_string_expr = 335,              /* string_expr  */
  YYSYMBOL_strarglist = 336,               /* strarglist  */
  YYSYMBOL_strarglist_item = 337,          /* strarglist_item  */
  YYSYMBOL_check_user_var_list = 338,      /* check_user_var_list  */
  YYSYMBOL_x_flags = 339,                  /* x_flags  */
  YYSYMBOL_x_flag = 340,                   /* x_flag  */
  YYSYMBOL_dexeflags = 341,                /* dexeflags  */
  YYSYMBOL_dexeflag = 342,                 /* dexeflag  */
  YYSYMBOL_sound_flags = 343,              /* sound_flags  */
  YYSYMBOL_sound_flag = 344,               /* sound_flag  */
  YYSYMBOL_snd_oss_flags = 345,            /* snd_oss_flags  */
  YYSYMBOL_snd_oss_flag = 346,             /* snd_oss_flag  */
  YYSYMBOL_joystick_flags = 347,           /* joystick_flags  */
  YYSYMBOL_joystick_flag = 348,            /* joystick_flag  */
  YYSYMBOL_video_flags = 349,              /* video_flags  */
  YYSYMBOL_video_flag = 350,               /* video_flag  */
  YYSYMBOL_term_flags = 351,               /* term_flags  */
  YYSYMBOL_term_flag = 352,                /* term_flag  */
  YYSYMBOL_debug_flags = 353,              /* debug_flags  */
  YYSYMBOL_debug_flag = 354,               /* debug_flag  */
  YYSYMBOL_mouse_flags = 355,              /* mouse_flags  */
  YYSYMBOL_mouse_flag = 356,               /* mouse_flag  */
  YYSYMBOL_keyboard_flags = 357,           /* keyboard_flags  */
  YYSYMBOL_keyboard_flag = 358,            /* keyboard_flag  */
  YYSYMBOL_359_15 = 359,                   /* $@15  */
  YYSYMBOL_keyboard_mods = 360,            /* keyboard_mods  */
  YYSYMBOL_keyboard_mod = 361,             /* keyboard_mod  */
  YYSYMBOL_362_16 = 362,                   /* $@16  */
  YYSYMBOL_363_17 = 363,                   /* $@17  */
  YYSYMBOL_364_18 = 364,                   /* $@18  */
  YYSYMBOL_365_19 = 365,                   /* $@19  */
  YYSYMBOL_366_20 = 366,                   /* $@20  */
  YYSYMBOL_367_21 = 367,                   /* $@21  */
  YYSYMBOL_368_22 = 368,                   /* $@22  */
  YYSYMBOL_keyboard_modvals = 369,         /* keyboard_modvals  */
  YYSYMBOL_keyboard_modval = 370,          /* keyboard_modval  */
  YYSYMBOL_ttylocks_flags = 371,           /* ttylocks_flags  */
  YYSYMBOL_ttylocks_flag = 372,            /* ttylocks_flag  */
  YYSYMBOL_serial_flags = 373,             /* serial_flags  */
  YYSYMBOL_serial_flag = 374,              /* serial_flag  */
  YYSYMBOL_printer_flags = 375,            /* printer_flags  */
  YYSYMBOL_printer_flag = 376,             /* printer_flag  */
  YYSYMBOL_optbootfile = 377,              /* optbootfile  */
  YYSYMBOL_disk_flags = 378,               /* disk_flags  */
  YYSYMBOL_disk_flag = 379,                /* disk_flag  */
  YYSYMBOL_port_flags = 380,               /* port_flags  */
  YYSYMBOL_port_flag = 381,                /* port_flag  */
  YYSYMBOL_trace_port_flags = 382,         /* trace_port_flags  */
  YYSYMBOL_trace_port_flag = 383,          /* trace_port_flag  */
  YYSYMBOL_sillyint_flags = 384,           /* sillyint_flags  */
  YYSYMBOL_sillyint_flag = 385,            /* sillyint_flag  */
  YYSYMBOL_ems_flags = 386,                /* ems_flags  */
  YYSYMBOL_ems_flag = 387,                 /* ems_flag  */
  YYSYMBOL_hardware_ram_flags = 388,       /* hardware_ram_flags  */
  YYSYMBOL_hardware_ram_flag = 389,        /* hardware_ram_flag  */
  YYSYMBOL_bool = 390,                     /* bool  */
  YYSYMBOL_floppy_bool = 391,              /* floppy_bool  */
  YYSYMBOL_int_bool = 392,                 /* int_bool  */
  YYSYMBOL_irq_bool = 393,                 /* irq_bool  */
  YYSYMBOL_speaker = 394,                  /* speaker  */
  YYSYMBOL_cpuemu = 395,                   /* cpuemu  */
  YYSYMBOL_charset_flags = 396,            /* charset_flags  */
  YYSYMBOL_charset_flag = 397              /* charset_flag  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;


/* Second part of user prologue.  */
#line 230 "parser.y"

#include "lexer.h"

#line 678 "parser.c"


#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  232
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   3149

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  309
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  89
/* YYNRULES -- Number of rules.  */
#define YYNRULES  488
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  924

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   550


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     306,   307,    36,    34,   308,    35,     2,    37,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,   303,
      27,    26,    28,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   304,     2,   305,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    29,    30,    31,    32,    33,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   359,   359,   360,   361,   364,   365,   368,   370,   371,
     372,   373,   395,   398,   402,   407,   408,   409,   428,   429,
     439,   443,   444,   449,   454,   463,   468,   473,   478,   482,
     486,   491,   501,   510,   525,   535,   545,   551,   557,   561,
     565,   569,   580,   592,   596,   601,   608,   609,   614,   619,
     624,   629,   634,   639,   644,   645,   646,   647,   652,   653,
     661,   662,   663,   664,   679,   678,   682,   683,   686,   691,
     690,   694,   693,   697,   701,   700,   705,   704,   708,   707,
     711,   717,   722,   721,   724,   726,   725,   730,   729,   734,
     733,   737,   750,   764,   763,   767,   768,   769,   769,   770,
     771,   772,   774,   773,   776,   782,   784,   783,   789,   793,
     795,   797,   803,   805,   808,   811,   816,   817,   818,   819,
     821,   823,   825,   829,   831,   833,   837,   841,   853,   856,
     857,   859,   861,   863,   865,   866,   867,   871,   875,   879,
     885,   891,   897,   903,   907,   911,   919,   921,   923,   925,
     927,   929,   931,   933,   935,   937,   939,   940,   941,   942,
     943,   944,   950,   951,   955,   972,   982,   983,   984,   997,
    1009,  1013,  1016,  1017,  1026,  1027,  1036,  1040,  1048,  1049,
    1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,  1060,
    1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1073,  1078,
    1079,  1080,  1081,  1082,  1083,  1084,  1086,  1087,  1088,  1089,
    1092,  1093,  1096,  1097,  1101,  1113,  1114,  1116,  1117,  1118,
    1119,  1120,  1121,  1122,  1123,  1125,  1126,  1128,  1129,  1130,
    1131,  1132,  1133,  1138,  1139,  1141,  1142,  1143,  1144,  1145,
    1150,  1151,  1153,  1154,  1155,  1156,  1157,  1158,  1163,  1164,
    1167,  1170,  1171,  1172,  1175,  1176,  1180,  1184,  1195,  1206,
    1207,  1208,  1209,  1210,  1213,  1218,  1219,  1221,  1222,  1223,
    1224,  1227,  1236,  1237,  1239,  1240,  1241,  1242,  1243,  1244,
    1245,  1246,  1247,  1248,  1249,  1250,  1251,  1252,  1253,  1254,
    1255,  1256,  1257,  1258,  1259,  1260,  1261,  1262,  1263,  1265,
    1270,  1271,  1273,  1274,  1275,  1276,  1277,  1283,  1288,  1293,
    1299,  1304,  1309,  1314,  1319,  1324,  1329,  1334,  1336,  1341,
    1342,  1344,  1345,  1345,  1346,  1347,  1348,  1349,  1352,  1355,
    1356,  1359,  1359,  1360,  1360,  1361,  1361,  1362,  1362,  1363,
    1363,  1364,  1364,  1365,  1365,  1368,  1369,  1372,  1373,  1374,
    1375,  1376,  1377,  1378,  1379,  1380,  1381,  1382,  1383,  1384,
    1385,  1386,  1387,  1388,  1397,  1398,  1400,  1401,  1402,  1403,
    1405,  1410,  1411,  1413,  1415,  1427,  1429,  1430,  1431,  1432,
    1433,  1435,  1440,  1441,  1443,  1444,  1445,  1446,  1447,  1448,
    1450,  1455,  1461,  1464,  1465,  1467,  1468,  1469,  1470,  1471,
    1472,  1473,  1474,  1475,  1476,  1477,  1478,  1479,  1485,  1491,
    1499,  1506,  1513,  1520,  1522,  1529,  1531,  1536,  1537,  1539,
    1546,  1552,  1562,  1572,  1573,  1574,  1575,  1576,  1577,  1578,
    1579,  1580,  1583,  1586,  1587,  1589,  1591,  1593,  1595,  1597,
    1598,  1601,  1606,  1607,  1609,  1610,  1611,  1612,  1613,  1614,
    1615,  1616,  1619,  1624,  1625,  1627,  1632,  1637,  1642,  1656,
    1659,  1664,  1665,  1667,  1673,  1679,  1686,  1693,  1696,  1701,
    1704,  1707,  1715,  1724,  1725,  1726,  1727,  1729,  1734,  1735,
    1736,  1737,  1738,  1739,  1741,  1744,  1745,  1748,  1749
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "INTEGER", "L_OFF",
  "L_ON", "L_AUTO", "L_YES", "L_NO", "CHIPSET_TYPE", "KEYB_LAYOUT", "REAL",
  "STRING", "VARIABLE", "EXPRTEST", "INTCAST", "REALCAST", "AND_OP",
  "OR_OP", "XOR_OP", "SHR_OP", "SHL_OP", "NOT_OP", "EQ_OP", "GE_OP",
  "LE_OP", "'='", "'<'", "'>'", "NEQ_OP", "STR_EQ_OP", "STR_NEQ_OP",
  "L_AND_OP", "L_OR_OP", "'+'", "'-'", "'*'", "'/'", "UMINUS", "UPLUS",
  "BIT_NOT_OP", "STRLEN", "STRTOL", "STRNCMP", "STRCAT", "STRPBRK",
  "STRSPLIT", "STRCHR", "STRRCHR", "STRSTR", "STRDEL", "STRSPN", "STRCSPN",
  "SHELL", "DEFINED", "DEFINE", "UNDEF", "IFSTATEMENT", "WHILESTATEMENT",
  "FOREACHSTATEMENT", "ENTER_USER_SPACE", "LEAVE_USER_SPACE",
  "CHECKUSERVAR", "DOSBANNER", "FASTFLOPPY", "HOGTHRESH", "SPEAKER",
  "IPXSUPPORT", "IPXNETWORK", "NOVELLHACK", "NETDEV", "VNET", "DEBUG",
  "MOUSE", "SERIAL", "COM", "KEYBOARD", "TERMINAL", "VIDEO", "EMURETRACE",
  "TIMER", "MATHCO", "CPU", "CPUSPEED", "RDTSC", "BOOTA", "BOOTB", "BOOTC",
  "L_XMS", "L_DPMI", "DPMI_BASE", "PM_DOS_API", "NO_NULL_CHECKS", "PORTS",
  "DISK", "DOSMEM", "EXT_MEM", "L_EMS", "L_UMB", "EMS_SIZE", "EMS_FRAME",
  "TTYLOCKS", "L_SOUND", "L_SND_OSS", "L_JOYSTICK", "FULL_FILE_LOCKS",
  "DEXE", "ALLOWDISK", "FORCEXDOS", "XDOSONLY", "ABORT", "WARN",
  "BOOTDISK", "L_FLOPPY", "EMUSYS", "EMUINI", "L_X", "DOSEMUMAP",
  "LOGBUFSIZE", "LOGFILESIZE", "MAPPINGDRIVER", "LFN_SUPPORT", "EMULATED",
  "NATIVE", "CPUEMU", "VM86", "FULL", "VM86SIM", "FULLSIM", "RAWKEYBOARD",
  "PRESTROKE", "KEYTABLE", "SHIFT_MAP", "ALT_MAP", "NUMPAD_MAP", "DUMP",
  "DGRAVE", "DACUTE", "DCIRCUM", "DTILDE", "DBREVE", "DABOVED", "DDIARES",
  "DABOVER", "DDACUTE", "DCEDILLA", "DIOTA", "DOGONEK", "DCARON",
  "NETWORK", "PKTDRIVER", "DIRECTORY", "NAMESTUB", "BINARY", "BASE", "IRQ",
  "INTERRUPT", "DEVICE", "CHARSET", "BAUDRATE", "VIRTUAL", "MICROSOFT",
  "MS3BUTTON", "LOGITECH", "MMSERIES", "MOUSEMAN", "HITACHI",
  "MOUSESYSTEMS", "BUSMOUSE", "PS2", "IMPS2", "INTERNALDRIVER",
  "EMULATE3BUTTONS", "CLEARDTR", "L_DISPLAY", "L_TITLE",
  "X_TITLE_SHOW_APPNAME", "ICON_NAME", "X_KEYCODE", "X_BLINKRATE",
  "X_SHARECMAP", "X_MITSHM", "X_FONT", "X_FIXED_ASPECT", "X_ASPECT_43",
  "X_LIN_FILT", "X_BILIN_FILT", "X_MODE13FACT", "X_WINSIZE", "X_GAMMA",
  "X_FULLSCREEN", "VGAEMU_MEMSIZE", "VESAMODE", "X_LFB", "X_PM_INTERFACE",
  "X_MGRAB_KEY", "X_BACKGROUND_PAUSE", "VGA", "MGA", "CGA", "EGA", "NONE",
  "CONSOLE", "GRAPHICS", "CHIPSET", "FULLREST", "PARTREST", "MEMSIZE",
  "VBIOS_SIZE_TOK", "VBIOS_SEG", "VGAEMUBIOS_FILE", "VBIOS_FILE",
  "VBIOS_COPY", "VBIOS_MMAP", "DUALMON", "VBIOS_POST", "FORCE_VT_SWITCH",
  "PCI", "UPDATEFREQ", "UPDATELINES", "COLOR", "ESCCHAR", "XTERM_TITLE",
  "IO", "PORT", "CONFIG", "READ", "WRITE", "KEYB", "PRINTER", "WARNING",
  "GENERAL", "HARDWARE", "L_IPC", "SOUND", "TRACE", "CLEAR", "LPT",
  "COMMAND", "TIMEOUT", "L_FILE", "L_PARTITION", "BOOTFILE", "WHOLEDISK",
  "THREEINCH", "THREEINCH_720", "THREEINCH_2880", "FIVEINCH", "ATAPI",
  "READONLY", "LAYOUT", "SECTORS", "CYLINDERS", "TRACKS", "HEADS",
  "OFFSET", "HDIMAGE", "DISKCYL4096", "RDONLY", "WRONLY", "RDWR", "ORMASK",
  "ANDMASK", "RANGE", "FAST", "SLOW", "SILLYINT", "USE_SIGIO",
  "HARDWARE_RAM", "SB_BASE", "SB_IRQ", "SB_DMA", "SB_HDMA", "SB_MIXER",
  "SB_DSP", "MPU_BASE", "SOUND_DRIVER", "OSS_MIN_FRAGS", "OSS_MAX_FRAGS",
  "OSS_STALLED_FRAGS", "OSS_DO_POST", "OSS_MIN_EXTRA_FRAGS",
  "OSS_DAC_FREQ", "CDROM", "ASPI", "DEVICETYPE", "TARGET", "FEATURE",
  "JOYSTICK", "JOY_DEVICE", "JOY_DOS_MIN", "JOY_DOS_MAX",
  "JOY_GRANULARITY", "JOY_LATENCY", "CLI_TIMEOUT", "PIC_WATCHDOG",
  "TIMEMODE", "UNICODE", "SHIFT_ALT_MAP", "CTRL_MAP", "CTRL_ALT_MAP",
  "INTERNAL", "EXTERNAL", "';'", "'{'", "'}'", "'('", "')'", "','",
  "$accept", "lines", "optdelim", "line", "$@1", "$@2", "$@3", "$@4",
  "$@5", "$@6", "$@7", "$@8", "$@9", "$@10", "$@11", "$@12", "$@13",
  "$@14", "expression", "real_expression", "typed_expr", "int_expr",
  "bool_expr", "real_expr", "variable_content", "string_unquoted",
  "string_expr", "strarglist", "strarglist_item", "check_user_var_list",
  "x_flags", "x_flag", "dexeflags", "dexeflag", "sound_flags",
  "sound_flag", "snd_oss_flags", "snd_oss_flag", "joystick_flags",
  "joystick_flag", "video_flags", "video_flag", "term_flags", "term_flag",
  "debug_flags", "debug_flag", "mouse_flags", "mouse_flag",
  "keyboard_flags", "keyboard_flag", "$@15", "keyboard_mods",
  "keyboard_mod", "$@16", "$@17", "$@18", "$@19", "$@20", "$@21", "$@22",
  "keyboard_modvals", "keyboard_modval", "ttylocks_flags", "ttylocks_flag",
  "serial_flags", "serial_flag", "printer_flags", "printer_flag",
  "optbootfile", "disk_flags", "disk_flag", "port_flags", "port_flag",
  "trace_port_flags", "trace_port_flag", "sillyint_flags", "sillyint_flag",
  "ems_flags", "ems_flag", "hardware_ram_flags", "hardware_ram_flag",
  "bool", "floppy_bool", "int_bool", "irq_bool", "speaker", "cpuemu",
  "charset_flags", "charset_flag", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-761)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-323)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
    2720,  -761,  -761,   -14,  2018,  -290,    16,    16,  -270,    37,
      41,  -761,  -761,    25,  2018,  2018,  2018,   197,  2018,  2018,
    2018,   373,   373,    75,  -761,  -761,  -761,  -258,  -761,  2018,
    2018,  2018,  1279,  2080,  2018,  -761,  -761,  -761,  2018,  2018,
    2018,  2018,  2018,  -761,  -761,  2018,  2018,  1813,  2018,  -248,
    2018,  -245,  1883,  2018,  -215,    75,    75,  -761,  -761,    85,
     110,  -212,   373,  2018,  2018,   373,  2018,    92,   373,    -1,
    2018,  -210,  2018,   373,  -761,   -29,  2018,  -761,  -204,  -196,
    -192,  2018,  2018,   373,  1485,  -761,    75,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,    96,  -761,  -182,  -159,  2018,  2018,
    2018,  2018,  -153,  -151,  -137,  -123,  -115,  -112,  -104,   -93,
     -92,   -90,   -58,   -57,   -54,   -52,  2018,  1106,  -761,  -761,
    -761,   102,  -761,   109,    75,  -761,  -761,  -761,  2018,  -194,
    -143,  -761,   -32,  -761,  1106,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  2018,   -23,  -761,   -26,  -761,   -19,   -16,   -12,
     106,   -11,  -761,  -761,  -761,  -761,  -761,   305,  -761,  1106,
    -761,  -761,  -761,  -761,  -761,  -761,     6,    14,  -761,  -761,
      46,  -761,  -761,   372,    21,  -761,   294,   -68,  -761,  -761,
      35,   -26,   -26,    34,    47,   373,  -761,   373,  -761,  2924,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,   373,  -761,  -165,  -761,  -761,
      49,    50,    51,  -761,  -761,    58,   373,   373,  2018,  -761,
    -761,  -761,  -761,  -761,  2471,  -761,   -26,  2018,  2018,   442,
    -761,  -761,  -761,   373,   373,   373,    75,   373,   373,   373,
     373,   373,   373,   373,   373,    75,    16,  1162,  2018,  2018,
    2018,  2018,  2018,  2018,  2018,  2018,  2018,  2018,  2018,  2018,
    2018,  2018,  2018,  2018,  2018,   373,   373,  -149,    26,    40,
     357,   363,  1195,  2841,    75,     9,   410,    79,  -761,  -761,
    2018,  2018,  2018,    66,  -761,  2462,  -761,    36,   795,  -761,
    -761,  -761,  2018,  2018,  2018,    17,  -761,  -761,  -761,   373,
     373,  -761,    59,  -761,   324,  2018,  2018,  2018,  2018,  2018,
    2018,   263,  -761,   373,  2018,  2018,  2018,  2018,  -141,  -761,
    -761,  -761,  -761,   -25,  -761,   795,   795,    72,    77,   373,
     373,  2018,   373,  2018,  2018,  -761,  2018,   373,  2018,  -761,
    -761,  -761,  2018,  2132,  2018,  2018,  2018,  2187,  2018,  2018,
     373,  2018,  2018,  2018,  2844,  -761,    83,  -761,   366,   376,
    -240,  -761,   191,    73,    98,    74,    87,   108,   370,  -761,
    -761,  1391,  2590,    91,    95,    93,  -146,    97,    99,   101,
     104,   105,   107,   112,   116,  -119,   118,  -761,   442,   442,
     442,   442,   442,   569,   569,   569,   569,   569,   569,   452,
     452,   160,   160,  -761,  -761,  -761,  -761,  -761,  -761,  2018,
     121,  -761,  -761,  -761,  -761,  -761,  2018,  2018,  2018,  2018,
    2018,  2018,  2018,  2018,  2018,  2018,  2018,  2018,  2018,  2018,
    2018,  2018,  2018,  2018,  2018,  2018,  2018,  2018,  2018,  1161,
    -761,  -761,  -761,  -761,   373,  2018,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,    94,
    -761,  -761,  -761,  -761,  2018,  2018,  2018,  2018,   373,  -761,
      30,  -761,  -761,  -761,  2018,   103,    78,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,   401,  -761,  -761,  2018,  2018,  2018,   373,   373,
    -761,  -761,  -761,  -761,  -761,  -761,    29,  -761,  -761,  -761,
    -761,   373,  -761,  -761,  -761,  2018,  2018,  2240,  -761,  -761,
    2018,    10,  -761,  -761,  -761,   373,   373,   373,   373,   373,
     404,  -761,  -761,  -761,  -761,  -761,  -761,  2018,  2018,  2018,
    2018,  2018,   373,  -761,   456,  -761,  -761,  -761,   125,  -761,
    -761,  -761,  -761,  -761,  -761,  2018,  2018,  2018,  2018,   373,
     373,  2018,   373,   179,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,   479,   776,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,   430,   127,  -761,  -761,
    -761,   433,   133,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  1751,  -761,  -761,  -761,  -761,  -761,  -761,  2018,  2018,
     373,  2018,   373,   129,  -761,  -761,  -761,  -761,  -761,  2292,
    2018,    42,  -761,  -761,  -761,  -761,  2347,  1948,  2018,    54,
    -761,  -761,  -761,  -761,  2399,  2018,    69,  -761,  -761,   373,
    2018,  -761,  -761,  -761,  -761,   373,  -761,   373,  2018,   373,
     373,   373,  2018,   373,   373,  -761,  -761,   130,   373,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,   139,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,   441,   148,   151,  -761,  -761,  -761,  -761,   218,
    -761,     5,   218,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  2018,   469,  2018,  2018,  2018,
    2018,  2018,  2018,  2018,   447,  1614,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,   487,   187,   202,  -761,  -761,   507,
     203,  2454,  -761,   208,  -761,  -761,   513,   210,   212,  -761,
    -761,   234,   216,   214,   219,   220,   222,   224,   226,   231,
     239,   240,  -761,   241,   223,  -761,  2018,  -761,   373,  -761,
     218,  -761,  -761,  -761,  -761,   243,   522,   530,   531,   533,
     534,   537,  -761,  -761,  -761,  -761,  2018,  -761,  -761,  2018,
     574,   283,  -761,  -761,  2018,  -761,  2018,  -761,  2018,  -761,
    2018,  -761,  -761,  -761,  2018,  -761,  -761,    75,  1751,  -761,
    -761,  -761,  2018,  -761,  -761,  -761,  -761,  -761,  -761,   360,
    -761,  -761,  -761,  2018,  -761,   304,   307,   310,   321,  -108,
    1681,  -761,   360,   360,   360,   360,   360,   360,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  2018,  -761,   323,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,   323,   323,   323,   323,   323,   323,
     322,   360,  -761,  -761
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       0,   113,   112,     0,     0,     0,     0,     0,     0,     0,
       0,    15,    16,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    69,    71,    74,    76,     0,    64,     0,
       0,     0,     0,     0,     0,    38,    40,    39,     0,     0,
       0,     0,     0,    82,    85,     0,     0,     0,     0,     0,
      97,     0,     0,     0,     0,     0,     0,    87,    89,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    93,     0,   102,   106,     0,     0,
       0,     0,     0,     0,     0,     2,     0,   129,   160,   159,
     134,   157,   158,   162,   145,   164,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    19,   116,   117,
     118,   127,   166,     0,     0,   165,     9,    10,     0,     0,
       0,   176,    18,   469,   114,    44,   470,    30,     8,   477,
     473,   476,   475,   474,    63,    57,   471,    58,    61,   171,
      60,    62,     0,     0,   174,    68,   172,     0,     0,     0,
       0,     0,    45,    41,    56,    32,    31,   129,    34,   115,
      36,    48,    50,    51,    52,    53,     0,     0,    54,    55,
       0,    47,    49,     0,     0,    96,     0,     0,   100,    28,
       0,    20,    21,     0,     0,     0,    22,     0,    26,     0,
      24,    42,    43,    25,    29,   484,   478,   483,   479,   480,
     481,   482,    33,    80,    78,     0,    59,     0,    37,    66,
       0,     0,     0,   472,   104,     0,     0,     0,     0,   109,
     110,   111,     1,     5,     0,     3,    17,     0,     0,   156,
     124,   123,   133,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   271,   270,
       0,     0,     0,     0,   265,     0,    35,     0,     0,   460,
     455,   459,     0,     0,     0,     0,   453,   370,   369,     0,
       0,   368,     0,   364,     0,     0,     0,     0,     0,     0,
       0,     0,   225,     0,     0,     0,     0,     0,     0,   233,
     212,   213,   214,     0,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,     0,     0,   193,
     194,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   178,     0,    81,     0,     0,
       0,   485,     0,     0,     0,     0,     0,     0,     0,     6,
       4,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   128,   130,   131,
     132,   125,   126,   146,   148,   149,   150,   151,   147,   152,
     153,   119,   120,   121,   122,   154,   155,    14,    11,     0,
       0,   177,   175,   299,   275,   298,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     272,   173,   318,   317,     0,     0,   307,   308,   311,   310,
     314,   315,   309,   316,   312,   313,   303,   304,   306,     0,
     300,   381,   380,   379,     0,     0,     0,     0,     0,   374,
       0,   371,   328,   327,     0,     0,     0,   319,   268,   269,
     267,    67,   266,   264,   263,   242,   243,   244,   245,   246,
     250,   249,     0,   251,   252,     0,     0,     0,     0,     0,
     255,   256,   260,   259,   261,   262,     0,   240,   432,   419,
     431,     0,   423,   424,   425,     0,     0,     0,   428,   429,
       0,     0,   417,   416,   415,     0,     0,     0,     0,     0,
       0,   396,   398,   397,   400,   399,   395,     0,     0,     0,
       0,     0,     0,   401,     0,   393,   457,   458,     0,    46,
     454,   366,   367,    73,   365,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   215,   227,   228,   229,   230,   231,
     232,    99,   226,   235,   236,   237,   238,   239,   101,   234,
     105,   211,     0,     0,    23,    27,   182,   183,   184,   185,
     186,   187,   190,   191,   192,   196,   129,     0,   199,   200,
     201,   129,     0,   206,   207,   208,   209,   181,   180,    95,
     179,     0,   487,   488,     7,   486,   390,   389,     0,     0,
       0,     0,     0,     0,   382,   441,   435,   440,   439,     0,
       0,     0,   433,   452,   444,   451,     0,     0,     0,     0,
     442,   468,   463,   467,     0,     0,     0,   461,    91,     0,
       0,   135,   163,   137,   136,     0,   167,     0,     0,     0,
       0,     0,     0,     0,     0,   170,   161,     0,     0,   290,
     276,   282,   274,   288,   289,   278,   293,   295,   294,   284,
     285,   277,   279,   280,   281,   283,   286,   287,   291,   292,
     296,   297,    70,   273,   302,   305,    72,   301,   375,   376,
     377,   378,   373,    75,   372,   326,   325,   324,   321,    77,
     320,   247,   248,   258,   257,   254,   253,    65,   241,   430,
     426,   427,   129,     0,     0,    83,   418,   411,   414,   392,
     408,   392,   392,   402,   403,   404,   405,   406,   409,    86,
     394,   456,   217,   220,   218,   219,   221,   222,   223,   224,
      98,   216,    88,    90,   197,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   329,   388,   384,   385,
     386,   387,    94,   383,   129,     0,     0,    84,   434,   129,
       0,     0,   446,     0,   103,   443,   129,     0,     0,   107,
     462,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    12,     0,     0,   421,     0,   420,     0,   407,
     392,   413,   410,   198,   203,   204,     0,     0,     0,     0,
       0,     0,   337,    79,   330,   437,     0,   436,   447,     0,
     129,     0,   445,   465,     0,   464,     0,   108,     0,   139,
       0,   140,   141,   142,     0,   143,   144,     0,     0,   422,
     391,   412,     0,   339,   341,   343,   333,   331,   335,     0,
     438,   448,   449,     0,   466,     0,     0,     0,     0,     0,
       0,   205,     0,     0,     0,     0,     0,     0,   361,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   347,     0,   363,   338,   345,   450,    92,   138,
     168,   169,    13,   323,   340,   342,   344,   334,   332,   336,
       0,     0,   362,   346
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -761,  -761,  -761,   -77,  -761,  -761,  -761,  -761,  -761,  -761,
    -761,  -761,  -761,  -761,  -761,  -761,  -761,  -761,   -13,  -761,
    2823,  -761,  -761,  -761,   335,    -6,   861,   -51,   328,  -761,
    -761,   268,  -761,   306,  -761,    64,  -761,   317,  -761,   312,
    -761,   132,  -761,   350,  -761,   200,  -761,   177,  -761,   164,
    -761,  -207,  -760,  -761,  -761,  -761,  -761,  -761,  -761,  -761,
    -262,  -269,  -761,   341,  -761,   174,  -761,    23,  -718,  -130,
    -540,  -761,   131,  -761,    19,  -761,    12,  -761,   358,  -761,
       8,   920,  -761,   400,  -761,  -761,  -761,  -761,   295
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    84,   234,    85,   161,   153,   157,   158,   159,   366,
     176,   177,   193,   194,   220,   184,   222,   225,   133,   168,
     134,   118,   119,   120,   121,   122,   123,   155,   156,   132,
     364,   365,   333,   334,   573,   574,   321,   322,   328,   329,
     516,   517,   293,   294,   449,   450,   469,   470,   486,   487,
     814,   775,   776,   886,   885,   887,   869,   882,   883,   884,
     905,   906,   312,   313,   480,   481,   633,   634,   819,   554,
     555,   531,   532,   641,   642,   649,   650,   305,   306,   656,
     657,   135,   137,   147,   224,   144,   212,   370,   371
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     126,   127,   136,   138,   191,   192,   146,   235,   820,   214,
     452,   518,    86,   519,   750,   834,   124,   163,   299,   166,
     300,   453,   520,   821,   822,   146,   146,   146,   125,   301,
     493,   471,   146,   146,   146,   236,   128,   518,   131,   519,
     129,   494,   472,   635,   130,   636,   160,   299,   520,   300,
     201,   202,   750,   750,   637,   643,   183,   644,   301,   186,
     307,   368,   369,   223,   221,   624,   645,   288,   146,   146,
     651,   308,   652,   277,   635,   651,   636,   652,   289,   482,
     482,   653,   330,   331,   332,   637,   653,   125,    95,   190,
     483,   483,   199,   205,   217,   452,   206,   125,    95,   643,
     226,   644,   861,   473,   207,   474,   453,   288,   227,   716,
     645,   717,   228,   718,   279,   278,   302,   303,   289,   105,
     834,   107,   125,    95,   237,   111,  -165,  -165,   114,   105,
     626,   107,  -171,  -171,   215,   111,   368,   369,   114,   275,
     276,   627,   330,   331,   332,   302,   303,   238,   323,   324,
     325,   326,   327,   243,   105,   244,   107,   380,   417,   284,
     111,   666,   284,   114,   588,   280,   454,   521,   455,   245,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   246,   475,   476,   477,   478,   675,   284,
     479,   247,   626,   521,   248,   386,   273,   274,   139,   912,
     284,   140,   249,   627,   395,   592,   593,   484,   484,   141,
     309,   310,   311,   250,   251,   378,   252,   208,   209,   210,
     211,   323,   324,   325,   326,   327,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   818,   253,   254,
     396,   454,   255,   455,   256,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   522,   523,
     524,   525,   526,   527,   528,   529,   281,   488,   638,   490,
     590,   283,   284,   628,   290,   285,   291,   292,   286,   556,
     557,   558,   287,   295,   522,   523,   524,   525,   526,   527,
     528,   529,   575,   576,   577,   639,   579,   580,   296,   638,
     297,   584,   585,   586,   587,   735,   530,   646,   298,   142,
     143,   647,   559,   304,   290,   314,   291,   292,   485,   485,
     600,   601,   654,   418,   727,   713,   639,   654,   335,   605,
     607,   608,   530,   610,   612,   628,   419,   787,   640,   617,
     618,   336,   304,   372,   373,   374,   149,   149,   149,   794,
     648,   646,   375,   888,   563,   647,   629,   630,   631,   632,
     420,   491,   125,   307,   799,   655,   421,   594,   622,   640,
     655,   152,   595,   719,   308,   125,    95,   621,   623,   195,
     149,   149,   658,   659,   149,   149,   660,   149,   663,   706,
     149,   665,   664,   149,   648,   667,   677,   668,   149,   669,
     721,   471,   670,   671,   197,   672,   742,   105,   149,   107,
     673,   149,   472,   111,   674,   676,   114,   678,   629,   630,
     631,   632,   751,   764,   782,   765,   766,   812,   171,   172,
     173,   767,   705,  -322,   815,   178,   179,   181,   565,   566,
     567,   568,   569,   570,   571,   572,   816,   533,   817,   149,
     818,   708,   709,   710,   711,   263,   264,   265,   534,   266,
     267,   268,   824,   832,   269,   270,   271,   272,   273,   274,
     533,   229,   230,   473,   760,   474,   271,   272,   273,   274,
     835,   534,   722,   723,   724,   836,   889,   890,   891,   892,
     893,   894,   895,   896,   897,   898,   899,   900,   901,   837,
     838,   839,   730,   731,   733,   842,   843,   734,   844,   845,
     846,   847,   848,   309,   310,   311,   849,   858,   850,   851,
     149,   852,   149,   853,   743,   744,   745,   746,   747,   854,
     315,   316,   317,   318,   319,   320,   855,   856,   863,   857,
     149,   862,   752,   753,   754,   755,   864,   865,   758,   866,
     867,   149,   149,   868,   475,   476,   477,   478,   581,   535,
     479,   315,   316,   317,   318,   319,   320,   872,   149,   149,
     149,   149,   149,   149,   149,   149,   149,   149,   149,   149,
     149,   873,   535,   565,   566,   567,   568,   569,   570,   571,
     572,   269,   270,   271,   272,   273,   274,   536,   774,   908,
     149,   149,   451,   537,   909,   777,   778,   910,   780,   149,
     914,   915,   916,   917,   918,   919,   785,   786,   911,   922,
     536,   921,   620,   790,   792,   793,   537,   761,   582,   591,
     589,   797,   798,   492,   149,   149,   707,   802,   728,   703,
     720,   880,   923,   564,   714,   805,   783,   902,   149,   809,
     788,   795,   736,   560,   800,   625,   903,     0,     0,     0,
       0,     0,     0,     0,   149,   149,     0,   149,     0,     0,
       0,     0,   149,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   149,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,     0,     0,     0,     0,   538,
     539,     0,   540,   541,   542,   543,   544,   545,   546,     0,
     547,   548,   549,   550,   551,   552,   553,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   823,     0,   825,   826,   827,   828,   829,   830,
     831,   749,   774,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   533,   841,     0,
       0,     0,     0,     0,   762,     0,     0,     0,   534,   149,
       0,     0,     0,     0,     0,     0,   533,     0,     0,     0,
       0,     0,     0,   859,     0,     0,   879,   534,     0,     0,
       0,     0,     0,   149,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   870,     0,     0,   871,     0,     0,     0,
       0,   874,     0,   875,     0,   876,     0,   877,     0,     0,
       0,   878,     0,   149,   149,   774,     0,     0,     0,   881,
       0,     0,     0,     0,     0,     0,   149,     0,     0,     0,
     907,     0,     0,   904,     0,     0,     0,   774,     0,     0,
     149,   149,   149,   149,   149,     0,   904,   904,   904,   904,
     904,   904,   150,   151,   154,     0,     0,   149,     0,   535,
     920,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   149,   149,     0,   149,   535,     0,
       0,     0,     0,     0,     0,   904,   154,   154,     0,     0,
     196,   198,     0,   200,     0,     0,   203,   536,     0,   213,
       0,     0,     0,   537,   219,     0,     0,     0,   145,     0,
     148,     0,     0,     0,   231,     0,   536,   154,     0,   162,
       0,   164,   537,     0,   170,     0,     0,     0,     0,     0,
       0,   174,   175,     0,     0,   149,     0,   149,   182,     0,
     185,     0,   188,   189,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   154,   204,     0,     0,     0,
     216,     0,   218,     0,   149,     0,     0,     0,     0,     0,
     149,     0,   149,     0,   149,   149,   149,     0,   149,   149,
       0,     0,     0,   149,     0,     0,   538,   539,     0,   540,
     541,   542,   543,   544,   545,   546,     0,   547,   548,   549,
     550,   551,   552,   553,     0,   538,   539,     0,   540,   541,
     542,   543,   544,   545,   546,     0,   547,   548,   549,   550,
     551,   552,   553,     0,     0,     0,   337,     0,   338,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   367,     0,     0,     0,
       0,   763,     0,     0,     0,     0,     0,   376,   377,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   383,   384,   385,   154,   387,   388,
     389,   390,   391,   392,   393,   394,   154,     0,     0,     0,
       0,     0,     0,   258,   259,   260,   261,   262,     0,   263,
     264,   265,     0,   266,   267,   268,   415,   416,   269,   270,
     271,   272,   273,   274,     0,   154,     0,     0,     0,     0,
       0,     0,     0,   149,     0,     0,     0,     0,     0,     0,
       0,     0,   423,     0,     0,   424,     0,     0,     0,     0,
     561,   562,     0,   425,     0,     0,     0,     0,     0,   258,
     259,   260,   261,   262,   583,   263,   264,   265,     0,   266,
     267,   268,   149,     0,   269,   270,   271,   272,   273,   274,
     596,   597,     0,   599,     0,     0,     0,     0,   603,     0,
       0,   489,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   615,   266,   267,   268,     0,     0,   269,   270,   271,
     272,   273,   274,     0,   426,   427,     0,   428,   578,   429,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,     0,     0,     0,   432,     0,     0,   433,     0,
       0,   598,     0,     0,     0,     0,   602,     0,   604,     0,
       0,     0,     0,     0,     0,   609,     0,   434,   613,   614,
       0,   616,    87,    88,    89,    90,    91,    92,     0,     0,
      93,    94,    95,     0,    96,    97,     0,     0,     0,     0,
       0,    98,     0,     0,     0,     0,     0,     0,     0,     0,
     435,     0,     0,    99,   100,   704,     0,     0,     0,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,     0,     0,     0,     0,     0,   712,
       0,     0,     0,     0,     0,     0,   679,   680,   681,   682,
     683,   684,   685,   686,   687,   688,   689,   690,   691,   692,
     693,   694,   695,   696,   697,   698,   699,   700,   701,   725,
     726,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   729,     0,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   737,   738,   739,   740,
     741,   165,     0,     0,   715,     0,     0,     0,   258,   259,
     260,   261,   262,   748,   263,   264,   265,     0,   266,   267,
     268,     0,     0,   269,   270,   271,   272,   273,   274,     0,
     756,   757,     0,   759,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   702,     0,     0,   397,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   232,     1,     0,     0,     0,
       0,   779,     0,   781,     0,     0,     0,     2,     3,     4,
       0,     0,   422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     801,     0,     0,     0,     0,     0,   803,     0,   804,     0,
     806,   807,   808,     0,   810,   811,     0,     0,     5,   813,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
       0,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,     0,   116,    49,    50,    51,    52,
      53,    54,     0,     0,     0,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,     0,     0,    67,
       0,     0,     0,     0,     0,    68,    69,    87,    88,    89,
      90,    91,    92,     0,     0,    93,    94,    95,     0,    96,
      97,     0,     0,     0,     0,    70,    98,     0,     0,     0,
       0,     0,     0,    71,     0,     0,     0,     0,    99,   100,
       0,     0,     0,     0,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   860,
       0,     0,     0,     0,    87,    88,    89,    90,    91,    92,
       0,     0,    93,    94,    95,     0,    96,    97,   661,     0,
       0,     0,    72,    98,     0,     0,     0,    73,     0,     0,
       0,     0,     0,     0,    74,    99,   100,     0,   154,     0,
      75,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   768,   769,   770,     0,
       0,    76,     0,    77,    87,    88,    89,    90,    91,    92,
       0,     0,    93,    94,    95,     0,    96,    97,    78,    79,
       0,     0,    80,    98,     0,     0,     0,     0,     0,    81,
      82,    83,     0,     0,     0,    99,   100,     0,   233,     0,
       0,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,     0,     0,     0,     0,
       0,     0,     0,   768,   769,   770,    87,    88,    89,    90,
      91,    92,     0,     0,    93,    94,    95,     0,    96,    97,
       0,     0,     0,     0,     0,    98,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    99,   100,     0,
       0,     0,     0,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   768,   769,   770,    87,    88,    89,    90,
      91,    92,     0,     0,    93,    94,    95,     0,    96,    97,
       0,     0,     0,     0,     0,    98,     0,     0,     0,     0,
       0,     0,   771,   772,   773,     0,     0,    99,   100,   833,
     116,     0,     0,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    87,    88,    89,    90,    91,    92,     0,     0,    93,
      94,    95,     0,    96,    97,     0,     0,     0,     0,     0,
      98,     0,     0,     0,     0,     0,     0,     0,     0,   771,
     772,   773,    99,   100,     0,     0,   913,   116,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    87,    88,    89,    90,    91,    92,     0,     0,    93,
      94,    95,     0,    96,    97,     0,     0,     0,     0,     0,
      98,     0,     0,     0,     0,     0,     0,     0,     0,   771,
     772,   773,    99,   100,     0,     0,     0,   116,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   167,    88,    89,    90,    91,    92,     0,
       0,    93,    94,    95,     0,    96,    97,     0,     0,     0,
       0,     0,    98,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    99,   100,     0,   180,     0,   116,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   606,    88,    89,    90,    91,
      92,     0,     0,    93,    94,    95,     0,    96,    97,     0,
       0,     0,     0,     0,    98,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    99,   100,     0,     0,
       0,     0,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   187,     0,   116,
     611,    88,    89,    90,    91,    92,     0,     0,    93,    94,
      95,     0,    96,    97,     0,     0,     0,     0,     0,    98,
       0,   791,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    99,   100,     0,     0,     0,     0,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,     0,   732,    88,    89,    90,    91,    92,     0,
       0,    93,    94,    95,   116,    96,    97,     0,     0,     0,
       0,     0,    98,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    99,   100,     0,     0,     0,     0,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   784,    88,    89,    90,    91,
      92,     0,     0,    93,    94,    95,     0,    96,    97,     0,
       0,     0,     0,     0,    98,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   116,     0,    99,   100,     0,     0,
       0,     0,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,     0,     0,     0,
     789,    88,    89,    90,    91,    92,     0,     0,    93,    94,
      95,     0,    96,    97,     0,     0,     0,     0,     0,    98,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    99,   100,     0,     0,     0,   116,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   796,    88,    89,    90,    91,    92,     0,     0,
      93,    94,    95,     0,    96,    97,     0,     0,     0,     0,
       0,    98,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    99,   100,     0,     0,     0,   116,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,     0,     0,     0,   840,    88,    89,
      90,    91,    92,   493,     0,    93,    94,    95,     0,    96,
      97,     0,     1,     0,   494,     0,    98,     0,     0,     0,
       0,     0,     0,     2,     3,     4,     0,     0,    99,   100,
       0,     0,     0,   116,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     5,     0,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,   116,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
       0,     0,    49,    50,    51,    52,    53,    54,     0,     0,
       0,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,     0,     0,    67,     0,     0,   116,     0,
       0,    68,    69,     0,     0,     0,     0,   258,   259,   260,
     261,   262,     0,   263,   264,   265,     0,   266,   267,   268,
       0,    70,   269,   270,   271,   272,   273,   274,     0,    71,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   116,     0,     0,     0,     0,     0,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
       0,     0,     0,     0,     0,     0,     0,     0,    72,     0,
       0,     0,     0,    73,     0,     0,     0,     0,     0,     0,
      74,     0,     0,     0,     0,   116,    75,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     1,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     2,     3,     4,     0,     0,    76,     0,    77,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    78,    79,     0,     0,    80,     0,
     116,     0,     0,     0,     0,    81,    82,    83,     0,     0,
       0,     0,     0,     5,   379,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,     0,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,     0,
       0,    49,    50,    51,    52,    53,    54,   117,     0,     0,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,   423,     0,    67,   424,     0,     0,     0,     0,
      68,    69,     0,   425,     0,     0,   169,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      70,     0,     0,     0,     0,     0,     0,     0,    71,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   662,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   426,   427,     0,   428,     0,   429,
       0,   239,   240,   241,   242,     0,     0,     0,     0,   430,
     431,     0,     0,     0,     0,   432,     0,    72,   433,   257,
       0,     0,    73,     0,     0,     0,     0,     0,     0,    74,
       0,     0,     0,     0,     0,    75,     0,   434,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   282,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    76,     0,    77,     0,
     435,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    78,    79,     0,     0,    80,     0,     0,
       0,     0,     0,     0,    81,    82,    83,     0,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     381,   382,   362,   363,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,     0,     0,     0,     0,
       0,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,     0,     0,     0,     0,     0,     0,     0,   448,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   362,   363,     0,     0,     0,     0,     0,   619
};

static const yytype_int16 yycheck[] =
{
       6,     7,    15,    16,    55,    56,    19,    84,     3,    10,
       1,     1,    26,     3,   554,   775,   306,    30,     1,    32,
       3,    12,    12,   741,   742,    38,    39,    40,    12,    12,
       1,     1,    45,    46,    47,    86,   306,     1,    13,     3,
       3,    12,    12,     1,     3,     3,   304,     1,    12,     3,
      63,    64,   592,   593,    12,     1,   304,     3,    12,   304,
       1,   301,   302,    76,    93,   305,    12,     1,    81,    82,
       1,    12,     3,   124,     1,     1,     3,     3,    12,     1,
       1,    12,   107,   108,   109,    12,    12,    12,    13,   304,
      12,    12,   304,     1,   304,     1,     4,    12,    13,     1,
     304,     3,   820,    73,    12,    75,    12,     1,   304,     6,
      12,     8,   304,    10,   308,   128,    99,   100,    12,    44,
     880,    46,    12,    13,   306,    50,    30,    31,    53,    44,
       1,    46,    30,    31,   135,    50,   301,   302,    53,    30,
      31,    12,   107,   108,   109,    99,   100,   306,   289,   290,
     291,   292,   293,   306,    44,   306,    46,   234,   307,   308,
      50,   307,   308,    53,   305,   308,   157,   157,   159,   306,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   306,   154,   155,   156,   157,   307,   308,
     160,   306,     1,   157,   306,   246,    36,    37,     1,   307,
     308,     4,   306,    12,   255,   335,   336,   129,   129,    12,
     151,   152,   153,   306,   306,   228,   306,   125,   126,   127,
     128,   289,   290,   291,   292,   293,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   242,   306,   306,
     256,   157,   306,   159,   306,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   258,   259,
     260,   261,   262,   263,   264,   265,   308,   290,   236,   292,
     305,   304,   308,   154,   218,   304,   220,   221,   304,   302,
     303,   304,   304,   304,   258,   259,   260,   261,   262,   263,
     264,   265,   315,   316,   317,   263,   319,   320,     3,   236,
     304,   324,   325,   326,   327,   305,   306,   263,   304,   122,
     123,   267,   305,   306,   218,   304,   220,   221,   250,   250,
     343,   344,   263,   307,   305,   305,   263,   263,   304,   352,
     353,   354,   306,   356,   357,   154,   306,   305,   306,   362,
     363,   304,   306,   304,   304,   304,    21,    22,    23,   305,
     306,   263,   304,     3,   305,   267,   237,   238,   239,   240,
      13,   305,    12,     1,   305,   306,    13,   305,    12,   306,
     306,   306,   305,   305,    12,    12,    13,   304,    12,   304,
      55,    56,   305,   285,    59,    60,    26,    62,   307,   305,
      65,   308,   307,    68,   306,   308,   419,   308,    73,   308,
       9,     1,   308,   308,   304,   308,    12,    44,    83,    46,
     308,    86,    12,    50,   308,   307,    53,   306,   237,   238,
     239,   240,   307,     3,   305,   308,     3,   307,    38,    39,
      40,   308,   455,   304,     3,    45,    46,    47,   269,   270,
     271,   272,   273,   274,   275,   276,   308,     1,   307,   124,
     242,   474,   475,   476,   477,    23,    24,    25,    12,    27,
      28,    29,     3,    26,    32,    33,    34,    35,    36,    37,
       1,    81,    82,    73,   305,    75,    34,    35,    36,    37,
       3,    12,   505,   506,   507,   308,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   307,
       3,   308,   525,   526,   527,   307,     3,   530,   308,   307,
     286,   305,   308,   151,   152,   153,   307,   304,   308,   307,
     195,   307,   197,   307,   547,   548,   549,   550,   551,   308,
     277,   278,   279,   280,   281,   282,   307,   307,    26,   308,
     215,   308,   565,   566,   567,   568,    26,    26,   571,    26,
      26,   226,   227,    26,   154,   155,   156,   157,   305,   113,
     160,   277,   278,   279,   280,   281,   282,     3,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   308,   113,   269,   270,   271,   272,   273,   274,   275,
     276,    32,    33,    34,    35,    36,    37,   151,   621,   305,
     275,   276,   284,   157,   307,   628,   629,   307,   631,   284,
     882,   883,   884,   885,   886,   887,   639,   640,   307,   307,
     151,   308,   364,   646,   647,   648,   157,   573,   321,   333,
     328,   654,   655,   293,   309,   310,   469,   660,   516,   449,
     486,   858,   921,   312,   480,   668,   633,   297,   323,   672,
     641,   649,   531,   305,   656,   370,   306,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   339,   340,    -1,   342,    -1,    -1,
      -1,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   360,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,    -1,    -1,    -1,    -1,    -1,   240,
     241,    -1,   243,   244,   245,   246,   247,   248,   249,    -1,
     251,   252,   253,   254,   255,   256,   257,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   765,    -1,   767,   768,   769,   770,   771,   772,
     773,   305,   775,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,   791,    -1,
      -1,    -1,    -1,    -1,   305,    -1,    -1,    -1,    12,   454,
      -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,    -1,    -1,
      -1,    -1,    -1,   816,    -1,    -1,   857,    12,    -1,    -1,
      -1,    -1,    -1,   478,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   836,    -1,    -1,   839,    -1,    -1,    -1,
      -1,   844,    -1,   846,    -1,   848,    -1,   850,    -1,    -1,
      -1,   854,    -1,   508,   509,   858,    -1,    -1,    -1,   862,
      -1,    -1,    -1,    -1,    -1,    -1,   521,    -1,    -1,    -1,
     873,    -1,    -1,   869,    -1,    -1,    -1,   880,    -1,    -1,
     535,   536,   537,   538,   539,    -1,   882,   883,   884,   885,
     886,   887,    21,    22,    23,    -1,    -1,   552,    -1,   113,
     903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   569,   570,    -1,   572,   113,    -1,
      -1,    -1,    -1,    -1,    -1,   921,    55,    56,    -1,    -1,
      59,    60,    -1,    62,    -1,    -1,    65,   151,    -1,    68,
      -1,    -1,    -1,   157,    73,    -1,    -1,    -1,    18,    -1,
      20,    -1,    -1,    -1,    83,    -1,   151,    86,    -1,    29,
      -1,    31,   157,    -1,    34,    -1,    -1,    -1,    -1,    -1,
      -1,    41,    42,    -1,    -1,   630,    -1,   632,    48,    -1,
      50,    -1,    52,    53,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   124,    66,    -1,    -1,    -1,
      70,    -1,    72,    -1,   659,    -1,    -1,    -1,    -1,    -1,
     665,    -1,   667,    -1,   669,   670,   671,    -1,   673,   674,
      -1,    -1,    -1,   678,    -1,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,   249,    -1,   251,   252,   253,
     254,   255,   256,   257,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,   248,   249,    -1,   251,   252,   253,   254,
     255,   256,   257,    -1,    -1,    -1,   195,    -1,   197,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   215,    -1,    -1,    -1,
      -1,   305,    -1,    -1,    -1,    -1,    -1,   226,   227,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    27,    28,    29,   275,   276,    32,    33,
      34,    35,    36,    37,    -1,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   818,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     1,    -1,    -1,     4,    -1,    -1,    -1,    -1,
     309,   310,    -1,    12,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,   323,    23,    24,    25,    -1,    27,
      28,    29,   857,    -1,    32,    33,    34,    35,    36,    37,
     339,   340,    -1,   342,    -1,    -1,    -1,    -1,   347,    -1,
      -1,   291,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,   360,    27,    28,    29,    -1,    -1,    32,    33,    34,
      35,    36,    37,    -1,    73,    74,    -1,    76,   318,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    94,    -1,    -1,    97,    -1,
      -1,   341,    -1,    -1,    -1,    -1,   346,    -1,   348,    -1,
      -1,    -1,    -1,    -1,    -1,   355,    -1,   116,   358,   359,
      -1,   361,     3,     4,     5,     6,     7,     8,    -1,    -1,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    -1,    -1,
      -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     149,    -1,    -1,    34,    35,   454,    -1,    -1,    -1,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    -1,    -1,    -1,    -1,    -1,   478,
      -1,    -1,    -1,    -1,    -1,    -1,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   508,
     509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   521,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   535,   536,   537,   538,
     539,   122,    -1,    -1,   484,    -1,    -1,    -1,    17,    18,
      19,    20,    21,   552,    23,    24,    25,    -1,    27,    28,
      29,    -1,    -1,    32,    33,    34,    35,    36,    37,    -1,
     569,   570,    -1,   572,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   305,    -1,    -1,   307,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     0,     1,    -1,    -1,    -1,
      -1,   630,    -1,   632,    -1,    -1,    -1,    12,    13,    14,
      -1,    -1,   307,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     659,    -1,    -1,    -1,    -1,    -1,   665,    -1,   667,    -1,
     669,   670,   671,    -1,   673,   674,    -1,    -1,    53,   678,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      -1,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   306,   101,   102,   103,   104,
     105,   106,    -1,    -1,    -1,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,    -1,   124,
      -1,    -1,    -1,    -1,    -1,   130,   131,     3,     4,     5,
       6,     7,     8,    -1,    -1,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    -1,    -1,   150,    22,    -1,    -1,    -1,
      -1,    -1,    -1,   158,    -1,    -1,    -1,    -1,    34,    35,
      -1,    -1,    -1,    -1,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   818,
      -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,     8,
      -1,    -1,    11,    12,    13,    -1,    15,    16,   307,    -1,
      -1,    -1,   217,    22,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,    -1,   229,    34,    35,    -1,   857,    -1,
     235,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   132,   133,   134,    -1,
      -1,   266,    -1,   268,     3,     4,     5,     6,     7,     8,
      -1,    -1,    11,    12,    13,    -1,    15,    16,   283,   284,
      -1,    -1,   287,    22,    -1,    -1,    -1,    -1,    -1,   294,
     295,   296,    -1,    -1,    -1,    34,    35,    -1,   303,    -1,
      -1,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   132,   133,   134,     3,     4,     5,     6,
       7,     8,    -1,    -1,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    35,    -1,
      -1,    -1,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   132,   133,   134,     3,     4,     5,     6,
       7,     8,    -1,    -1,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,
      -1,    -1,   298,   299,   300,    -1,    -1,    34,    35,   305,
     306,    -1,    -1,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,     6,     7,     8,    -1,    -1,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    -1,    -1,    -1,
      22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   298,
     299,   300,    34,    35,    -1,    -1,   305,   306,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,     6,     7,     8,    -1,    -1,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    -1,    -1,    -1,
      22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   298,
     299,   300,    34,    35,    -1,    -1,    -1,   306,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,     6,     7,     8,    -1,
      -1,    11,    12,    13,    -1,    15,    16,    -1,    -1,    -1,
      -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    34,    35,    -1,   304,    -1,   306,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,     3,     4,     5,     6,     7,
       8,    -1,    -1,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    34,    35,    -1,    -1,
      -1,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,   304,    -1,   306,
       3,     4,     5,     6,     7,     8,    -1,    -1,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    -1,    -1,    -1,    22,
      -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    35,    -1,    -1,    -1,    -1,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    -1,     3,     4,     5,     6,     7,     8,    -1,
      -1,    11,    12,    13,   306,    15,    16,    -1,    -1,    -1,
      -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    34,    35,    -1,    -1,    -1,    -1,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,     3,     4,     5,     6,     7,
       8,    -1,    -1,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   306,    -1,    34,    35,    -1,    -1,
      -1,    -1,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    -1,    -1,    -1,
       3,     4,     5,     6,     7,     8,    -1,    -1,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    -1,    -1,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    34,    35,    -1,    -1,    -1,   306,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,     3,     4,     5,     6,     7,     8,    -1,    -1,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    -1,    -1,
      -1,    22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    34,    35,    -1,    -1,    -1,   306,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    -1,    -1,    -1,     3,     4,     5,
       6,     7,     8,     1,    -1,    11,    12,    13,    -1,    15,
      16,    -1,     1,    -1,    12,    -1,    22,    -1,    -1,    -1,
      -1,    -1,    -1,    12,    13,    14,    -1,    -1,    34,    35,
      -1,    -1,    -1,   306,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    53,    -1,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,   306,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,    -1,   101,   102,   103,   104,   105,   106,    -1,    -1,
      -1,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,    -1,   124,    -1,    -1,   306,    -1,
      -1,   130,   131,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    27,    28,    29,
      -1,   150,    32,    33,    34,    35,    36,    37,    -1,   158,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   306,    -1,    -1,    -1,    -1,    -1,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,    -1,
      -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,
     229,    -1,    -1,    -1,    -1,   306,   235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    12,    13,    14,    -1,    -1,   266,    -1,   268,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   283,   284,    -1,    -1,   287,    -1,
     306,    -1,    -1,    -1,    -1,   294,   295,   296,    -1,    -1,
      -1,    -1,    -1,    53,   303,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    -1,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,   104,   105,   106,     4,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,     1,    -1,   124,     4,    -1,    -1,    -1,    -1,
     130,   131,    -1,    12,    -1,    -1,    33,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   158,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    73,    74,    -1,    76,    -1,    78,
      -1,    98,    99,   100,   101,    -1,    -1,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    94,    -1,   217,    97,   116,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,   229,
      -1,    -1,    -1,    -1,    -1,   235,    -1,   116,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   152,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,   268,    -1,
     149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   283,   284,    -1,    -1,   287,    -1,    -1,
      -1,    -1,    -1,    -1,   294,   295,   296,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     237,   238,   218,   219,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,    -1,    -1,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   218,   219,    -1,    -1,    -1,    -1,    -1,   305
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     1,    12,    13,    14,    53,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,   101,
     102,   103,   104,   105,   106,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   124,   130,   131,
     150,   158,   217,   222,   229,   235,   266,   268,   283,   284,
     287,   294,   295,   296,   310,   312,    26,     3,     4,     5,
       6,     7,     8,    11,    12,    13,    15,    16,    22,    34,
      35,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,   306,   329,   330,   331,
     332,   333,   334,   335,   306,    12,   334,   334,   306,     3,
       3,    13,   338,   327,   329,   390,   327,   391,   327,     1,
       4,    12,   122,   123,   394,   390,   327,   392,   390,   333,
     335,   335,   306,   314,   335,   336,   337,   315,   316,   317,
     304,   313,   390,   327,   390,   122,   327,     3,   328,   329,
     390,   392,   392,   392,   390,   390,   319,   320,   392,   392,
     304,   392,   390,   304,   324,   390,   304,   304,   390,   390,
     304,   336,   336,   321,   322,   304,   335,   304,   335,   304,
     335,   327,   327,   335,   390,     1,     4,    12,   125,   126,
     127,   128,   395,   335,    10,   135,   390,   304,   390,   335,
     323,    93,   325,   327,   393,   326,   304,   304,   304,   392,
     392,   335,     0,   303,   311,   312,   336,   306,   306,   329,
     329,   329,   329,   306,   306,   306,   306,   306,   306,   306,
     306,   306,   306,   306,   306,   306,   306,   329,    17,    18,
      19,    20,    21,    23,    24,    25,    27,    28,    29,    32,
      33,    34,    35,    36,    37,    30,    31,   336,   327,   308,
     308,   308,   329,   304,   308,   304,   304,   304,     1,    12,
     218,   220,   221,   351,   352,   304,     3,   304,   304,     1,
       3,    12,    99,   100,   306,   386,   387,     1,    12,   151,
     152,   153,   371,   372,   304,   277,   278,   279,   280,   281,
     282,   345,   346,   289,   290,   291,   292,   293,   347,   348,
     107,   108,   109,   341,   342,   304,   304,   335,   335,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   218,   219,   339,   340,   318,   335,   301,   302,
     396,   397,   304,   304,   304,   304,   335,   335,   327,   303,
     312,   329,   329,   335,   335,   335,   336,   335,   335,   335,
     335,   335,   335,   335,   335,   336,   334,   307,   329,   329,
     329,   329,   329,   329,   329,   329,   329,   329,   329,   329,
     329,   329,   329,   329,   329,   335,   335,   307,   307,   306,
      13,    13,   307,     1,     4,    12,    73,    74,    76,    78,
      88,    89,    94,    97,   116,   149,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   288,   353,
     354,   337,     1,    12,   157,   159,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   355,
     356,     1,    12,    73,    75,   154,   155,   156,   157,   160,
     373,   374,     1,    12,   129,   250,   357,   358,   327,   390,
     327,   305,   352,     1,    12,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   349,   350,     1,     3,
      12,   157,   258,   259,   260,   261,   262,   263,   264,   265,
     306,   380,   381,     1,    12,   113,   151,   157,   240,   241,
     243,   244,   245,   246,   247,   248,   249,   251,   252,   253,
     254,   255,   256,   257,   378,   379,   327,   327,   327,   305,
     387,   335,   335,   305,   372,   269,   270,   271,   272,   273,
     274,   275,   276,   343,   344,   327,   327,   327,   390,   327,
     327,   305,   346,   335,   327,   327,   327,   327,   305,   348,
     305,   342,   378,   378,   305,   305,   335,   335,   390,   335,
     327,   327,   390,   335,   390,   327,     3,   327,   327,   390,
     327,     3,   327,   390,   390,   335,   390,   327,   327,   305,
     340,   304,    12,    12,   305,   397,     1,    12,   154,   237,
     238,   239,   240,   375,   376,     1,     3,    12,   236,   263,
     306,   382,   383,     1,     3,    12,   263,   267,   306,   384,
     385,     1,     3,    12,   263,   306,   388,   389,   305,   285,
      26,   307,   307,   307,   307,   308,   307,   308,   308,   308,
     308,   308,   308,   308,   308,   307,   307,   327,   306,   390,
     390,   390,   390,   390,   390,   390,   390,   390,   390,   390,
     390,   390,   390,   390,   390,   390,   390,   390,   390,   390,
     390,   390,   305,   354,   335,   327,   305,   356,   327,   327,
     327,   327,   335,   305,   374,   390,     6,     8,    10,   305,
     358,     9,   327,   327,   327,   335,   335,   305,   350,   335,
     327,   327,     3,   327,   327,   305,   381,   335,   335,   335,
     335,   335,    12,   327,   327,   327,   327,   327,   335,   305,
     379,   307,   327,   327,   327,   327,   335,   335,   327,   335,
     305,   344,   305,   305,     3,   308,     3,   308,   132,   133,
     134,   298,   299,   300,   327,   360,   361,   327,   327,   335,
     327,   335,   305,   376,     3,   327,   327,   305,   383,     3,
     327,   263,   327,   327,   305,   385,     3,   327,   327,   305,
     389,   335,   327,   335,   335,   327,   335,   335,   335,   327,
     335,   335,   307,   335,   359,     3,   308,   307,   242,   377,
       3,   377,   377,   327,     3,   327,   327,   327,   327,   327,
     327,   327,    26,   305,   361,     3,   308,   307,     3,   308,
       3,   327,   307,     3,   308,   307,   286,   305,   308,   307,
     308,   307,   307,   307,   308,   307,   307,   308,   304,   327,
     335,   377,   308,    26,    26,    26,    26,    26,    26,   365,
     327,   327,     3,   308,   327,   327,   327,   327,   327,   336,
     360,   327,   366,   367,   368,   363,   362,   364,     3,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   297,   306,   334,   369,   370,   327,   305,   307,
     307,   307,   307,   305,   369,   369,   369,   369,   369,   369,
     327,   308,   307,   370
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   309,   310,   310,   310,   311,   311,   312,   312,   312,
     312,   312,   312,   312,   312,   312,   312,   312,   312,   312,
     312,   312,   312,   312,   312,   312,   312,   312,   312,   312,
     312,   312,   312,   312,   312,   312,   312,   312,   312,   312,
     312,   312,   312,   312,   312,   312,   312,   312,   312,   312,
     312,   312,   312,   312,   312,   312,   312,   312,   312,   312,
     312,   312,   312,   312,   313,   312,   312,   312,   312,   314,
     312,   315,   312,   312,   316,   312,   317,   312,   318,   312,
     312,   312,   319,   312,   312,   320,   312,   321,   312,   322,
     312,   312,   312,   323,   312,   312,   312,   324,   312,   312,
     312,   312,   325,   312,   312,   312,   326,   312,   312,   312,
     312,   312,   312,   312,   327,   328,   329,   329,   329,   329,
     329,   329,   329,   329,   329,   329,   329,   329,   329,   330,
     330,   330,   330,   330,   330,   330,   330,   330,   330,   330,
     330,   330,   330,   330,   330,   330,   331,   331,   331,   331,
     331,   331,   331,   331,   331,   331,   331,   331,   331,   331,
     331,   331,   332,   332,   333,   334,   335,   335,   335,   335,
     335,   335,   336,   336,   337,   337,   338,   338,   339,   339,
     340,   340,   340,   340,   340,   340,   340,   340,   340,   340,
     340,   340,   340,   340,   340,   340,   340,   340,   340,   340,
     340,   340,   340,   340,   340,   340,   340,   340,   340,   340,
     341,   341,   342,   342,   342,   343,   343,   344,   344,   344,
     344,   344,   344,   344,   344,   345,   345,   346,   346,   346,
     346,   346,   346,   347,   347,   348,   348,   348,   348,   348,
     349,   349,   350,   350,   350,   350,   350,   350,   350,   350,
     350,   350,   350,   350,   350,   350,   350,   350,   350,   350,
     350,   350,   350,   350,   350,   351,   351,   352,   352,   352,
     352,   352,   353,   353,   354,   354,   354,   354,   354,   354,
     354,   354,   354,   354,   354,   354,   354,   354,   354,   354,
     354,   354,   354,   354,   354,   354,   354,   354,   354,   354,
     355,   355,   356,   356,   356,   356,   356,   356,   356,   356,
     356,   356,   356,   356,   356,   356,   356,   356,   356,   357,
     357,   358,   359,   358,   358,   358,   358,   358,   358,   360,
     360,   362,   361,   363,   361,   364,   361,   365,   361,   366,
     361,   367,   361,   368,   361,   369,   369,   370,   370,   370,
     370,   370,   370,   370,   370,   370,   370,   370,   370,   370,
     370,   370,   370,   370,   371,   371,   372,   372,   372,   372,
     372,   373,   373,   374,   374,   374,   374,   374,   374,   374,
     374,   374,   375,   375,   376,   376,   376,   376,   376,   376,
     376,   377,   377,   378,   378,   379,   379,   379,   379,   379,
     379,   379,   379,   379,   379,   379,   379,   379,   379,   379,
     379,   379,   379,   379,   379,   379,   379,   380,   380,   381,
     381,   381,   381,   381,   381,   381,   381,   381,   381,   381,
     381,   381,   381,   382,   382,   383,   383,   383,   383,   383,
     383,   383,   384,   384,   385,   385,   385,   385,   385,   385,
     385,   385,   385,   386,   386,   387,   387,   387,   387,   387,
     387,   388,   388,   389,   389,   389,   389,   389,   389,   390,
     391,   392,   393,   394,   394,   394,   394,   394,   395,   395,
     395,   395,   395,   395,   395,   396,   396,   397,   397
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     2,     3,     1,     2,     4,     2,     2,
       2,     4,     6,     9,     4,     1,     1,     3,     2,     2,
       2,     2,     2,     4,     2,     2,     2,     4,     2,     2,
       2,     2,     2,     2,     2,     3,     2,     2,     1,     1,
       1,     2,     2,     2,     2,     2,     4,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     0,     5,     2,     4,     2,     0,
       5,     0,     5,     4,     0,     5,     0,     5,     0,     6,
       2,     3,     0,     5,     5,     0,     5,     0,     5,     0,
       5,     4,     8,     0,     5,     4,     2,     0,     5,     4,
       2,     4,     0,     5,     2,     4,     0,     5,     6,     2,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     3,     3,     2,     2,     3,     3,     1,     3,     1,
       3,     3,     3,     2,     1,     4,     4,     4,     8,     6,
       6,     6,     6,     6,     6,     1,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     1,     1,     1,
       1,     4,     1,     4,     1,     1,     1,     4,     8,     8,
       4,     1,     1,     3,     1,     3,     1,     3,     1,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     1,     1,
       2,     2,     2,     1,     1,     1,     2,     3,     4,     2,
       2,     2,     3,     4,     4,     6,     2,     2,     2,     2,
       1,     2,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     1,     2,     2,     2,     2,
       2,     2,     2,     1,     2,     2,     2,     2,     2,     2,
       1,     2,     1,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     2,     2,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       1,     1,     1,     2,     2,     1,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     1,     1,
       1,     2,     2,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     0,     6,     2,     2,     2,     1,     1,     1,
       2,     0,     5,     0,     5,     0,     5,     0,     4,     0,
       5,     0,     5,     0,     5,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     2,     2,     2,     1,     1,
       1,     1,     2,     2,     1,     2,     2,     2,     2,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     2,     1,
       1,     2,     0,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     3,     2,     2,
       3,     2,     4,     3,     2,     1,     1,     1,     2,     1,
       3,     3,     4,     1,     1,     1,     2,     2,     1,     1,
       2,     1,     1,     1,     2,     1,     3,     3,     4,     1,
       1,     1,     1,     2,     1,     3,     2,     3,     4,     4,
       5,     1,     1,     1,     2,     1,     3,     2,     2,     1,
       1,     1,     2,     1,     3,     3,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     2
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval);
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 7: /* line: CHARSET '{' charset_flags '}'  */
#line 368 "parser.y"
                                              {}
#line 2788 "parser.c"
    break;

  case 8: /* line: HOGTHRESH expression  */
#line 370 "parser.y"
                                        { config.hogthreshold = (yyvsp[0].i_value); }
#line 2794 "parser.c"
    break;

  case 9: /* line: DEFINE string_unquoted  */
#line 371 "parser.y"
                                        { IFCLASS(CL_VAR){ define_config_variable((yyvsp[0].s_value));} free((yyvsp[0].s_value)); }
#line 2800 "parser.c"
    break;

  case 10: /* line: UNDEF string_unquoted  */
#line 372 "parser.y"
                                        { IFCLASS(CL_VAR){ undefine_config_variable((yyvsp[0].s_value));} free((yyvsp[0].s_value)); }
#line 2806 "parser.c"
    break;

  case 11: /* line: IFSTATEMENT '(' expression ')'  */
#line 373 "parser.y"
                                                 {
			/* NOTE:
			 * We _need_ absolutely to return to state stack 0
			 * because we 'backward' modify the input stream for
			 * the parser (in lexer). Hence, _if_ the parser needs
			 * to read one token more than needed, we are lost,
			 * because we can't discard it. So please, don't
			 * play with the grammar without knowing what you do.
			 * The ')' _will_ return to state stack 0, but fiddling
			 * with brackets '()' in the underlaying 'expression'
			 * rules may distroy this.
			 *                          -- Hans 971231
			 */
			tell_lexer_if((yyvsp[-1].i_value));
		}
#line 2826 "parser.c"
    break;

  case 12: /* line: WHILESTATEMENT INTEGER ',' '(' expression ')'  */
#line 395 "parser.y"
                                                                {
			tell_lexer_loop((yyvsp[-4].i_value), (yyvsp[-1].i_value));
		}
#line 2834 "parser.c"
    break;

  case 13: /* line: FOREACHSTATEMENT INTEGER ',' VARIABLE '(' string_expr ',' strarglist ')'  */
#line 398 "parser.y"
                                                                                           {
			tell_lexer_loop((yyvsp[-7].i_value), for_each_handling((yyvsp[-7].i_value),(yyvsp[-5].s_value),(yyvsp[-3].s_value),(yyvsp[-1].s_value)));
			free((yyvsp[-5].s_value)); free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 2843 "parser.c"
    break;

  case 14: /* line: SHELL '(' strarglist ')'  */
#line 402 "parser.y"
                                           {
			char *s = run_shell((yyvsp[-1].s_value));
			if (s) free(s);
			free((yyvsp[-1].s_value));
		}
#line 2853 "parser.c"
    break;

  case 15: /* line: ENTER_USER_SPACE  */
#line 407 "parser.y"
                                   { enter_user_scope((yyvsp[0].i_value)); }
#line 2859 "parser.c"
    break;

  case 16: /* line: LEAVE_USER_SPACE  */
#line 408 "parser.y"
                                   { leave_user_scope((yyvsp[0].i_value)); }
#line 2865 "parser.c"
    break;

  case 17: /* line: VARIABLE '=' strarglist  */
#line 409 "parser.y"
                                          {
		    if (!parser_version_3_style_used) {
			parser_version_3_style_used = 1;
			define_config_variable(CONFNAME_V3USED);
		    }
		    if ((strpbrk((yyvsp[-2].s_value), "uhc") == (yyvsp[-2].s_value)) && ((yyvsp[-2].s_value)[1] == '_'))
			yyerror("reserved variable %s can't be set\n", (yyvsp[-2].s_value));
		    else {
			if (user_scope_level) {
			    char *s = malloc(strlen((yyvsp[-2].s_value))+sizeof(USERVAR_PREF));
			    strcpy(s, USERVAR_PREF);
			    strcat(s,(yyvsp[-2].s_value));
			    setenv(s, (yyvsp[0].s_value), 1);
			    free(s);
			}
			else IFCLASS(CL_VAR) setenv((yyvsp[-2].s_value), (yyvsp[0].s_value), 1);
		    }
		    free((yyvsp[-2].s_value)); free((yyvsp[0].s_value));
		}
#line 2889 "parser.c"
    break;

  case 19: /* line: EXPRTEST typed_expr  */
#line 429 "parser.y"
                                      {
		    if ((yyvsp[0].t_value).type == TYPE_REAL)
			c_printf("CONF TESTING: exprtest real %f\n", (yyvsp[0].t_value).value.r);
		    else
			c_printf("CONF TESTING: exprtest int %d\n", (yyvsp[0].t_value).value.i);
		}
#line 2900 "parser.c"
    break;

  case 20: /* line: ABORT strarglist  */
#line 440 "parser.y"
                    { if ((yyvsp[0].s_value)[0]) fprintf(stderr,"CONF aborted with: %s\n", (yyvsp[0].s_value));
			exit(99);
		    }
#line 2908 "parser.c"
    break;

  case 21: /* line: WARN strarglist  */
#line 443 "parser.y"
                                        { c_printf("CONF: %s\n", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 2914 "parser.c"
    break;

  case 22: /* line: EMUSYS string_expr  */
#line 445 "parser.y"
                    {
		    free(config.emusys); config.emusys = (yyvsp[0].s_value);
		    c_printf("CONF: config.emusys = '%s'\n", (yyvsp[0].s_value));
		    }
#line 2923 "parser.c"
    break;

  case 23: /* line: EMUSYS '{' string_expr '}'  */
#line 450 "parser.y"
                    {
		    free(config.emusys); config.emusys = (yyvsp[-1].s_value);
		    c_printf("CONF: config.emusys = '%s'\n", (yyvsp[-1].s_value));
		    }
#line 2932 "parser.c"
    break;

  case 24: /* line: DOSEMUMAP string_expr  */
#line 455 "parser.y"
                    {
#ifdef USE_MHPDBG
		    free(DOSEMU_MAP_PATH); DOSEMU_MAP_PATH = (yyvsp[0].s_value);
		    c_printf("CONF: dosemu.map path = '%s'\n", (yyvsp[0].s_value));
#else
		    free((yyvsp[0].s_value));
#endif
		    }
#line 2945 "parser.c"
    break;

  case 25: /* line: MAPPINGDRIVER string_expr  */
#line 464 "parser.y"
                    {
		    free(config.mappingdriver); config.mappingdriver = (yyvsp[0].s_value);
		    c_printf("CONF: mapping driver = '%s'\n", (yyvsp[0].s_value));
		    }
#line 2954 "parser.c"
    break;

  case 26: /* line: EMUINI string_expr  */
#line 469 "parser.y"
                    {
                    free(config.emuini); config.emuini = (yyvsp[0].s_value);
                    c_printf("CONF: config.emuini = '%s'\n", (yyvsp[0].s_value));
                    }
#line 2963 "parser.c"
    break;

  case 27: /* line: EMUINI '{' string_expr '}'  */
#line 474 "parser.y"
                    {
                    free(config.emuini); config.emuini = (yyvsp[-1].s_value);
                    c_printf("CONF: config.emuini = '%s'\n", (yyvsp[-1].s_value));
		    }
#line 2972 "parser.c"
    break;

  case 28: /* line: FULL_FILE_LOCKS bool  */
#line 479 "parser.y"
                    {
		    config.full_file_locks = ((yyvsp[0].i_value)!=0);
		    }
#line 2980 "parser.c"
    break;

  case 29: /* line: LFN_SUPPORT bool  */
#line 483 "parser.y"
                    {
		    config.lfn = ((yyvsp[0].i_value)!=0);
		    }
#line 2988 "parser.c"
    break;

  case 30: /* line: FASTFLOPPY floppy_bool  */
#line 487 "parser.y"
                        {
			config.fastfloppy = ((yyvsp[0].i_value)!=0);
			c_printf("CONF: fastfloppy = %d\n", config.fastfloppy);
			}
#line 2997 "parser.c"
    break;

  case 31: /* line: CPU expression  */
#line 492 "parser.y"
                        {
			int cpu = cpu_override (((yyvsp[0].i_value)%100)==86?((yyvsp[0].i_value)/100)%10:0);
			if (cpu > 0) {
				c_printf("CONF: CPU set to %d86\n",cpu);
				vm86s.cpu_type = cpu;
			}
			else
				yyerror("error in CPU user override\n");
			}
#line 3011 "parser.c"
    break;

  case 32: /* line: CPU EMULATED  */
#line 502 "parser.y"
                        {
			vm86s.cpu_type = 5;
#ifdef X86_EMULATOR
			config.cpuemu = 1;
			c_printf("CONF: CPUEMU set to %d for %d86\n",
				config.cpuemu, vm86s.cpu_type);
#endif
			}
#line 3024 "parser.c"
    break;

  case 33: /* line: CPUEMU cpuemu  */
#line 511 "parser.y"
                        {
#ifdef X86_EMULATOR
			config.cpuemu = (yyvsp[0].i_value);
			if (config.cpuemu > 4) {
				config.cpuemu -= 2;
#ifdef HOST_ARCH_X86
				config.cpusim = 1;
#endif
			}
			c_printf("CONF: %s CPUEMU set to %d for %d86\n",
				CONFIG_CPUSIM ? "simulated" : "JIT",
				config.cpuemu, vm86s.cpu_type);
#endif
			}
#line 3043 "parser.c"
    break;

  case 34: /* line: CPUSPEED real_expression  */
#line 526 "parser.y"
                        { 
#if 0 /* no longer used, but left in for dosemu.conf compatibility */
			if (config.realcpu >= CPU_586) {
			  config.cpu_spd = ((double)LLF_US)/(yyvsp[0].r_value);
			  config.cpu_tick_spd = ((double)LLF_TICKS)/(yyvsp[0].r_value);
			  c_printf("CONF: CPU speed = %g\n", ((double)(yyvsp[0].r_value)));
			}
#endif
			}
#line 3057 "parser.c"
    break;

  case 35: /* line: CPUSPEED INTEGER INTEGER  */
#line 536 "parser.y"
                        { 
#if 0 /* no longer used, but left in for dosemu.conf compatibility */
			if (config.realcpu >= CPU_586) {
			  config.cpu_spd = (LLF_US*(yyvsp[0].i_value))/(yyvsp[-1].i_value);
			  config.cpu_tick_spd = (LLF_TICKS*(yyvsp[0].i_value))/(yyvsp[-1].i_value);
			  c_printf("CONF: CPU speed = %d/%d\n", (yyvsp[-1].i_value), (yyvsp[0].i_value));
			}
#endif
			}
#line 3071 "parser.c"
    break;

  case 36: /* line: RDTSC bool  */
#line 546 "parser.y"
                    {
			config.rdtsc = ((yyvsp[0].i_value)!=0);
			c_printf("CONF: %sabling use of pentium timer\n",
				(config.rdtsc?"En":"Dis"));
		    }
#line 3081 "parser.c"
    break;

  case 37: /* line: PCI bool  */
#line 552 "parser.y"
                    { 
		      config.pci_video = ((yyvsp[0].i_value)!=0);
		      IFCLASS(CL_PCI) {}
		      config.pci = (abs((yyvsp[0].i_value))==2); 
		    }
#line 3091 "parser.c"
    break;

  case 38: /* line: BOOTA  */
#line 558 "parser.y"
                    {
		      config.hdiskboot = 0;
		    }
#line 3099 "parser.c"
    break;

  case 39: /* line: BOOTC  */
#line 562 "parser.y"
                    {
		      config.hdiskboot = 1;
		    }
#line 3107 "parser.c"
    break;

  case 40: /* line: BOOTB  */
#line 566 "parser.y"
                    {
		      config.hdiskboot = 2;
		    }
#line 3115 "parser.c"
    break;

  case 41: /* line: TIMER expression  */
#line 570 "parser.y"
                    {
		    config.freq = (yyvsp[0].i_value);
		    if ((yyvsp[0].i_value)) {
		        config.update = 1000000 / (yyvsp[0].i_value);
		    } else {
			config.update = 54925;
			config.freq = 18;
		    }
		    c_printf("CONF: timer freq=%d, update=%d\n",config.freq,config.update);
		    }
#line 3130 "parser.c"
    break;

  case 42: /* line: LOGBUFSIZE expression  */
#line 581 "parser.y"
                    {
		      char *b;
		      flush_log();
		      b = malloc((yyvsp[0].i_value)+1024);
		      if (!b) {
			error("cannot get logbuffer\n");
			exit(1);
		      }
		      logptr = logbuf = b;
		      logbuf_size = (yyvsp[0].i_value);
		    }
#line 3146 "parser.c"
    break;

  case 43: /* line: LOGFILESIZE expression  */
#line 593 "parser.y"
                    {
		      logfile_limit = (yyvsp[0].i_value);
		    }
#line 3154 "parser.c"
    break;

  case 44: /* line: DOSBANNER bool  */
#line 597 "parser.y"
                    {
		    config.dosbanner = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: dosbanner %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3163 "parser.c"
    break;

  case 45: /* line: EMURETRACE bool  */
#line 602 "parser.y"
                    { IFCLASS(CL_VPORT){
		    if ((yyvsp[0].i_value) && !config.emuretrace && priv_lvl)
		      yyerror("Can not modify video port access in user config file");
		    config.emuretrace = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: emu_retrace %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }}
#line 3174 "parser.c"
    break;

  case 47: /* line: L_EMS int_bool  */
#line 610 "parser.y"
                    {
		    if ((yyvsp[0].i_value) >= 0) config.ems_size = (yyvsp[0].i_value);
		    if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[0].i_value));
		    }
#line 3183 "parser.c"
    break;

  case 48: /* line: L_XMS int_bool  */
#line 615 "parser.y"
                    {
		    if ((yyvsp[0].i_value) >= 0) config.xms_size = (yyvsp[0].i_value);
		    if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes XMS memory\n", (yyvsp[0].i_value));
		    }
#line 3192 "parser.c"
    break;

  case 49: /* line: L_UMB bool  */
#line 620 "parser.y"
                    {
		    config.max_umb = ((yyvsp[0].i_value)!=0);
		    if ((yyvsp[0].i_value) > 0) c_printf("CONF: maximize umb's %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3201 "parser.c"
    break;

  case 50: /* line: L_DPMI int_bool  */
#line 625 "parser.y"
                    {
		    if ((yyvsp[0].i_value)>=0) config.dpmi = (yyvsp[0].i_value);
		    c_printf("CONF: DPMI-Server %s (%#x)\n", ((yyvsp[0].i_value)) ? "on" : "off", ((yyvsp[0].i_value)));
		    }
#line 3210 "parser.c"
    break;

  case 51: /* line: DPMI_BASE int_bool  */
#line 630 "parser.y"
                    {
		    config.dpmi_base = (yyvsp[0].i_value);
		    c_printf("CONF: DPMI base addr = %#x\n", (yyvsp[0].i_value));
		    }
#line 3219 "parser.c"
    break;

  case 52: /* line: PM_DOS_API bool  */
#line 635 "parser.y"
                    {
		    config.pm_dos_api = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: PM DOS API Translator %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3228 "parser.c"
    break;

  case 53: /* line: NO_NULL_CHECKS bool  */
#line 640 "parser.y"
                    {
		    config.no_null_checks = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: No DJGPP NULL deref checks: %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3237 "parser.c"
    break;

  case 54: /* line: DOSMEM int_bool  */
#line 644 "parser.y"
                                        { if ((yyvsp[0].i_value)>=0) config.mem_size = (yyvsp[0].i_value); }
#line 3243 "parser.c"
    break;

  case 55: /* line: EXT_MEM int_bool  */
#line 645 "parser.y"
                                        { if ((yyvsp[0].i_value)>=0) config.ext_mem = (yyvsp[0].i_value); }
#line 3249 "parser.c"
    break;

  case 56: /* line: MATHCO bool  */
#line 646 "parser.y"
                                        { config.mathco = ((yyvsp[0].i_value)!=0); }
#line 3255 "parser.c"
    break;

  case 57: /* line: IPXSUPPORT bool  */
#line 648 "parser.y"
                    {
		    config.ipxsup = ((yyvsp[0].i_value)!=0);
		    c_printf("CONF: IPX support %s\n", ((yyvsp[0].i_value)) ? "on" : "off");
		    }
#line 3264 "parser.c"
    break;

  case 58: /* line: IPXNETWORK int_bool  */
#line 652 "parser.y"
                                        { config.ipx_net = (yyvsp[0].i_value); }
#line 3270 "parser.c"
    break;

  case 59: /* line: PKTDRIVER bool  */
#line 654 "parser.y"
                    {
		      if (config.vnet == VNET_TYPE_TAP || (yyvsp[0].i_value) == 0 || is_in_allowed_classes(CL_NET)) {
			config.pktdrv = ((yyvsp[0].i_value)!=0);
			c_printf("CONF: Packet Driver %s.\n", 
				((yyvsp[0].i_value)) ? "enabled" : "disabled");
		      }
		    }
#line 3282 "parser.c"
    break;

  case 60: /* line: NETDEV string_expr  */
#line 661 "parser.y"
                                        { free(config.netdev); config.netdev = (yyvsp[0].s_value); }
#line 3288 "parser.c"
    break;

  case 61: /* line: NOVELLHACK bool  */
#line 662 "parser.y"
                                        { config.pktflags = ((yyvsp[0].i_value)!=0); }
#line 3294 "parser.c"
    break;

  case 62: /* line: VNET string_expr  */
#line 663 "parser.y"
                                        { start_vnet((yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 3300 "parser.c"
    break;

  case 63: /* line: SPEAKER speaker  */
#line 665 "parser.y"
                    {
		    if ((yyvsp[0].i_value) == SPKR_NATIVE) {
		      if (can_do_root_stuff) {
                        c_printf("CONF: allowing speaker port access!\n");
		      } else {
                        c_printf("CONF: native speaker not allowed: emulate\n");
			(yyvsp[0].i_value) = SPKR_EMULATED;
		      }
		    }
		    else
                      c_printf("CONF: not allowing speaker port access\n");
		    config.speaker = (yyvsp[0].i_value);
		    }
#line 3318 "parser.c"
    break;

  case 64: /* $@1: %empty  */
#line 679 "parser.y"
                    { start_video(); }
#line 3324 "parser.c"
    break;

  case 65: /* line: VIDEO $@1 '{' video_flags '}'  */
#line 681 "parser.y"
                    { stop_video(); }
#line 3330 "parser.c"
    break;

  case 66: /* line: XTERM_TITLE string_expr  */
#line 682 "parser.y"
                                          { free(config.xterm_title); config.xterm_title = (yyvsp[0].s_value); }
#line 3336 "parser.c"
    break;

  case 67: /* line: TERMINAL '{' term_flags '}'  */
#line 685 "parser.y"
                    { stop_terminal(); }
#line 3342 "parser.c"
    break;

  case 68: /* line: DEBUG strarglist  */
#line 686 "parser.y"
                                   {
			parse_debugflags((yyvsp[0].s_value), 1);
			free((yyvsp[0].s_value));
		}
#line 3351 "parser.c"
    break;

  case 69: /* $@2: %empty  */
#line 691 "parser.y"
                    { start_debug(); }
#line 3357 "parser.c"
    break;

  case 71: /* $@3: %empty  */
#line 694 "parser.y"
                    { start_mouse(); }
#line 3363 "parser.c"
    break;

  case 72: /* line: MOUSE $@3 '{' mouse_flags '}'  */
#line 696 "parser.y"
                    { stop_mouse(); }
#line 3369 "parser.c"
    break;

  case 73: /* line: TTYLOCKS '{' ttylocks_flags '}'  */
#line 699 "parser.y"
                    { stop_ttylocks(); }
#line 3375 "parser.c"
    break;

  case 74: /* $@4: %empty  */
#line 701 "parser.y"
                    { start_serial(); }
#line 3381 "parser.c"
    break;

  case 75: /* line: SERIAL $@4 '{' serial_flags '}'  */
#line 703 "parser.y"
                    { stop_serial(); }
#line 3387 "parser.c"
    break;

  case 76: /* $@5: %empty  */
#line 705 "parser.y"
                    { start_keyboard(); }
#line 3393 "parser.c"
    break;

  case 78: /* $@6: %empty  */
#line 708 "parser.y"
                        {keytable_start((yyvsp[0].i_value));}
#line 3399 "parser.c"
    break;

  case 79: /* line: KEYTABLE KEYB_LAYOUT $@6 '{' keyboard_mods '}'  */
#line 710 "parser.y"
                        {keytable_stop();}
#line 3405 "parser.c"
    break;

  case 80: /* line: PRESTROKE string_expr  */
#line 712 "parser.y"
                    {
		    append_pre_strokes((yyvsp[0].s_value));
		    c_printf("CONF: appending pre-strokes '%s'\n", (yyvsp[0].s_value));
		    free((yyvsp[0].s_value));
		    }
#line 3415 "parser.c"
    break;

  case 81: /* line: KEYTABLE DUMP string_expr  */
#line 717 "parser.y"
                                            {
			dump_keytables_to_file((yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		    }
#line 3424 "parser.c"
    break;

  case 82: /* $@7: %empty  */
#line 722 "parser.y"
                    { IFCLASS(CL_PORT) start_ports(); }
#line 3430 "parser.c"
    break;

  case 85: /* $@8: %empty  */
#line 726 "parser.y"
                    { start_disk(); }
#line 3436 "parser.c"
    break;

  case 86: /* line: DISK $@8 '{' disk_flags '}'  */
#line 728 "parser.y"
                    { stop_disk(DISK); }
#line 3442 "parser.c"
    break;

  case 87: /* $@9: %empty  */
#line 730 "parser.y"
                    { start_bootdisk(); }
#line 3448 "parser.c"
    break;

  case 88: /* line: BOOTDISK $@9 '{' disk_flags '}'  */
#line 732 "parser.y"
                    { stop_disk(BOOTDISK); }
#line 3454 "parser.c"
    break;

  case 89: /* $@10: %empty  */
#line 734 "parser.y"
                    { start_floppy(); }
#line 3460 "parser.c"
    break;

  case 90: /* line: L_FLOPPY $@10 '{' disk_flags '}'  */
#line 736 "parser.y"
                    { stop_disk(L_FLOPPY); }
#line 3466 "parser.c"
    break;

  case 91: /* line: CDROM '{' string_expr '}'  */
#line 738 "parser.y"
                    {
		    static int which = 0;
		    if (which >= 3) {
			c_printf("CONF: too many cdrom drives defined\n");
			free((yyvsp[-1].s_value));
		    }
		    else {
			Path_cdrom[which] = (yyvsp[-1].s_value);
			c_printf("CONF: cdrom MSCD000%d on %s\n", which+1 ,(yyvsp[-1].s_value));
			which++;
		    }
		    }
#line 3483 "parser.c"
    break;

  case 92: /* line: ASPI '{' string_expr DEVICETYPE string_expr TARGET expression '}'  */
#line 751 "parser.y"
                    {
#ifdef ASPI_SUPPORT
		    char *s = aspi_add_device((yyvsp[-5].s_value), (yyvsp[-3].s_value), (yyvsp[-1].i_value));
		    if (s) {
			c_printf("CONF: aspi available for %s\n", s);
			free(s);
		    }
		    else c_printf("CONF: aspi device %s not available\n", (yyvsp[-5].s_value));
#endif
		    free((yyvsp[-5].s_value));
		    free((yyvsp[-3].s_value));
		    }
#line 3500 "parser.c"
    break;

  case 93: /* $@11: %empty  */
#line 764 "parser.y"
                    { start_printer(); }
#line 3506 "parser.c"
    break;

  case 94: /* line: PRINTER $@11 '{' printer_flags '}'  */
#line 766 "parser.y"
                    { stop_printer(); }
#line 3512 "parser.c"
    break;

  case 96: /* line: L_SOUND bool  */
#line 768 "parser.y"
                                { config.sound = (yyvsp[0].i_value)==2 ? 2 : (yyvsp[0].i_value)==0 ? 0 : 1; }
#line 3518 "parser.c"
    break;

  case 97: /* $@12: %empty  */
#line 769 "parser.y"
                          { config.sound = 1; }
#line 3524 "parser.c"
    break;

  case 100: /* line: L_JOYSTICK bool  */
#line 771 "parser.y"
                                  { if (! (yyvsp[0].i_value)) { config.joy_device[0] = config.joy_device[1] = NULL; } }
#line 3530 "parser.c"
    break;

  case 102: /* $@13: %empty  */
#line 774 "parser.y"
                    { IFCLASS(CL_IRQ) config.sillyint=0; }
#line 3536 "parser.c"
    break;

  case 104: /* line: SILLYINT irq_bool  */
#line 777 "parser.y"
                    { IFCLASS(CL_IRQ) if ((yyvsp[0].i_value)) {
		        config.sillyint = 1 << (yyvsp[0].i_value);
		        c_printf("CONF: IRQ %d for irqpassing\n", (yyvsp[0].i_value));
		      }
		    }
#line 3546 "parser.c"
    break;

  case 106: /* $@14: %empty  */
#line 784 "parser.y"
                    { IFCLASS(CL_HARDRAM) {}
		    if (priv_lvl)
		      yyerror("Can not change hardware ram access settings in user config file");
		    }
#line 3555 "parser.c"
    break;

  case 108: /* line: FEATURE '{' expression '=' expression '}'  */
#line 790 "parser.y"
                    {
			handle_features((yyvsp[-3].i_value), (yyvsp[-1].i_value));
		    }
#line 3563 "parser.c"
    break;

  case 109: /* line: CLI_TIMEOUT int_bool  */
#line 794 "parser.y"
                    { config.cli_timeout = (yyvsp[0].i_value); }
#line 3569 "parser.c"
    break;

  case 110: /* line: PIC_WATCHDOG int_bool  */
#line 796 "parser.y"
                    { config.pic_watchdog = (yyvsp[0].i_value); }
#line 3575 "parser.c"
    break;

  case 111: /* line: TIMEMODE string_expr  */
#line 798 "parser.y"
                    {
		    config.timemode = parse_timemode((yyvsp[0].s_value));
		    c_printf("CONF: time mode = '%s'\n", (yyvsp[0].s_value));
		    free((yyvsp[0].s_value));
		    }
#line 3585 "parser.c"
    break;

  case 112: /* line: STRING  */
#line 804 "parser.y"
                    { yyerror("unrecognized command '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 3591 "parser.c"
    break;

  case 114: /* expression: typed_expr  */
#line 808 "parser.y"
                           { (yyval.i_value) = TOF((yyvsp[0].t_value)); }
#line 3597 "parser.c"
    break;

  case 115: /* real_expression: typed_expr  */
#line 811 "parser.y"
                           { (yyval.r_value) = TOF((yyvsp[0].t_value)); }
#line 3603 "parser.c"
    break;

  case 116: /* typed_expr: int_expr  */
#line 816 "parser.y"
                           {(yyval.t_value).type = TYPE_INTEGER; (yyval.t_value).value.i=(yyvsp[0].i_value);}
#line 3609 "parser.c"
    break;

  case 117: /* typed_expr: bool_expr  */
#line 817 "parser.y"
                            {(yyval.t_value).type = TYPE_BOOLEAN; (yyval.t_value).value.i=(yyvsp[0].i_value);}
#line 3615 "parser.c"
    break;

  case 118: /* typed_expr: real_expr  */
#line 818 "parser.y"
                            {(yyval.t_value).type = TYPE_REAL; (yyval.t_value).value.r=(yyvsp[0].r_value);}
#line 3621 "parser.c"
    break;

  case 119: /* typed_expr: typed_expr '+' typed_expr  */
#line 820 "parser.y"
                        {V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) + TOF((yyvsp[0].t_value))); }
#line 3627 "parser.c"
    break;

  case 120: /* typed_expr: typed_expr '-' typed_expr  */
#line 822 "parser.y"
                        {V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) - TOF((yyvsp[0].t_value))); }
#line 3633 "parser.c"
    break;

  case 121: /* typed_expr: typed_expr '*' typed_expr  */
#line 824 "parser.y"
                        {V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) * TOF((yyvsp[0].t_value))); }
#line 3639 "parser.c"
    break;

  case 122: /* typed_expr: typed_expr '/' typed_expr  */
#line 825 "parser.y"
                                            {
			if (TOF((yyvsp[0].t_value)))	V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[-2].t_value)) / TOF((yyvsp[0].t_value)));
			else V_VAL((yyval.t_value),(yyvsp[-2].t_value),TOF((yyvsp[0].t_value)));
		}
#line 3648 "parser.c"
    break;

  case 123: /* typed_expr: '-' typed_expr  */
#line 830 "parser.y"
                        {V_VAL((yyval.t_value),(yyvsp[0].t_value),-TOF((yyvsp[0].t_value))); }
#line 3654 "parser.c"
    break;

  case 124: /* typed_expr: '+' typed_expr  */
#line 832 "parser.y"
                        {V_VAL((yyval.t_value),(yyvsp[0].t_value),TOF((yyvsp[0].t_value))); }
#line 3660 "parser.c"
    break;

  case 125: /* typed_expr: typed_expr SHR_OP typed_expr  */
#line 834 "parser.y"
                        { unsigned int shift = (1 << (int)TOF((yyvsp[0].t_value)));
			if (!shift) (yyval.t_value) = (yyvsp[-2].t_value);
			else V_VAL((yyval.t_value), (yyvsp[-2].t_value), TOF((yyvsp[-2].t_value)) / shift);}
#line 3668 "parser.c"
    break;

  case 126: /* typed_expr: typed_expr SHL_OP typed_expr  */
#line 838 "parser.y"
                        { unsigned int shift = (1 << (int)TOF((yyvsp[0].t_value)));
			if (!shift) (yyval.t_value) = (yyvsp[-2].t_value);
			else V_VAL((yyval.t_value), (yyvsp[-2].t_value), TOF((yyvsp[-2].t_value)) * shift);}
#line 3676 "parser.c"
    break;

  case 127: /* typed_expr: variable_content  */
#line 841 "parser.y"
                                   {
			char *s;
			(yyval.t_value).type = TYPE_INTEGER;
			(yyval.t_value).value.i = strtoul((yyvsp[0].s_value),&s,0);
			switch (*s) {
				case '.':  case 'e':  case 'E':
				/* we assume a real number */
				(yyval.t_value).type = TYPE_REAL;
				(yyval.t_value).value.r = strtod((yyvsp[0].s_value),0);
			}
			free((yyvsp[0].s_value));
		}
#line 3693 "parser.c"
    break;

  case 128: /* typed_expr: '(' typed_expr ')'  */
#line 853 "parser.y"
                                     {(yyval.t_value) = (yyvsp[-1].t_value);}
#line 3699 "parser.c"
    break;

  case 130: /* int_expr: typed_expr AND_OP typed_expr  */
#line 858 "parser.y"
                        {(yyval.i_value) = (int)TOF((yyvsp[-2].t_value)) & (int)TOF((yyvsp[0].t_value)); }
#line 3705 "parser.c"
    break;

  case 131: /* int_expr: typed_expr OR_OP typed_expr  */
#line 860 "parser.y"
                        {(yyval.i_value) = (int)TOF((yyvsp[-2].t_value)) | (int)TOF((yyvsp[0].t_value)); }
#line 3711 "parser.c"
    break;

  case 132: /* int_expr: typed_expr XOR_OP typed_expr  */
#line 862 "parser.y"
                        {(yyval.i_value) = (int)TOF((yyvsp[-2].t_value)) ^ (int)TOF((yyvsp[0].t_value)); }
#line 3717 "parser.c"
    break;

  case 133: /* int_expr: BIT_NOT_OP typed_expr  */
#line 864 "parser.y"
                        {(yyval.i_value) = (int)TOF((yyvsp[0].t_value)) ^ (-1); }
#line 3723 "parser.c"
    break;

  case 134: /* int_expr: L_AUTO  */
#line 865 "parser.y"
                                {(yyval.i_value) = -1; }
#line 3729 "parser.c"
    break;

  case 135: /* int_expr: INTCAST '(' typed_expr ')'  */
#line 866 "parser.y"
                                             {(yyval.i_value) = TOF((yyvsp[-1].t_value));}
#line 3735 "parser.c"
    break;

  case 136: /* int_expr: STRTOL '(' string_expr ')'  */
#line 867 "parser.y"
                                             {
			(yyval.i_value) = strtol((yyvsp[-1].s_value),0,0);
			free((yyvsp[-1].s_value));
		}
#line 3744 "parser.c"
    break;

  case 137: /* int_expr: STRLEN '(' string_expr ')'  */
#line 871 "parser.y"
                                             {
			(yyval.i_value) = strlen((yyvsp[-1].s_value));
			free((yyvsp[-1].s_value));
		}
#line 3753 "parser.c"
    break;

  case 138: /* int_expr: STRNCMP '(' string_expr ',' string_expr ',' expression ')'  */
#line 875 "parser.y"
                                                                             {
			(yyval.i_value) = strncmp((yyvsp[-5].s_value),(yyvsp[-3].s_value),(yyvsp[-1].i_value));
			free((yyvsp[-5].s_value)); free((yyvsp[-3].s_value));
		}
#line 3762 "parser.c"
    break;

  case 139: /* int_expr: STRPBRK '(' string_expr ',' string_expr ')'  */
#line 879 "parser.y"
                                                              {
			char *s = strpbrk((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 3773 "parser.c"
    break;

  case 140: /* int_expr: STRCHR '(' string_expr ',' string_expr ')'  */
#line 885 "parser.y"
                                                             {
			char *s = strchr((yyvsp[-3].s_value),(yyvsp[-1].s_value)[0]);
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 3784 "parser.c"
    break;

  case 141: /* int_expr: STRRCHR '(' string_expr ',' string_expr ')'  */
#line 891 "parser.y"
                                                              {
			char *s = strrchr((yyvsp[-3].s_value),(yyvsp[-1].s_value)[0]);
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 3795 "parser.c"
    break;

  case 142: /* int_expr: STRSTR '(' string_expr ',' string_expr ')'  */
#line 897 "parser.y"
                                                             {
			char *s = strstr((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			if (s) (yyval.i_value) = s - (yyvsp[-3].s_value);
			else (yyval.i_value) = -1;
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 3806 "parser.c"
    break;

  case 143: /* int_expr: STRSPN '(' string_expr ',' string_expr ')'  */
#line 903 "parser.y"
                                                             {
			(yyval.i_value) = strspn((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 3815 "parser.c"
    break;

  case 144: /* int_expr: STRCSPN '(' string_expr ',' string_expr ')'  */
#line 907 "parser.y"
                                                              {
			(yyval.i_value) = strcspn((yyvsp[-3].s_value),(yyvsp[-1].s_value));
			free((yyvsp[-3].s_value)); free((yyvsp[-1].s_value));
		}
#line 3824 "parser.c"
    break;

  case 145: /* int_expr: STRING  */
#line 911 "parser.y"
                         {
			if ( (yyvsp[0].s_value)[0] == '\'' && (yyvsp[0].s_value)[1] && (yyvsp[0].s_value)[2] == '\'' && !(yyvsp[0].s_value)[3] )
				(yyval.i_value) = (yyvsp[0].s_value)[1];
			else	yyerror("unrecognized expression '%s'", (yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		}
#line 3835 "parser.c"
    break;

  case 146: /* bool_expr: typed_expr EQ_OP typed_expr  */
#line 920 "parser.y"
                        {(yyval.i_value) = TOF((yyvsp[-2].t_value)) == TOF((yyvsp[0].t_value)); }
#line 3841 "parser.c"
    break;

  case 147: /* bool_expr: typed_expr NEQ_OP typed_expr  */
#line 922 "parser.y"
                        {(yyval.i_value) = TOF((yyvsp[-2].t_value)) != TOF((yyvsp[0].t_value)); }
#line 3847 "parser.c"
    break;

  case 148: /* bool_expr: typed_expr GE_OP typed_expr  */
#line 924 "parser.y"
                        {(yyval.i_value) = TOF((yyvsp[-2].t_value)) >= TOF((yyvsp[0].t_value)); }
#line 3853 "parser.c"
    break;

  case 149: /* bool_expr: typed_expr LE_OP typed_expr  */
#line 926 "parser.y"
                        {(yyval.i_value) = TOF((yyvsp[-2].t_value)) <= TOF((yyvsp[0].t_value)); }
#line 3859 "parser.c"
    break;

  case 150: /* bool_expr: typed_expr '<' typed_expr  */
#line 928 "parser.y"
                        {(yyval.i_value) = TOF((yyvsp[-2].t_value)) < TOF((yyvsp[0].t_value)); }
#line 3865 "parser.c"
    break;

  case 151: /* bool_expr: typed_expr '>' typed_expr  */
#line 930 "parser.y"
                        {(yyval.i_value) = TOF((yyvsp[-2].t_value)) > TOF((yyvsp[0].t_value)); }
#line 3871 "parser.c"
    break;

  case 152: /* bool_expr: typed_expr L_AND_OP typed_expr  */
#line 932 "parser.y"
                        {(yyval.i_value) = TOF((yyvsp[-2].t_value)) && TOF((yyvsp[0].t_value)); }
#line 3877 "parser.c"
    break;

  case 153: /* bool_expr: typed_expr L_OR_OP typed_expr  */
#line 934 "parser.y"
                        {(yyval.i_value) = TOF((yyvsp[-2].t_value)) || TOF((yyvsp[0].t_value)); }
#line 3883 "parser.c"
    break;

  case 154: /* bool_expr: string_expr STR_EQ_OP string_expr  */
#line 936 "parser.y"
                        {(yyval.i_value) = strcmp((yyvsp[-2].s_value),(yyvsp[0].s_value)) == 0; free((yyvsp[-2].s_value)); free((yyvsp[0].s_value)); }
#line 3889 "parser.c"
    break;

  case 155: /* bool_expr: string_expr STR_NEQ_OP string_expr  */
#line 938 "parser.y"
                        {(yyval.i_value) = strcmp((yyvsp[-2].s_value),(yyvsp[0].s_value)) != 0; free((yyvsp[-2].s_value)); free((yyvsp[0].s_value)); }
#line 3895 "parser.c"
    break;

  case 156: /* bool_expr: NOT_OP typed_expr  */
#line 939 "parser.y"
                                    {(yyval.i_value) = (TOF((yyvsp[0].t_value)) ? 0:1); }
#line 3901 "parser.c"
    break;

  case 157: /* bool_expr: L_YES  */
#line 940 "parser.y"
                                {(yyval.i_value) = -2; }
#line 3907 "parser.c"
    break;

  case 158: /* bool_expr: L_NO  */
#line 941 "parser.y"
                                {(yyval.i_value) = 0; }
#line 3913 "parser.c"
    break;

  case 159: /* bool_expr: L_ON  */
#line 942 "parser.y"
                                {(yyval.i_value) = -2; }
#line 3919 "parser.c"
    break;

  case 160: /* bool_expr: L_OFF  */
#line 943 "parser.y"
                                {(yyval.i_value) = 0; }
#line 3925 "parser.c"
    break;

  case 161: /* bool_expr: DEFINED '(' string_unquoted ')'  */
#line 944 "parser.y"
                                                  {
			(yyval.i_value) = get_config_variable((yyvsp[-1].s_value)) !=0;
			free((yyvsp[-1].s_value));
		}
#line 3934 "parser.c"
    break;

  case 163: /* real_expr: REALCAST '(' typed_expr ')'  */
#line 951 "parser.y"
                                              {(yyval.r_value) = TOF((yyvsp[-1].t_value));}
#line 3940 "parser.c"
    break;

  case 164: /* variable_content: VARIABLE  */
#line 955 "parser.y"
                         {
			char *s = (yyvsp[0].s_value);
			if (get_config_variable(s))
				s = "1";
			else if (strncmp("c_",s,2)
					&& strncmp("u_",s,2)
					&& strncmp("h_",s,2) ) {
				s = checked_getenv(s);
				if (!s) s = "";
			}
			else
				s = "0";
			(yyval.s_value) = strdup(s);
			free((yyvsp[0].s_value));
		}
#line 3960 "parser.c"
    break;

  case 165: /* string_unquoted: STRING  */
#line 972 "parser.y"
                       {
			(yyval.s_value) = (yyvsp[0].s_value);
			if ((yyval.s_value)[0] == '\'' || (yyval.s_value)[0] == '\"') {
				size_t len = strlen((yyvsp[0].s_value)) - 2;
				memmove((yyval.s_value), (yyval.s_value)+1, len);
				(yyval.s_value)[len] = '\0';
			}
		}
#line 3973 "parser.c"
    break;

  case 167: /* string_expr: STRCAT '(' strarglist ')'  */
#line 983 "parser.y"
                                            {(yyval.s_value) = (yyvsp[-1].s_value); }
#line 3979 "parser.c"
    break;

  case 168: /* string_expr: STRSPLIT '(' string_expr ',' expression ',' expression ')'  */
#line 984 "parser.y"
                                                                             {
			int i = (yyvsp[-3].i_value);
			int len = (yyvsp[-1].i_value);
			int slen = strlen((yyvsp[-5].s_value));
			if ((i >=0) && (i < slen) && (len > 0)) {
				if ((i+len) > slen) len = slen - i;
				(yyvsp[-5].s_value)[i+len] = 0;
				(yyval.s_value) = strdup((yyvsp[-5].s_value) + i);
			}
			else
				(yyval.s_value) = strdup("");
			free((yyvsp[-5].s_value));
		}
#line 3997 "parser.c"
    break;

  case 169: /* string_expr: STRDEL '(' string_expr ',' expression ',' expression ')'  */
#line 997 "parser.y"
                                                                           {
			int i = (yyvsp[-3].i_value);
			int len = (yyvsp[-1].i_value);
			int slen = strlen((yyvsp[-5].s_value));
			char *s = strdup((yyvsp[-5].s_value));
			if ((i >=0) && (i < slen) && (len > 0)) {
				if ((i+len) > slen) s[i] = 0;
				else memmove(s+i, s+i+len, slen-i-len+1);
			}
			free((yyvsp[-5].s_value));
			(yyval.s_value) = s;
		}
#line 4014 "parser.c"
    break;

  case 170: /* string_expr: SHELL '(' strarglist ')'  */
#line 1009 "parser.y"
                                           {
			(yyval.s_value) = run_shell((yyvsp[-1].s_value));
			free((yyvsp[-1].s_value));
		}
#line 4023 "parser.c"
    break;

  case 171: /* string_expr: variable_content  */
#line 1013 "parser.y"
                                   {(yyval.s_value) = (yyvsp[0].s_value);}
#line 4029 "parser.c"
    break;

  case 173: /* strarglist: strarglist ',' strarglist_item  */
#line 1017 "parser.y"
                                                 {
			char *s = malloc(strlen((yyvsp[-2].s_value))+strlen((yyvsp[0].s_value))+1);
			strcpy(s, (yyvsp[-2].s_value));
			strcat(s, (yyvsp[0].s_value));
			(yyval.s_value) = s;
			free((yyvsp[-2].s_value)); free((yyvsp[0].s_value));
		}
#line 4041 "parser.c"
    break;

  case 175: /* strarglist_item: '(' typed_expr ')'  */
#line 1027 "parser.y"
                                     {
			if ((yyvsp[-1].t_value).type == TYPE_REAL)
				asprintf(&(yyval.s_value), "%g", (yyvsp[-1].t_value).value.r);
			else
				asprintf(&(yyval.s_value), "%d", (yyvsp[-1].t_value).value.i);
		}
#line 4052 "parser.c"
    break;

  case 176: /* check_user_var_list: VARIABLE  */
#line 1036 "parser.y"
                         {
			check_user_var((yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		}
#line 4061 "parser.c"
    break;

  case 177: /* check_user_var_list: check_user_var_list ',' VARIABLE  */
#line 1040 "parser.y"
                                                   {
			check_user_var((yyvsp[0].s_value));
			free((yyvsp[0].s_value));
		}
#line 4070 "parser.c"
    break;

  case 180: /* x_flag: UPDATELINES expression  */
#line 1051 "parser.y"
                                                { config.X_updatelines = (yyvsp[0].i_value); }
#line 4076 "parser.c"
    break;

  case 181: /* x_flag: UPDATEFREQ expression  */
#line 1052 "parser.y"
                                        { config.X_updatefreq = (yyvsp[0].i_value); }
#line 4082 "parser.c"
    break;

  case 182: /* x_flag: L_DISPLAY string_expr  */
#line 1053 "parser.y"
                                        { free(config.X_display); config.X_display = (yyvsp[0].s_value); }
#line 4088 "parser.c"
    break;

  case 183: /* x_flag: L_TITLE string_expr  */
#line 1054 "parser.y"
                                        { free(config.X_title); config.X_title = (yyvsp[0].s_value); }
#line 4094 "parser.c"
    break;

  case 184: /* x_flag: X_TITLE_SHOW_APPNAME bool  */
#line 1055 "parser.y"
                                                { config.X_title_show_appname = ((yyvsp[0].i_value)!=0); }
#line 4100 "parser.c"
    break;

  case 185: /* x_flag: ICON_NAME string_expr  */
#line 1056 "parser.y"
                                        { free(config.X_icon_name); config.X_icon_name = (yyvsp[0].s_value); }
#line 4106 "parser.c"
    break;

  case 186: /* x_flag: X_KEYCODE expression  */
#line 1057 "parser.y"
                                        { config.X_keycode = (yyvsp[0].i_value); }
#line 4112 "parser.c"
    break;

  case 187: /* x_flag: X_BLINKRATE expression  */
#line 1058 "parser.y"
                                                { config.X_blinkrate = (yyvsp[0].i_value); }
#line 4118 "parser.c"
    break;

  case 188: /* x_flag: X_SHARECMAP  */
#line 1059 "parser.y"
                                        { config.X_sharecmap = 1; }
#line 4124 "parser.c"
    break;

  case 189: /* x_flag: X_MITSHM  */
#line 1060 "parser.y"
                                        { config.X_mitshm = 1; }
#line 4130 "parser.c"
    break;

  case 190: /* x_flag: X_MITSHM bool  */
#line 1061 "parser.y"
                                        { config.X_mitshm = ((yyvsp[0].i_value)!=0); }
#line 4136 "parser.c"
    break;

  case 191: /* x_flag: X_FONT string_expr  */
#line 1062 "parser.y"
                                                { free(config.X_font); config.X_font = (yyvsp[0].s_value); }
#line 4142 "parser.c"
    break;

  case 192: /* x_flag: X_FIXED_ASPECT bool  */
#line 1063 "parser.y"
                                        { config.X_fixed_aspect = ((yyvsp[0].i_value)!=0); }
#line 4148 "parser.c"
    break;

  case 193: /* x_flag: X_ASPECT_43  */
#line 1064 "parser.y"
                                        { config.X_aspect_43 = 1; }
#line 4154 "parser.c"
    break;

  case 194: /* x_flag: X_LIN_FILT  */
#line 1065 "parser.y"
                                        { config.X_lin_filt = 1; }
#line 4160 "parser.c"
    break;

  case 195: /* x_flag: X_BILIN_FILT  */
#line 1066 "parser.y"
                                        { config.X_bilin_filt = 1; }
#line 4166 "parser.c"
    break;

  case 196: /* x_flag: X_MODE13FACT expression  */
#line 1067 "parser.y"
                                           { config.X_mode13fact = (yyvsp[0].i_value); }
#line 4172 "parser.c"
    break;

  case 197: /* x_flag: X_WINSIZE INTEGER INTEGER  */
#line 1069 "parser.y"
                   {
                     config.X_winsize_x = (yyvsp[-1].i_value);
                     config.X_winsize_y = (yyvsp[0].i_value);
                   }
#line 4181 "parser.c"
    break;

  case 198: /* x_flag: X_WINSIZE expression ',' expression  */
#line 1074 "parser.y"
                   {
                     config.X_winsize_x = (yyvsp[-2].i_value);
                     config.X_winsize_y = (yyvsp[0].i_value);
                   }
#line 4190 "parser.c"
    break;

  case 199: /* x_flag: X_GAMMA expression  */
#line 1078 "parser.y"
                                      { config.X_gamma = (yyvsp[0].i_value); }
#line 4196 "parser.c"
    break;

  case 200: /* x_flag: X_FULLSCREEN bool  */
#line 1079 "parser.y"
                                      { config.X_fullscreen = (yyvsp[0].i_value); }
#line 4202 "parser.c"
    break;

  case 201: /* x_flag: VGAEMU_MEMSIZE expression  */
#line 1080 "parser.y"
                                                { config.vgaemu_memsize = (yyvsp[0].i_value); }
#line 4208 "parser.c"
    break;

  case 202: /* x_flag: VESAMODE INTEGER INTEGER  */
#line 1081 "parser.y"
                                           { set_vesamodes((yyvsp[-1].i_value),(yyvsp[0].i_value),0);}
#line 4214 "parser.c"
    break;

  case 203: /* x_flag: VESAMODE INTEGER INTEGER INTEGER  */
#line 1082 "parser.y"
                                                   { set_vesamodes((yyvsp[-2].i_value),(yyvsp[-1].i_value),(yyvsp[0].i_value));}
#line 4220 "parser.c"
    break;

  case 204: /* x_flag: VESAMODE expression ',' expression  */
#line 1083 "parser.y"
                                                     { set_vesamodes((yyvsp[-2].i_value),(yyvsp[0].i_value),0);}
#line 4226 "parser.c"
    break;

  case 205: /* x_flag: VESAMODE expression ',' expression ',' expression  */
#line 1085 "parser.y"
                        { set_vesamodes((yyvsp[-4].i_value),(yyvsp[-2].i_value),(yyvsp[0].i_value));}
#line 4232 "parser.c"
    break;

  case 206: /* x_flag: X_LFB bool  */
#line 1086 "parser.y"
                                        { config.X_lfb = ((yyvsp[0].i_value)!=0); }
#line 4238 "parser.c"
    break;

  case 207: /* x_flag: X_PM_INTERFACE bool  */
#line 1087 "parser.y"
                                        { config.X_pm_interface = ((yyvsp[0].i_value)!=0); }
#line 4244 "parser.c"
    break;

  case 208: /* x_flag: X_MGRAB_KEY string_expr  */
#line 1088 "parser.y"
                                          { free(config.X_mgrab_key); config.X_mgrab_key = (yyvsp[0].s_value); }
#line 4250 "parser.c"
    break;

  case 209: /* x_flag: X_BACKGROUND_PAUSE bool  */
#line 1089 "parser.y"
                                                { config.X_background_pause = ((yyvsp[0].i_value)!=0); }
#line 4256 "parser.c"
    break;

  case 212: /* dexeflag: ALLOWDISK  */
#line 1096 "parser.y"
                                { if (!priv_lvl) dexe_forbid_disk = 0; }
#line 4262 "parser.c"
    break;

  case 213: /* dexeflag: FORCEXDOS  */
#line 1097 "parser.y"
                                {
			char *env = getenv("DISPLAY");
			if (env && env[0] && dexe_running) config.X = 1;
		}
#line 4271 "parser.c"
    break;

  case 214: /* dexeflag: XDOSONLY  */
#line 1101 "parser.y"
                                {
			char *env = getenv("DISPLAY");
			if (env && env[0] && dexe_running) config.X = 1;
			else if (dexe_running) {
			  yyerror("this DEXE requires X, giving up");
			  exit(99);
			}
		}
#line 4284 "parser.c"
    break;

  case 217: /* sound_flag: SB_BASE expression  */
#line 1116 "parser.y"
                                        { config.sb_base = (yyvsp[0].i_value); }
#line 4290 "parser.c"
    break;

  case 218: /* sound_flag: SB_DMA expression  */
#line 1117 "parser.y"
                                        { config.sb_dma = (yyvsp[0].i_value); }
#line 4296 "parser.c"
    break;

  case 219: /* sound_flag: SB_HDMA expression  */
#line 1118 "parser.y"
                                     { config.sb_hdma = (yyvsp[0].i_value); }
#line 4302 "parser.c"
    break;

  case 220: /* sound_flag: SB_IRQ expression  */
#line 1119 "parser.y"
                                        { config.sb_irq = (yyvsp[0].i_value); }
#line 4308 "parser.c"
    break;

  case 221: /* sound_flag: SB_MIXER string_expr  */
#line 1120 "parser.y"
                                             { free(config.sb_mixer); config.sb_mixer = (yyvsp[0].s_value); }
#line 4314 "parser.c"
    break;

  case 222: /* sound_flag: SB_DSP string_expr  */
#line 1121 "parser.y"
                                             { free(config.sb_dsp); config.sb_dsp = (yyvsp[0].s_value); }
#line 4320 "parser.c"
    break;

  case 223: /* sound_flag: MPU_BASE expression  */
#line 1122 "parser.y"
                                        { config.mpu401_base = (yyvsp[0].i_value); }
#line 4326 "parser.c"
    break;

  case 224: /* sound_flag: SOUND_DRIVER string_expr  */
#line 1123 "parser.y"
                                                { free(config.sound_driver); config.sound_driver = (yyvsp[0].s_value); }
#line 4332 "parser.c"
    break;

  case 227: /* snd_oss_flag: OSS_MIN_FRAGS expression  */
#line 1128 "parser.y"
                                                { config.oss_min_frags = (yyvsp[0].i_value); }
#line 4338 "parser.c"
    break;

  case 228: /* snd_oss_flag: OSS_MAX_FRAGS expression  */
#line 1129 "parser.y"
                                                { config.oss_max_frags = (yyvsp[0].i_value); }
#line 4344 "parser.c"
    break;

  case 229: /* snd_oss_flag: OSS_STALLED_FRAGS expression  */
#line 1130 "parser.y"
                                                { config.oss_stalled_frags = (yyvsp[0].i_value); }
#line 4350 "parser.c"
    break;

  case 230: /* snd_oss_flag: OSS_DO_POST bool  */
#line 1131 "parser.y"
                                                { config.oss_do_post = (yyvsp[0].i_value); }
#line 4356 "parser.c"
    break;

  case 231: /* snd_oss_flag: OSS_MIN_EXTRA_FRAGS expression  */
#line 1132 "parser.y"
                                                 { config.oss_min_extra_frags = (yyvsp[0].i_value); }
#line 4362 "parser.c"
    break;

  case 232: /* snd_oss_flag: OSS_DAC_FREQ expression  */
#line 1133 "parser.y"
                                                 { config.oss_dac_freq = (yyvsp[0].i_value); }
#line 4368 "parser.c"
    break;

  case 235: /* joystick_flag: JOY_DEVICE string_expr  */
#line 1141 "parser.y"
                                                { set_joy_device((yyvsp[0].s_value)); }
#line 4374 "parser.c"
    break;

  case 236: /* joystick_flag: JOY_DOS_MIN expression  */
#line 1142 "parser.y"
                                                { config.joy_dos_min = (yyvsp[0].i_value); }
#line 4380 "parser.c"
    break;

  case 237: /* joystick_flag: JOY_DOS_MAX expression  */
#line 1143 "parser.y"
                                                { config.joy_dos_max = (yyvsp[0].i_value); }
#line 4386 "parser.c"
    break;

  case 238: /* joystick_flag: JOY_GRANULARITY expression  */
#line 1144 "parser.y"
                                                { config.joy_granularity = (yyvsp[0].i_value); }
#line 4392 "parser.c"
    break;

  case 239: /* joystick_flag: JOY_LATENCY expression  */
#line 1145 "parser.y"
                                                { config.joy_latency = (yyvsp[0].i_value); }
#line 4398 "parser.c"
    break;

  case 242: /* video_flag: VGA  */
#line 1153 "parser.y"
                                        { config.cardtype = CARD_VGA; }
#line 4404 "parser.c"
    break;

  case 243: /* video_flag: MGA  */
#line 1154 "parser.y"
                                        { config.cardtype = CARD_MDA; }
#line 4410 "parser.c"
    break;

  case 244: /* video_flag: CGA  */
#line 1155 "parser.y"
                                        { config.cardtype = CARD_CGA; }
#line 4416 "parser.c"
    break;

  case 245: /* video_flag: EGA  */
#line 1156 "parser.y"
                                        { config.cardtype = CARD_EGA; }
#line 4422 "parser.c"
    break;

  case 246: /* video_flag: NONE  */
#line 1157 "parser.y"
                                        { config.cardtype = CARD_NONE; }
#line 4428 "parser.c"
    break;

  case 247: /* video_flag: CHIPSET CHIPSET_TYPE  */
#line 1159 "parser.y"
                    {
		    config.chipset = (yyvsp[0].i_value);
                    c_printf("CHIPSET: %d\n", (yyvsp[0].i_value));
		    }
#line 4437 "parser.c"
    break;

  case 248: /* video_flag: MEMSIZE expression  */
#line 1163 "parser.y"
                                        { config.gfxmemsize = (yyvsp[0].i_value); }
#line 4443 "parser.c"
    break;

  case 249: /* video_flag: GRAPHICS  */
#line 1165 "parser.y"
                    { config.vga = 1;
		    }
#line 4450 "parser.c"
    break;

  case 250: /* video_flag: CONSOLE  */
#line 1168 "parser.y"
                    { config.console_video = 1;
		    }
#line 4457 "parser.c"
    break;

  case 251: /* video_flag: FULLREST  */
#line 1170 "parser.y"
                                        { config.fullrestore = 1; }
#line 4463 "parser.c"
    break;

  case 252: /* video_flag: PARTREST  */
#line 1171 "parser.y"
                                        { config.fullrestore = 0; }
#line 4469 "parser.c"
    break;

  case 253: /* video_flag: VBIOS_FILE string_expr  */
#line 1172 "parser.y"
                                                { free(config.vbios_file); config.vbios_file = (yyvsp[0].s_value);
					  config.mapped_bios = 1;
					  config.vbios_copy = 0; }
#line 4477 "parser.c"
    break;

  case 254: /* video_flag: VGAEMUBIOS_FILE string_expr  */
#line 1175 "parser.y"
                                                { free(config.vgaemubios_file); config.vgaemubios_file = (yyvsp[0].s_value); }
#line 4483 "parser.c"
    break;

  case 255: /* video_flag: VBIOS_COPY  */
#line 1176 "parser.y"
                                        { free(config.vbios_file);
					  config.vbios_file = NULL;
					  config.mapped_bios = 1;
					  config.vbios_copy = 1; }
#line 4492 "parser.c"
    break;

  case 256: /* video_flag: VBIOS_MMAP  */
#line 1180 "parser.y"
                                        { free(config.vbios_file);
					  config.vbios_file = NULL;
					  config.mapped_bios = 1;
					  config.vbios_copy = 1; }
#line 4501 "parser.c"
    break;

  case 257: /* video_flag: VBIOS_SEG expression  */
#line 1185 "parser.y"
                   {
		   config.vbios_seg = (yyvsp[0].i_value);
		   c_printf("CONF: VGA-BIOS-Segment %x\n", (yyvsp[0].i_value));
		   if (((yyvsp[0].i_value) != 0xe000) && ((yyvsp[0].i_value) != 0xc000))
		      {
		      config.vbios_seg = detect_vbios_seg();
		      if (config.vbios_seg == -1) config.vbios_seg = 0xc000;
		      c_printf("CONF: VGA-BIOS-Segment set to 0x%x\n", config.vbios_seg);
		      }
		   }
#line 4516 "parser.c"
    break;

  case 258: /* video_flag: VBIOS_SIZE_TOK expression  */
#line 1196 "parser.y"
                   {
		   config.vbios_size = (yyvsp[0].i_value);
		   c_printf("CONF: VGA-BIOS-Size %x\n", (yyvsp[0].i_value));
		   if (((yyvsp[0].i_value) != 0x8000) && ((yyvsp[0].i_value) != 0x10000))
		      {
		      config.vbios_size = detect_vbios_size();
		      if (config.vbios_size == -1) config.vbios_size = 0x10000;
		      c_printf("CONF: VGA-BIOS-Size set to 0x%x\n", config.vbios_size);
		      }
		   }
#line 4531 "parser.c"
    break;

  case 259: /* video_flag: VBIOS_POST  */
#line 1206 "parser.y"
                                        { config.vbios_post = 1; }
#line 4537 "parser.c"
    break;

  case 260: /* video_flag: DUALMON  */
#line 1207 "parser.y"
                                        { config.dualmon = 1; }
#line 4543 "parser.c"
    break;

  case 261: /* video_flag: FORCE_VT_SWITCH  */
#line 1208 "parser.y"
                                        { config.force_vt_switch = 1; }
#line 4549 "parser.c"
    break;

  case 262: /* video_flag: PCI  */
#line 1209 "parser.y"
                                        { config.pci_video = 1; }
#line 4555 "parser.c"
    break;

  case 263: /* video_flag: STRING  */
#line 1211 "parser.y"
                    { yyerror("unrecognized video option '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 4562 "parser.c"
    break;

  case 267: /* term_flag: ESCCHAR expression  */
#line 1221 "parser.y"
                                           { config.term_esc_char = (yyvsp[0].i_value); }
#line 4568 "parser.c"
    break;

  case 268: /* term_flag: UPDATEFREQ expression  */
#line 1222 "parser.y"
                                        { config.term_updatefreq = (yyvsp[0].i_value); }
#line 4574 "parser.c"
    break;

  case 269: /* term_flag: COLOR bool  */
#line 1223 "parser.y"
                                        { config.term_color = ((yyvsp[0].i_value)!=0); }
#line 4580 "parser.c"
    break;

  case 270: /* term_flag: STRING  */
#line 1225 "parser.y"
                    { yyerror("unrecognized terminal option '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 4587 "parser.c"
    break;

  case 274: /* debug_flag: VIDEO bool  */
#line 1239 "parser.y"
                                        { set_debug_level('v', ((yyvsp[0].i_value)!=0)); }
#line 4593 "parser.c"
    break;

  case 275: /* debug_flag: L_OFF  */
#line 1240 "parser.y"
                                        { set_debug_level('a', 0); }
#line 4599 "parser.c"
    break;

  case 276: /* debug_flag: SERIAL bool  */
#line 1241 "parser.y"
                                        { set_debug_level('s', ((yyvsp[0].i_value)!=0)); }
#line 4605 "parser.c"
    break;

  case 277: /* debug_flag: CONFIG bool  */
#line 1242 "parser.y"
                                        { set_debug_level('c', ((yyvsp[0].i_value)!=0)); }
#line 4611 "parser.c"
    break;

  case 278: /* debug_flag: DISK bool  */
#line 1243 "parser.y"
                                        { set_debug_level('d', ((yyvsp[0].i_value)!=0)); }
#line 4617 "parser.c"
    break;

  case 279: /* debug_flag: READ bool  */
#line 1244 "parser.y"
                                        { set_debug_level('R', ((yyvsp[0].i_value)!=0)); }
#line 4623 "parser.c"
    break;

  case 280: /* debug_flag: WRITE bool  */
#line 1245 "parser.y"
                                        { set_debug_level('W', ((yyvsp[0].i_value)!=0)); }
#line 4629 "parser.c"
    break;

  case 281: /* debug_flag: KEYB bool  */
#line 1246 "parser.y"
                                        { set_debug_level('k', ((yyvsp[0].i_value)!=0)); }
#line 4635 "parser.c"
    break;

  case 282: /* debug_flag: KEYBOARD bool  */
#line 1247 "parser.y"
                                        { set_debug_level('k', ((yyvsp[0].i_value)!=0)); }
#line 4641 "parser.c"
    break;

  case 283: /* debug_flag: PRINTER bool  */
#line 1248 "parser.y"
                                        { set_debug_level('p', ((yyvsp[0].i_value)!=0)); }
#line 4647 "parser.c"
    break;

  case 284: /* debug_flag: IO bool  */
#line 1249 "parser.y"
                                        { set_debug_level('i', ((yyvsp[0].i_value)!=0)); }
#line 4653 "parser.c"
    break;

  case 285: /* debug_flag: PORT bool  */
#line 1250 "parser.y"
                                        { set_debug_level('i', ((yyvsp[0].i_value)!=0)); }
#line 4659 "parser.c"
    break;

  case 286: /* debug_flag: WARNING bool  */
#line 1251 "parser.y"
                                        { set_debug_level('w', ((yyvsp[0].i_value)!=0)); }
#line 4665 "parser.c"
    break;

  case 287: /* debug_flag: GENERAL bool  */
#line 1252 "parser.y"
                                        { set_debug_level('g', ((yyvsp[0].i_value)!=0)); }
#line 4671 "parser.c"
    break;

  case 288: /* debug_flag: L_XMS bool  */
#line 1253 "parser.y"
                                        { set_debug_level('X', ((yyvsp[0].i_value)!=0)); }
#line 4677 "parser.c"
    break;

  case 289: /* debug_flag: L_DPMI bool  */
#line 1254 "parser.y"
                                        { set_debug_level('M', ((yyvsp[0].i_value)!=0)); }
#line 4683 "parser.c"
    break;

  case 290: /* debug_flag: MOUSE bool  */
#line 1255 "parser.y"
                                        { set_debug_level('m', ((yyvsp[0].i_value)!=0)); }
#line 4689 "parser.c"
    break;

  case 291: /* debug_flag: HARDWARE bool  */
#line 1256 "parser.y"
                                        { set_debug_level('h', ((yyvsp[0].i_value)!=0)); }
#line 4695 "parser.c"
    break;

  case 292: /* debug_flag: L_IPC bool  */
#line 1257 "parser.y"
                                        { set_debug_level('I', ((yyvsp[0].i_value)!=0)); }
#line 4701 "parser.c"
    break;

  case 293: /* debug_flag: L_EMS bool  */
#line 1258 "parser.y"
                                        { set_debug_level('E', ((yyvsp[0].i_value)!=0)); }
#line 4707 "parser.c"
    break;

  case 294: /* debug_flag: NETWORK bool  */
#line 1259 "parser.y"
                                        { set_debug_level('n', ((yyvsp[0].i_value)!=0)); }
#line 4713 "parser.c"
    break;

  case 295: /* debug_flag: L_X bool  */
#line 1260 "parser.y"
                                        { set_debug_level('X', ((yyvsp[0].i_value)!=0)); }
#line 4719 "parser.c"
    break;

  case 296: /* debug_flag: SOUND bool  */
#line 1261 "parser.y"
                                        { set_debug_level('S', ((yyvsp[0].i_value)!=0)); }
#line 4725 "parser.c"
    break;

  case 297: /* debug_flag: JOYSTICK bool  */
#line 1262 "parser.y"
                                        { set_debug_level('j', ((yyvsp[0].i_value)!=0)); }
#line 4731 "parser.c"
    break;

  case 298: /* debug_flag: STRING  */
#line 1264 "parser.y"
                    { yyerror("unrecognized debug flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 4737 "parser.c"
    break;

  case 302: /* mouse_flag: DEVICE string_expr  */
#line 1273 "parser.y"
                                        { free(mptr->dev); mptr->dev = (yyvsp[0].s_value); }
#line 4743 "parser.c"
    break;

  case 303: /* mouse_flag: INTERNALDRIVER  */
#line 1274 "parser.y"
                                        { mptr->intdrv = TRUE; }
#line 4749 "parser.c"
    break;

  case 304: /* mouse_flag: EMULATE3BUTTONS  */
#line 1275 "parser.y"
                                        { mptr->emulate3buttons = TRUE; }
#line 4755 "parser.c"
    break;

  case 305: /* mouse_flag: BAUDRATE expression  */
#line 1276 "parser.y"
                                        { mptr->baudRate = (yyvsp[0].i_value); }
#line 4761 "parser.c"
    break;

  case 306: /* mouse_flag: CLEARDTR  */
#line 1278 "parser.y"
                    { if (mptr->type == MOUSE_MOUSESYSTEMS)
			 mptr->cleardtr = TRUE;
		      else
			 yyerror("option CLEARDTR is only valid for MicroSystems-mice");
		    }
#line 4771 "parser.c"
    break;

  case 307: /* mouse_flag: MICROSOFT  */
#line 1284 "parser.y"
                  {
		  mptr->type = MOUSE_MICROSOFT;
		  mptr->flags = CS7 | CREAD | CLOCAL | HUPCL;
		  }
#line 4780 "parser.c"
    break;

  case 308: /* mouse_flag: MS3BUTTON  */
#line 1289 "parser.y"
                  {
		  mptr->type = MOUSE_MS3BUTTON;
		  mptr->flags = CS7 | CREAD | CLOCAL | HUPCL;
		  }
#line 4789 "parser.c"
    break;

  case 309: /* mouse_flag: MOUSESYSTEMS  */
#line 1294 "parser.y"
                  {
		  mptr->type = MOUSE_MOUSESYSTEMS;
		  mptr->flags = CS8 | CREAD | CLOCAL | HUPCL;
/* is cstopb needed?  mptr->flags = CS8 | CSTOPB | CREAD | CLOCAL | HUPCL; */
		  }
#line 4799 "parser.c"
    break;

  case 310: /* mouse_flag: MMSERIES  */
#line 1300 "parser.y"
                  {
		  mptr->type = MOUSE_MMSERIES;
		  mptr->flags = CS8 | PARENB | PARODD | CREAD | CLOCAL | HUPCL;
		  }
#line 4808 "parser.c"
    break;

  case 311: /* mouse_flag: LOGITECH  */
#line 1305 "parser.y"
                  {
		  mptr->type = MOUSE_LOGITECH;
		  mptr->flags = CS8 | CSTOPB | CREAD | CLOCAL | HUPCL;
		  }
#line 4817 "parser.c"
    break;

  case 312: /* mouse_flag: PS2  */
#line 1310 "parser.y"
                  {
		  mptr->type = MOUSE_PS2;
		  mptr->flags = 0;
		  }
#line 4826 "parser.c"
    break;

  case 313: /* mouse_flag: IMPS2  */
#line 1315 "parser.y"
                  {
		  mptr->type = MOUSE_IMPS2;
		  mptr->flags = 0;
		  }
#line 4835 "parser.c"
    break;

  case 314: /* mouse_flag: MOUSEMAN  */
#line 1320 "parser.y"
                  {
		  mptr->type = MOUSE_MOUSEMAN;
		  mptr->flags = CS7 | CREAD | CLOCAL | HUPCL;
		  }
#line 4844 "parser.c"
    break;

  case 315: /* mouse_flag: HITACHI  */
#line 1325 "parser.y"
                  {
		  mptr->type = MOUSE_HITACHI;
		  mptr->flags = CS8 | CREAD | CLOCAL | HUPCL;
		  }
#line 4853 "parser.c"
    break;

  case 316: /* mouse_flag: BUSMOUSE  */
#line 1330 "parser.y"
                  {
		  mptr->type = MOUSE_BUSMOUSE;
		  mptr->flags = 0;
		  }
#line 4862 "parser.c"
    break;

  case 317: /* mouse_flag: STRING  */
#line 1335 "parser.y"
                    { yyerror("unrecognized mouse flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 4868 "parser.c"
    break;

  case 321: /* keyboard_flag: LAYOUT KEYB_LAYOUT  */
#line 1344 "parser.y"
                                        { keyb_layout((yyvsp[0].i_value)); }
#line 4874 "parser.c"
    break;

  case 322: /* $@15: %empty  */
#line 1345 "parser.y"
                                     {keyb_layout((yyvsp[0].i_value));}
#line 4880 "parser.c"
    break;

  case 324: /* keyboard_flag: LAYOUT L_NO  */
#line 1346 "parser.y"
                                        { keyb_layout(KEYB_NO); }
#line 4886 "parser.c"
    break;

  case 325: /* keyboard_flag: LAYOUT L_AUTO  */
#line 1347 "parser.y"
                                        { keyb_layout(-1); }
#line 4892 "parser.c"
    break;

  case 326: /* keyboard_flag: RAWKEYBOARD bool  */
#line 1348 "parser.y"
                                        { config.console_keyb = (yyvsp[0].i_value); }
#line 4898 "parser.c"
    break;

  case 327: /* keyboard_flag: STRING  */
#line 1350 "parser.y"
                    { yyerror("unrecognized keyboard flag '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value));}
#line 4905 "parser.c"
    break;

  case 331: /* $@16: %empty  */
#line 1359 "parser.y"
                                          { keyb_mod('C', (yyvsp[-1].i_value), 0); }
#line 4911 "parser.c"
    break;

  case 333: /* $@17: %empty  */
#line 1360 "parser.y"
                                               { keyb_mod('a', (yyvsp[-1].i_value), 0); }
#line 4917 "parser.c"
    break;

  case 335: /* $@18: %empty  */
#line 1361 "parser.y"
                                              { keyb_mod('c', (yyvsp[-1].i_value), 0); }
#line 4923 "parser.c"
    break;

  case 337: /* $@19: %empty  */
#line 1362 "parser.y"
                                 { keyb_mod(' ', (yyvsp[-1].i_value), 0); }
#line 4929 "parser.c"
    break;

  case 339: /* $@20: %empty  */
#line 1363 "parser.y"
                                           { keyb_mod('S', (yyvsp[-1].i_value), 0); }
#line 4935 "parser.c"
    break;

  case 341: /* $@21: %empty  */
#line 1364 "parser.y"
                                         { keyb_mod('A', (yyvsp[-1].i_value), 0); }
#line 4941 "parser.c"
    break;

  case 343: /* $@22: %empty  */
#line 1365 "parser.y"
                                            { keyb_mod('N', (yyvsp[-1].i_value), 0); }
#line 4947 "parser.c"
    break;

  case 347: /* keyboard_modval: UNICODE  */
#line 1372 "parser.y"
                          { keyb_mod(0, (yyvsp[0].i_value), 1); }
#line 4953 "parser.c"
    break;

  case 348: /* keyboard_modval: DGRAVE  */
#line 1373 "parser.y"
                         { keyb_mod(0, KEY_DEAD_GRAVE, 1); }
#line 4959 "parser.c"
    break;

  case 349: /* keyboard_modval: DACUTE  */
#line 1374 "parser.y"
                         { keyb_mod(0, KEY_DEAD_ACUTE, 1); }
#line 4965 "parser.c"
    break;

  case 350: /* keyboard_modval: DCIRCUM  */
#line 1375 "parser.y"
                          { keyb_mod(0, KEY_DEAD_CIRCUMFLEX, 1); }
#line 4971 "parser.c"
    break;

  case 351: /* keyboard_modval: DTILDE  */
#line 1376 "parser.y"
                         { keyb_mod(0, KEY_DEAD_TILDE, 1); }
#line 4977 "parser.c"
    break;

  case 352: /* keyboard_modval: DBREVE  */
#line 1377 "parser.y"
                         { keyb_mod(0, KEY_DEAD_BREVE, 1); }
#line 4983 "parser.c"
    break;

  case 353: /* keyboard_modval: DABOVED  */
#line 1378 "parser.y"
                          { keyb_mod(0, KEY_DEAD_ABOVEDOT, 1); }
#line 4989 "parser.c"
    break;

  case 354: /* keyboard_modval: DDIARES  */
#line 1379 "parser.y"
                          { keyb_mod(0, KEY_DEAD_DIAERESIS, 1); }
#line 4995 "parser.c"
    break;

  case 355: /* keyboard_modval: DABOVER  */
#line 1380 "parser.y"
                          { keyb_mod(0, KEY_DEAD_ABOVERING, 1); }
#line 5001 "parser.c"
    break;

  case 356: /* keyboard_modval: DDACUTE  */
#line 1381 "parser.y"
                          { keyb_mod(0, KEY_DEAD_DOUBLEACUTE, 1); }
#line 5007 "parser.c"
    break;

  case 357: /* keyboard_modval: DCEDILLA  */
#line 1382 "parser.y"
                           { keyb_mod(0, KEY_DEAD_CEDILLA, 1); }
#line 5013 "parser.c"
    break;

  case 358: /* keyboard_modval: DIOTA  */
#line 1383 "parser.y"
                        { keyb_mod(0, KEY_VOID, 1); }
#line 5019 "parser.c"
    break;

  case 359: /* keyboard_modval: DOGONEK  */
#line 1384 "parser.y"
                          { keyb_mod(0,KEY_DEAD_OGONEK, 1); }
#line 5025 "parser.c"
    break;

  case 360: /* keyboard_modval: DCARON  */
#line 1385 "parser.y"
                         { keyb_mod(0, KEY_DEAD_CARON, 1); }
#line 5031 "parser.c"
    break;

  case 361: /* keyboard_modval: INTEGER  */
#line 1386 "parser.y"
                          { keyb_mod(0, (yyvsp[0].i_value), 0); }
#line 5037 "parser.c"
    break;

  case 362: /* keyboard_modval: '(' expression ')'  */
#line 1387 "parser.y"
                                     { keyb_mod(0, (yyvsp[-1].i_value), 0); }
#line 5043 "parser.c"
    break;

  case 363: /* keyboard_modval: string_unquoted  */
#line 1388 "parser.y"
                                  {
			char *p = (yyvsp[0].s_value);
			while (*p) keyb_mod(0, *p++, 0);
			free((yyvsp[0].s_value));
		}
#line 5053 "parser.c"
    break;

  case 366: /* ttylocks_flag: DIRECTORY string_expr  */
#line 1400 "parser.y"
                                        { free(config.tty_lockdir); config.tty_lockdir = (yyvsp[0].s_value); }
#line 5059 "parser.c"
    break;

  case 367: /* ttylocks_flag: NAMESTUB string_expr  */
#line 1401 "parser.y"
                                        { free(config.tty_lockfile); config.tty_lockfile = (yyvsp[0].s_value); }
#line 5065 "parser.c"
    break;

  case 368: /* ttylocks_flag: BINARY  */
#line 1402 "parser.y"
                                        { config.tty_lockbinary = TRUE; }
#line 5071 "parser.c"
    break;

  case 369: /* ttylocks_flag: STRING  */
#line 1404 "parser.y"
                    { yyerror("unrecognized ttylocks flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5077 "parser.c"
    break;

  case 373: /* serial_flag: DEVICE string_expr  */
#line 1413 "parser.y"
                                                { free(sptr->dev); sptr->dev = (yyvsp[0].s_value);
					  if (!strcmp("/dev/mouse",sptr->dev)) sptr->mouse=1; }
#line 5084 "parser.c"
    break;

  case 374: /* serial_flag: VIRTUAL  */
#line 1415 "parser.y"
                                          {
					   if (isatty(0)) {
					     sptr->virtual = TRUE;
					     sptr->pseudo = TRUE;
					     no_local_video = 1;
					     sptr->dev = strdup(ttyname(0));
					   } else {
					     error("FD 0 is not a tty, can't "
					           "use a virtual com port\n");
					     exit(1);
					   }
					  }
#line 5101 "parser.c"
    break;

  case 375: /* serial_flag: COM expression  */
#line 1427 "parser.y"
                                                { sptr->real_comport = (yyvsp[0].i_value);
					  com_port_used[(yyvsp[0].i_value)] = 1; }
#line 5108 "parser.c"
    break;

  case 376: /* serial_flag: BASE expression  */
#line 1429 "parser.y"
                                                { sptr->base_port = (yyvsp[0].i_value); }
#line 5114 "parser.c"
    break;

  case 377: /* serial_flag: IRQ expression  */
#line 1430 "parser.y"
                                                { sptr->interrupt = (yyvsp[0].i_value); }
#line 5120 "parser.c"
    break;

  case 378: /* serial_flag: INTERRUPT expression  */
#line 1431 "parser.y"
                                        { sptr->interrupt = (yyvsp[0].i_value); }
#line 5126 "parser.c"
    break;

  case 379: /* serial_flag: MOUSE  */
#line 1432 "parser.y"
                                        { sptr->mouse = 1; }
#line 5132 "parser.c"
    break;

  case 380: /* serial_flag: STRING  */
#line 1434 "parser.y"
                    { yyerror("unrecognized serial flag '%s'", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5138 "parser.c"
    break;

  case 384: /* printer_flag: LPT expression  */
#line 1443 "parser.y"
                                        { c_printers = (yyvsp[0].i_value) - 1; }
#line 5144 "parser.c"
    break;

  case 385: /* printer_flag: COMMAND string_expr  */
#line 1444 "parser.y"
                                        { pptr->prtcmd = (yyvsp[0].s_value); }
#line 5150 "parser.c"
    break;

  case 386: /* printer_flag: TIMEOUT expression  */
#line 1445 "parser.y"
                                        { pptr->delay = (yyvsp[0].i_value); }
#line 5156 "parser.c"
    break;

  case 387: /* printer_flag: L_FILE string_expr  */
#line 1446 "parser.y"
                                                { pptr->dev = (yyvsp[0].s_value); }
#line 5162 "parser.c"
    break;

  case 388: /* printer_flag: BASE expression  */
#line 1447 "parser.y"
                                                { pptr->base_port = (yyvsp[0].i_value); }
#line 5168 "parser.c"
    break;

  case 389: /* printer_flag: STRING  */
#line 1449 "parser.y"
                    { yyerror("unrecognized printer flag %s", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5174 "parser.c"
    break;

  case 391: /* optbootfile: BOOTFILE string_expr  */
#line 1456 "parser.y"
                  {
		  if (dptr->boot_name != NULL)
		    yyerror("Two names for a boot-image file or device given.");
		  dptr->boot_name = (yyvsp[0].s_value);
                  }
#line 5184 "parser.c"
    break;

  case 395: /* disk_flag: READONLY  */
#line 1467 "parser.y"
                                        { dptr->wantrdonly = 1; }
#line 5190 "parser.c"
    break;

  case 396: /* disk_flag: THREEINCH  */
#line 1468 "parser.y"
                                { dptr->default_cmos = THREE_INCH_FLOPPY; }
#line 5196 "parser.c"
    break;

  case 397: /* disk_flag: THREEINCH_2880  */
#line 1469 "parser.y"
                                        { dptr->default_cmos = THREE_INCH_288MFLOP; }
#line 5202 "parser.c"
    break;

  case 398: /* disk_flag: THREEINCH_720  */
#line 1470 "parser.y"
                                { dptr->default_cmos = THREE_INCH_720KFLOP; }
#line 5208 "parser.c"
    break;

  case 399: /* disk_flag: ATAPI  */
#line 1471 "parser.y"
                                { dptr->default_cmos = ATAPI_FLOPPY; }
#line 5214 "parser.c"
    break;

  case 400: /* disk_flag: FIVEINCH  */
#line 1472 "parser.y"
                                { dptr->default_cmos = FIVE_INCH_FLOPPY; }
#line 5220 "parser.c"
    break;

  case 401: /* disk_flag: DISKCYL4096  */
#line 1473 "parser.y"
                                { dptr->diskcyl4096 = 1; }
#line 5226 "parser.c"
    break;

  case 402: /* disk_flag: SECTORS expression  */
#line 1474 "parser.y"
                                        { dptr->sectors = (yyvsp[0].i_value); }
#line 5232 "parser.c"
    break;

  case 403: /* disk_flag: CYLINDERS expression  */
#line 1475 "parser.y"
                                        { dptr->tracks = (yyvsp[0].i_value); }
#line 5238 "parser.c"
    break;

  case 404: /* disk_flag: TRACKS expression  */
#line 1476 "parser.y"
                                        { dptr->tracks = (yyvsp[0].i_value); }
#line 5244 "parser.c"
    break;

  case 405: /* disk_flag: HEADS expression  */
#line 1477 "parser.y"
                                                { dptr->heads = (yyvsp[0].i_value); }
#line 5250 "parser.c"
    break;

  case 406: /* disk_flag: OFFSET expression  */
#line 1478 "parser.y"
                                        { dptr->header = (yyvsp[0].i_value); }
#line 5256 "parser.c"
    break;

  case 407: /* disk_flag: DEVICE string_expr optbootfile  */
#line 1480 "parser.y"
                  {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a disk-image file or device given.");
		  dptr->dev_name = (yyvsp[-1].s_value);
		  }
#line 5266 "parser.c"
    break;

  case 408: /* disk_flag: L_FILE string_expr  */
#line 1486 "parser.y"
                  {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a disk-image file or device given.");
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5276 "parser.c"
    break;

  case 409: /* disk_flag: HDIMAGE string_expr  */
#line 1492 "parser.y"
                  {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a harddisk-image file given.");
		  dptr->type = IMAGE;
		  dptr->header = HEADER_SIZE;
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5288 "parser.c"
    break;

  case 410: /* disk_flag: WHOLEDISK STRING optbootfile  */
#line 1500 "parser.y"
                  {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a harddisk given.");
		  dptr->type = HDISK;
		  dptr->dev_name = (yyvsp[-1].s_value);
		  }
#line 5299 "parser.c"
    break;

  case 411: /* disk_flag: L_FLOPPY string_expr  */
#line 1507 "parser.y"
                  {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a floppy-device given.");
		  dptr->type = FLOPPY;
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5310 "parser.c"
    break;

  case 412: /* disk_flag: L_PARTITION string_expr INTEGER optbootfile  */
#line 1514 "parser.y"
                  {
                  yywarn("{ partition \"%s\" %d } the"
			 " token '%d' is ignored and can be removed.",
			 (yyvsp[-2].s_value),(yyvsp[-1].i_value),(yyvsp[-1].i_value));
		  do_part((yyvsp[-2].s_value));
		  }
#line 5321 "parser.c"
    break;

  case 413: /* disk_flag: L_PARTITION string_expr optbootfile  */
#line 1521 "parser.y"
                  { do_part((yyvsp[-1].s_value)); }
#line 5327 "parser.c"
    break;

  case 414: /* disk_flag: DIRECTORY string_expr  */
#line 1523 "parser.y"
                  {
		  if (dptr->dev_name != NULL)
		    yyerror("Two names for a directory given.");
		  dptr->type = DIR_TYPE;
		  dptr->dev_name = (yyvsp[0].s_value);
		  }
#line 5338 "parser.c"
    break;

  case 415: /* disk_flag: STRING  */
#line 1530 "parser.y"
                    { yyerror("unrecognized disk flag '%s'\n", (yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5344 "parser.c"
    break;

  case 419: /* port_flag: INTEGER  */
#line 1540 "parser.y"
                   {
		   c_printf("CONF: I/O port 0x%04x\n", (unsigned short)(yyvsp[0].i_value));
	           allow_io((yyvsp[0].i_value), 1, ports_permission, ports_ormask,
	                    ports_andmask, portspeed, (char*)dev_name);
		   if (abs(portspeed)) portspeed += ((portspeed>0) ? 1 : -1);
	           }
#line 5355 "parser.c"
    break;

  case 420: /* port_flag: '(' expression ')'  */
#line 1547 "parser.y"
                   {
	           allow_io((yyvsp[-1].i_value), 1, ports_permission, ports_ormask,
	                    ports_andmask, portspeed, (char*)dev_name);
		   if (abs(portspeed)) portspeed += ((portspeed>0) ? 1 : -1);
	           }
#line 5365 "parser.c"
    break;

  case 421: /* port_flag: RANGE INTEGER INTEGER  */
#line 1553 "parser.y"
                   {
		   if (abs(portspeed) > 1) portspeed = 0;
		   c_printf("CONF: range of I/O ports 0x%04x-0x%04x\n",
			    (unsigned short)(yyvsp[-1].i_value), (unsigned short)(yyvsp[0].i_value));
		   allow_io((yyvsp[-1].i_value), (yyvsp[0].i_value) - (yyvsp[-1].i_value) + 1, ports_permission, ports_ormask,
			    ports_andmask, portspeed, (char*)dev_name);
		   portspeed=0;
		   strcpy(dev_name,"");
		   }
#line 5379 "parser.c"
    break;

  case 422: /* port_flag: RANGE expression ',' expression  */
#line 1563 "parser.y"
                   {
		   if (abs(portspeed) > 1) portspeed = 0;
		   c_printf("CONF: range of I/O ports 0x%04x-0x%04x\n",
			    (unsigned short)(yyvsp[-2].i_value), (unsigned short)(yyvsp[0].i_value));
		   allow_io((yyvsp[-2].i_value), (yyvsp[0].i_value) - (yyvsp[-2].i_value) + 1, ports_permission, ports_ormask,
			    ports_andmask, portspeed, (char*)dev_name);
		   portspeed=0;
		   strcpy(dev_name,"");
		   }
#line 5393 "parser.c"
    break;

  case 423: /* port_flag: RDONLY  */
#line 1572 "parser.y"
                                        { ports_permission = IO_READ; }
#line 5399 "parser.c"
    break;

  case 424: /* port_flag: WRONLY  */
#line 1573 "parser.y"
                                        { ports_permission = IO_WRITE; }
#line 5405 "parser.c"
    break;

  case 425: /* port_flag: RDWR  */
#line 1574 "parser.y"
                                        { ports_permission = IO_RDWR; }
#line 5411 "parser.c"
    break;

  case 426: /* port_flag: ORMASK expression  */
#line 1575 "parser.y"
                                        { ports_ormask = (yyvsp[0].i_value); }
#line 5417 "parser.c"
    break;

  case 427: /* port_flag: ANDMASK expression  */
#line 1576 "parser.y"
                                        { ports_andmask = (yyvsp[0].i_value); }
#line 5423 "parser.c"
    break;

  case 428: /* port_flag: FAST  */
#line 1577 "parser.y"
                                        { portspeed = 1; }
#line 5429 "parser.c"
    break;

  case 429: /* port_flag: SLOW  */
#line 1578 "parser.y"
                                        { portspeed = -1; }
#line 5435 "parser.c"
    break;

  case 430: /* port_flag: DEVICE string_expr  */
#line 1579 "parser.y"
                                             { strcpy(dev_name,(yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5441 "parser.c"
    break;

  case 431: /* port_flag: STRING  */
#line 1581 "parser.y"
                    { yyerror("unrecognized port command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 5448 "parser.c"
    break;

  case 435: /* trace_port_flag: INTEGER  */
#line 1590 "parser.y"
                        { register_port_traceing((yyvsp[0].i_value), (yyvsp[0].i_value)); }
#line 5454 "parser.c"
    break;

  case 436: /* trace_port_flag: '(' expression ')'  */
#line 1592 "parser.y"
                        { register_port_traceing((yyvsp[-1].i_value), (yyvsp[-1].i_value)); }
#line 5460 "parser.c"
    break;

  case 437: /* trace_port_flag: RANGE INTEGER INTEGER  */
#line 1594 "parser.y"
                        { register_port_traceing((yyvsp[-1].i_value), (yyvsp[0].i_value)); }
#line 5466 "parser.c"
    break;

  case 438: /* trace_port_flag: RANGE expression ',' expression  */
#line 1596 "parser.y"
                        { register_port_traceing((yyvsp[-2].i_value), (yyvsp[0].i_value)); }
#line 5472 "parser.c"
    break;

  case 439: /* trace_port_flag: CLEAR  */
#line 1597 "parser.y"
                        { clear_port_traceing(); }
#line 5478 "parser.c"
    break;

  case 440: /* trace_port_flag: STRING  */
#line 1599 "parser.y"
                    { yyerror("unrecognized port trace command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 5485 "parser.c"
    break;

  case 444: /* sillyint_flag: INTEGER  */
#line 1609 "parser.y"
                          { set_irq_value(1, (yyvsp[0].i_value)); }
#line 5491 "parser.c"
    break;

  case 445: /* sillyint_flag: '(' expression ')'  */
#line 1610 "parser.y"
                                     { set_irq_value(1, (yyvsp[-1].i_value)); }
#line 5497 "parser.c"
    break;

  case 446: /* sillyint_flag: USE_SIGIO expression  */
#line 1611 "parser.y"
                                       { set_irq_value(0x10001, (yyvsp[0].i_value)); }
#line 5503 "parser.c"
    break;

  case 447: /* sillyint_flag: RANGE INTEGER INTEGER  */
#line 1612 "parser.y"
                                        { set_irq_range(1, (yyvsp[-1].i_value), (yyvsp[0].i_value)); }
#line 5509 "parser.c"
    break;

  case 448: /* sillyint_flag: RANGE expression ',' expression  */
#line 1613 "parser.y"
                                                  { set_irq_range(1, (yyvsp[-2].i_value), (yyvsp[0].i_value)); }
#line 5515 "parser.c"
    break;

  case 449: /* sillyint_flag: USE_SIGIO RANGE INTEGER INTEGER  */
#line 1614 "parser.y"
                                                  { set_irq_range(0x10001, (yyvsp[-1].i_value), (yyvsp[0].i_value)); }
#line 5521 "parser.c"
    break;

  case 450: /* sillyint_flag: USE_SIGIO RANGE expression ',' expression  */
#line 1615 "parser.y"
                                                            { set_irq_range(0x10001, (yyvsp[-2].i_value), (yyvsp[0].i_value)); }
#line 5527 "parser.c"
    break;

  case 451: /* sillyint_flag: STRING  */
#line 1617 "parser.y"
                    { yyerror("unrecognized irqpassing command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 5534 "parser.c"
    break;

  case 455: /* ems_flag: INTEGER  */
#line 1628 "parser.y"
                   {
		     config.ems_size = (yyvsp[0].i_value);
		     if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[0].i_value));
	           }
#line 5543 "parser.c"
    break;

  case 456: /* ems_flag: '(' expression ')'  */
#line 1633 "parser.y"
                   {
		     config.ems_size = (yyvsp[-1].i_value);
		     if ((yyvsp[-1].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[-1].i_value));
	           }
#line 5552 "parser.c"
    break;

  case 457: /* ems_flag: EMS_SIZE expression  */
#line 1638 "parser.y"
                   {
		     config.ems_size = (yyvsp[0].i_value);
		     if ((yyvsp[0].i_value) > 0) c_printf("CONF: %dk bytes EMS memory\n", (yyvsp[0].i_value));
		   }
#line 5561 "parser.c"
    break;

  case 458: /* ems_flag: EMS_FRAME expression  */
#line 1643 "parser.y"
                   {
/* is there a technical reason why the EMS frame can't be at 0xC0000 or
   0xA0000 if there's space? */
#if 0
		     if ( (((yyvsp[0].i_value) & 0xfc00)>=0xc800) && (((yyvsp[0].i_value) & 0xfc00)<=0xe000) ) {
		       config.ems_frame = (yyvsp[0].i_value) & 0xfc00;
		       c_printf("CONF: EMS-frame = 0x%04x\n", config.ems_frame);
		     }
		     else yyerror("wrong EMS-frame: 0x%04x", (yyvsp[0].i_value));
#endif
	             config.ems_frame = (yyvsp[0].i_value) & 0xfc00;
		     c_printf("CONF: EMS-frame = 0x%04x\n", config.ems_frame);
		   }
#line 5579 "parser.c"
    break;

  case 459: /* ems_flag: STRING  */
#line 1657 "parser.y"
                    { yyerror("unrecognized ems command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 5586 "parser.c"
    break;

  case 463: /* hardware_ram_flag: INTEGER  */
#line 1668 "parser.y"
                   {
                     if (!register_hardware_ram('h', (yyvsp[0].i_value), PAGE_SIZE)) {
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[0].i_value));
                     }
	           }
#line 5596 "parser.c"
    break;

  case 464: /* hardware_ram_flag: '(' expression ')'  */
#line 1674 "parser.y"
                   {
                     if (!register_hardware_ram('h', (yyvsp[-1].i_value), PAGE_SIZE)) {
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[-1].i_value));
                     }
	           }
#line 5606 "parser.c"
    break;

  case 465: /* hardware_ram_flag: RANGE INTEGER INTEGER  */
#line 1680 "parser.y"
                   {
                     if (register_hardware_ram('h', (yyvsp[-1].i_value), (yyvsp[0].i_value) - (yyvsp[-1].i_value)))
	               c_printf("CONF: hardware ram pages at 0x%08x-%08x\n", (yyvsp[-1].i_value), (yyvsp[0].i_value));
                     else
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[-1].i_value));
		   }
#line 5617 "parser.c"
    break;

  case 466: /* hardware_ram_flag: RANGE expression ',' expression  */
#line 1687 "parser.y"
                   {
                     if (register_hardware_ram('h', (yyvsp[-2].i_value), (yyvsp[0].i_value) - (yyvsp[-2].i_value)))
	               c_printf("CONF: hardware ram pages at 0x%08x-%08x\n", (yyvsp[-2].i_value), (yyvsp[0].i_value));
                     else
                       yyerror("wrong hardware ram address : 0x%08x", (yyvsp[-2].i_value));
		   }
#line 5628 "parser.c"
    break;

  case 467: /* hardware_ram_flag: STRING  */
#line 1694 "parser.y"
                    { yyerror("unrecognized hardware ram command '%s'", (yyvsp[0].s_value));
		      free((yyvsp[0].s_value)); }
#line 5635 "parser.c"
    break;

  case 471: /* int_bool: expression  */
#line 1708 "parser.y"
                {
			if ((yyvsp[0].i_value) == -2) {
				yyerror("got 'on', expected 'off' or an integer");
			}
		}
#line 5645 "parser.c"
    break;

  case 472: /* irq_bool: expression  */
#line 1715 "parser.y"
                           {
			if ( (yyvsp[0].i_value) && (((yyvsp[0].i_value) < 2) || ((yyvsp[0].i_value) > 15)) ) {
				yyerror("got '%d', expected 'off' or an integer 2..15", (yyvsp[0].i_value));
			} 
		}
#line 5655 "parser.c"
    break;

  case 473: /* speaker: L_OFF  */
#line 1724 "parser.y"
                                { (yyval.i_value) = SPKR_OFF; }
#line 5661 "parser.c"
    break;

  case 474: /* speaker: NATIVE  */
#line 1725 "parser.y"
                                { (yyval.i_value) = SPKR_NATIVE; }
#line 5667 "parser.c"
    break;

  case 475: /* speaker: EMULATED  */
#line 1726 "parser.y"
                                { (yyval.i_value) = SPKR_EMULATED; }
#line 5673 "parser.c"
    break;

  case 476: /* speaker: STRING  */
#line 1727 "parser.y"
                                { yyerror("got '%s', expected 'emulated' or 'native'", (yyvsp[0].s_value));
				  free((yyvsp[0].s_value)); }
#line 5680 "parser.c"
    break;

  case 477: /* speaker: error  */
#line 1729 "parser.y"
                                { yyerror("expected 'emulated' or 'native'"); }
#line 5686 "parser.c"
    break;

  case 478: /* cpuemu: L_OFF  */
#line 1734 "parser.y"
                                { (yyval.i_value) = 0; }
#line 5692 "parser.c"
    break;

  case 479: /* cpuemu: VM86  */
#line 1735 "parser.y"
                                { (yyval.i_value) = 3; }
#line 5698 "parser.c"
    break;

  case 480: /* cpuemu: FULL  */
#line 1736 "parser.y"
                                { (yyval.i_value) = 4; }
#line 5704 "parser.c"
    break;

  case 481: /* cpuemu: VM86SIM  */
#line 1737 "parser.y"
                                { (yyval.i_value) = 5; }
#line 5710 "parser.c"
    break;

  case 482: /* cpuemu: FULLSIM  */
#line 1738 "parser.y"
                                { (yyval.i_value) = 6; }
#line 5716 "parser.c"
    break;

  case 483: /* cpuemu: STRING  */
#line 1739 "parser.y"
                                { yyerror("got '%s', expected 'off', 'vm86' or 'full'", (yyvsp[0].s_value));
				  free((yyvsp[0].s_value)); }
#line 5723 "parser.c"
    break;

  case 484: /* cpuemu: error  */
#line 1741 "parser.y"
                                { yyerror("expected 'off', 'vm86' or 'full'"); }
#line 5729 "parser.c"
    break;

  case 487: /* charset_flag: INTERNAL STRING  */
#line 1748 "parser.y"
                                  { set_internal_charset ((yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5735 "parser.c"
    break;

  case 488: /* charset_flag: EXTERNAL STRING  */
#line 1749 "parser.y"
                                  { set_external_charset ((yyvsp[0].s_value)); free((yyvsp[0].s_value)); }
#line 5741 "parser.c"
    break;


#line 5745 "parser.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

#line 1752 "parser.y"


	/* features */

static void handle_features(int which, int value)
{
  if ((which < 0)
	|| (which >= (sizeof(config.features) / sizeof(config.features[0])))) {
    c_printf("CONF: wrong feature number %d\n", which);
    return;
  }
  config.features[which] = value;
  c_printf("CONF: feature %d set to %d\n", which, value);
}

	/* joystick */

static void set_joy_device(char *devstring)
{
  char *spacepos;

  free(config.joy_device[0]);
  config.joy_device[0] = devstring;
  config.joy_device[1] = NULL;
  spacepos = strchr(devstring, ' ');
  if (spacepos != NULL) {
    *spacepos = '\0';
    config.joy_device[1] = spacepos + 1;
  }
}

	/* mouse */

static void start_mouse(void)
{
  mptr = &config.mouse;
  mptr->fd = -1;
}

static void stop_mouse(void)
{
  c_printf("MOUSE: %s, type %x using internaldriver: %s, emulate3buttons: %s baudrate: %d\n", 
        mptr->dev && mptr->dev[0] ? mptr->dev : "no device specified",
        mptr->type, mptr->intdrv ? "yes" : "no", 
        mptr->emulate3buttons ? "yes" : "no", mptr->baudRate);
}

	/* debug */

static void start_ports(void)
{
  if (priv_lvl)
    yyerror("Can not change port privileges in user config file");
  ports_permission = IO_RDWR;
  ports_ormask = 0;
  ports_andmask = 0xFFFF;
}

	/* debug */

static void start_debug(void)
{
  set_debug_level('a', 0);	      /* Default is no debugging output at all */
}

	/* video */

static void start_video(void)
{
  free(config.vbios_file);
  config.vbios_file = NULL;
  config.vbios_copy = 0;
  config.vbios_seg  = 0xc000;
  config.vbios_size = 0x10000;
  config.console_video = 0;
  config.cardtype = CARD_NONE;
  config.chipset = PLAINVGA;
  config.mapped_bios = 0;
  config.vga = 0;
  config.gfxmemsize = 256;
  config.fullrestore = 0;
  config.dualmon = 0;
  config.force_vt_switch = 0;
}

static void stop_video(void)
{
  if (priv_lvl)
    config.console_video = 0;

  if ((config.cardtype != CARD_VGA) || !config.console_video) {
    config.vga = 0;
  }
}

	/* vesa modes */
static void set_vesamodes(int width, int height, int color_bits)
{
  vesamode_type *vmt = malloc(sizeof *vmt);
  if(vmt != NULL) {
    vmt->width = width;
    vmt->height = height;
    vmt->color_bits = color_bits;
    vmt->next = config.vesamode_list;
    config.vesamode_list = vmt;
  }
}

	/* vbios detection */
static int auto_vbios_seg = -1;
static int auto_vbios_size = -1;

static void detect_vbios(void)
{
  unsigned char c[0x21];
  int foffset;

  if (auto_vbios_seg != -1) return;
  if (!can_do_root_stuff || config.vbios_file) return;
  for (foffset = 0xc0000; foffset < 0xf0000; foffset += 0x800) {
    load_file("/dev/mem", foffset, c, sizeof(c));
    if (c[0]==0x55 && c[1]==0xaa
        && c[0x1e]=='I' && c[0x1f]=='B' && c[0x20]=='M') {
      auto_vbios_seg = foffset >> 4;
      auto_vbios_size = c[2]*0x200;
      break;
    }
  }
}

static int detect_vbios_seg(void)
{
  detect_vbios();
  return auto_vbios_seg;
}

static int detect_vbios_size(void)
{
  detect_vbios();
  return auto_vbios_size;
}

static void stop_ttylocks(void)
{
  c_printf("SER: directory %s namestub %s binary %s\n", config.tty_lockdir,
	   config.tty_lockfile,(config.tty_lockbinary?"Yes":"No"));
}

	/* serial */

static void start_serial(void)
{
  if (c_ser >= MAX_SER)
    sptr = &nullser;
  else {
    /* The defaults for interrupt, base_port, real_comport and dev are 
    ** automatically filled in inside the do_ser_init routine of serial.c
    */
    sptr = &com[c_ser];
    sptr->dev = NULL;
    sptr->interrupt = 0; 
    sptr->base_port = 0;
    sptr->real_comport = 0;
    sptr->fd = -1;
    sptr->mouse = 0;
    sptr->virtual = FALSE;
    sptr->pseudo = FALSE;
  }
}


static void stop_serial(void)
{
  if (sptr->dev[0] == '\0')
    return;
  if (c_ser >= MAX_SER) {
    c_printf("SER: too many ports, ignoring %s\n", sptr->dev);
    return;
  }
  c_ser++;
  config.num_ser = c_ser;
  c_printf("SER: %s port %x int %x\n", sptr->dev, sptr->base_port,
	   sptr->interrupt);
}

	/* keyboard */

static int keyboard_statement_already = 0;

static void start_keyboard(void)
{
  keyb_layout(KEYB_USER); /* NOTE: the default has changed, --Hans, 971204 */
  config.console_keyb = 0;
  keyboard_statement_already = 1;
}

static void stop_terminal(void)
{
  if (config.term_updatefreq > 100) {
    yywarn("terminal updatefreq too large (too slow)!");
    config.term_updatefreq = 100;
  } 
}

	/* printer */

static void start_printer(void)
{
  pptr->prtcmd = NULL;
  pptr->dev = NULL;
  pptr->file = NULL;
  pptr->remaining = -1;
  pptr->delay = 10;
}

static void stop_printer(void)
{
  printer_config(c_printers, pptr);
  c_printf("CONF(LPT%d) f: %s   c: %s  t: %d  port: %x\n",
           c_printers, pptr->dev, pptr->prtcmd,
           pptr->delay, pptr->base_port);
  c_printers++;
  if (c_printers > config.num_lpt)
    config.num_lpt = c_printers;
}

	/* disk */

static void start_bootdisk(void)
{
  if (config.bootdisk)           /* Already a bootdisk configured ? */
    yyerror("There is already a bootdisk configured");
      
  dptr = &bootdisk;              /* set pointer do bootdisk-struct */
      
  dptr->diskcyl4096 = 0;
  dptr->sectors = 0;             /* setup default-values           */
  dptr->heads   = 0;
  dptr->tracks  = 0;
  dptr->type    = FLOPPY;
  dptr->default_cmos = THREE_INCH_FLOPPY;
  dptr->timeout = 0;
  dptr->dev_name = NULL;              /* default-values */
  dptr->boot_name = NULL;
  dptr->wantrdonly = 0;
  dptr->header = 0;
}

static void start_floppy(void)
{
  if (c_fdisks >= MAX_FDISKS)
    {
    yyerror("There are too many floppy disks defined");
    dptr = &nulldisk;          /* Dummy-Entry to avoid core-dumps */
    }
  else
    dptr = &disktab[c_fdisks];

  dptr->sectors = 0;             /* setup default values */
  dptr->heads   = 0;
  dptr->tracks  = 0;
  dptr->type    = FLOPPY;
  dptr->default_cmos = THREE_INCH_FLOPPY;
  dptr->timeout = 0;
  dptr->dev_name = NULL;              /* default-values */
  dptr->boot_name = NULL;
  dptr->wantrdonly = 0;
  dptr->header = 0;
}

static void start_disk(void)
{
  if (c_hdisks >= MAX_HDISKS) 
    {
    yyerror("There are too many hard disks defined");
    dptr = &nulldisk;          /* Dummy-Entry to avoid core-dumps */
    }
  else
    dptr = &hdisktab[c_hdisks];
      
  dptr->type    =  NODISK;
  dptr->sectors = -1;
  dptr->heads   = -1;
  dptr->tracks  = -1;
  dptr->timeout = 0;
  dptr->dev_name = NULL;              /* default-values */
  dptr->boot_name = NULL;
  dptr->wantrdonly = 0;
  dptr->header = 0;
  dptr->dexeflags = 0;
}

static void start_vnet(char *mode) {
  if (strcmp(mode, "tap") == 0) {
    config.vnet = VNET_TYPE_TAP;
    return;
  }
  IFCLASS(CL_NET) {}
  if (strlen(mode) == 0 || strcmp(mode, "direct") == 0)
    config.vnet = VNET_TYPE_ETH;
  else if (strcmp(mode, "dosnet") == 0)
    config.vnet = VNET_TYPE_DSN;
  else {
    error("Unknown vnet mode \"%s\"\n", mode);
    config.exitearly = 1;
  } 
}

static void do_part(char *dev)
{
  if (dptr->dev_name != NULL)
    yyerror("Two names for a partition given.");
  dptr->type = PARTITION;
  dptr->dev_name = dev;
#ifdef __linux__
  dptr->part_info.number = atoi(dptr->dev_name+8);
#endif
  if (dptr->part_info.number == 0) 
    yyerror("%s must be a PARTITION, can't find number suffix!\n",
   	    dptr->dev_name);
}

static void stop_disk(int token)
{
#ifdef __linux__
  FILE   *f;
  struct mntent *mtab;
#endif
  int    mounted_rw;

  if (dexe_running && dexe_forbid_disk)
    return;
  if (dptr == &nulldisk)              /* is there any disk? */
    return;                           /* no, nothing to do */

  if (!dptr->dev_name)                /* Is there a file/device-name? */
    yyerror("disk: no device/file-name given!");
  else                                /* check the file/device for existance */
    {
      struct stat file_status;        /* date for checking that file */

      c_printf("device: %s ", dptr->dev_name);
      if (stat(dptr->dev_name,&file_status) != 0) { /* Does this file exist? */
	 if (config.install ||
	     strcmp(dptr->dev_name, DOSEMUHDIMAGE_DEFAULT"/drives/*") == 0) {
	    /* default setting: display a menu */
	    dptr->type = DIR_TYPE;
	    if (!config.install)
	       config.install = "";
	 } else
	    yyerror("Disk-device/file %s doesn't exist.",dptr->dev_name);
      }
    }

  if (dptr->type == NODISK)    /* Is it one of bootdisk, floppy, harddisk ? */
    yyerror("disk: no device/file-name given!"); /* No, error */
  else
    c_printf("type %d ", dptr->type);

  if (dptr->type == PARTITION) {
    c_printf("partition# %d ", dptr->part_info.number);
#ifdef __linux__
    mtab = NULL;
    if ((f = setmntent(MOUNTED, "r")) != NULL) {
      while ((mtab = getmntent(f)))
        if (!strcmp(dptr->dev_name, mtab->mnt_fsname)) break;
      endmntent(f);
    }
    if (mtab) {
      mounted_rw = ( hasmntopt(mtab, MNTOPT_RW) != NULL );
      if (mounted_rw && !dptr->wantrdonly) 
        yyerror("\n\nYou specified '%s' for read-write Direct Partition Access,"
                "\nit is currently mounted read-write on '%s' !!!\n",
                dptr->dev_name, mtab->mnt_dir);
      else if (mounted_rw) 
        yywarn("You specified '%s' for read-only Direct Partition Access,"
               "\n         it is currently mounted read-write on '%s'.\n",
               dptr->dev_name, mtab->mnt_dir);
      else if (!dptr->wantrdonly) 
        yywarn("You specified '%s' for read-write Direct Partition Access,"
               "\n         it is currently mounted read-only on '%s'.\n",
               dptr->dev_name, mtab->mnt_dir);
    }
#endif
  }

  if (dptr->header)
    c_printf("header_size: %ld ", (long) dptr->header);

  c_printf("h: %d  s: %d   t: %d", dptr->heads, dptr->sectors,
	   dptr->tracks);

  if (token == BOOTDISK) {
    config.bootdisk = 1;
    use_bootdisk = 1;
    c_printf(" bootdisk\n");
  }
  else if (token == L_FLOPPY) {
    c_printf(" floppy %c:\n", 'A'+c_fdisks);
    c_fdisks++;
    config.fdisks = c_fdisks;
  }
  else {
    c_printf(" drive %c:\n", 'C'+c_hdisks);
    c_hdisks++;
    config.hdisks = c_hdisks;
  }
}

	/* keyboard */

void keyb_layout(int layout)
{
  struct keytable_entry *kt = keytable_list;
  if (layout == -1) {
    /* auto: do it later */
    config.keytable = NULL;
    return;
  }
  while (kt->name) {
    if (kt->keyboard == layout) {
      if (kt->flags & KT_ALTERNATE) {
        c_printf("CONF: Alternate keyboard-layout %s\n", kt->name);
        config.altkeytable = kt;
      } else {
      c_printf("CONF: Keyboard-layout %s\n", kt->name);
      config.keytable = kt;
      }
      return;
    }
    kt++;
  }
  c_printf("CONF: ERROR -- Keyboard has incorrect number!!!\n");
}

static void keytable_start(int layout)
{
  static struct keytable_entry *saved_kt = 0;
  if (layout == -1) {
    if (keyboard_statement_already) {
      if (config.keytable != saved_kt) {
        yywarn("keytable changed to %s table, but previously was defined %s\n",
                config.keytable->name, saved_kt->name);
      }
    }
  }
  else {
    saved_kt = config.keytable;
    keyb_layout(layout);
  }
}

static void keytable_stop(void)
{
  keytable_start(-1);
}

static void dump_keytables_to_file(char *name)
{
  FILE * f;
  struct keytable_entry *kt = keytable_list;

  f = fopen(name, "w");
  if (!f) {
    error("cannot create keytable file %s\n", name);
    exit(1);
  }
  
  while (kt->name) {
    dump_keytable(f, kt);
    kt++;
  }
  fclose(f);
  exit(0);
}

static void set_irq_value(int bits, int i1)
{
  if ((i1>2) && (i1<=15)) {
    config.sillyint |= (bits << i1);
    c_printf("CONF: IRQ %d for irqpassing", i1);
    if (bits & 0x10000)  c_printf(" uses SIGIO\n");
    else c_printf("\n");
  }
  else yyerror("wrong IRQ for irqpassing command: %d", i1);
}

static void set_irq_range(int bits, int i1, int i2) {
  int i;
  if ( (i1<3) || (i1>15) || (i2<3) || (i2>15) || (i1 > i2 ) ) {
    yyerror("wrong IRQ range for irqpassing command: %d .. %d", i1, i2);
  }
  else {
    for (i=i1; i<=i2; i++) config.sillyint |= (bits << i);
    c_printf("CONF: range of IRQs for irqpassing %d .. %d", i1, i2);
    if (bits & 0x10000)  c_printf(" uses SIGIO\n");
    else c_printf("\n");
  }
}


	/* errors & warnings */

void yywarn(char* string, ...)
{
  va_list vars;
  va_start(vars, string);
  fprintf(stderr, "Warning: ");
  vfprintf(stderr, string, vars);
  fprintf(stderr, "\n");
  va_end(vars);
  warnings++;
}

void yyerror(char* string, ...)
{
  va_list vars;
  va_start(vars, string);
  if (include_stack_ptr != 0 && !last_include) {
	  int i;
	  fprintf(stderr, "In file included from %s:%d\n",
		  include_fnames[0], include_lines[0]);
	  for(i = 1; i < include_stack_ptr; i++) {
		  fprintf(stderr, "                 from %s:%d\n",
			  include_fnames[i], include_lines[i]);
	  }
	  last_include = 1;
  }
  fprintf(stderr, "Error in %s: (line %.3d) ", 
	  include_fnames[include_stack_ptr], line_count);
  vfprintf(stderr, string, vars);
  fprintf(stderr, "\n");
  va_end(vars);
  errors++;
}


/*
 * open_file - opens the configuration-file named *filename and returns
 *             a file-pointer. The error/warning-counters are reset to zero.
 */

static FILE *open_file(char *filename)
{
  errors   = 0;                  /* Reset error counter */
  warnings = 0;                  /* Reset counter for warnings */

  if (!filename) return 0;
  return fopen(filename, "r"); /* Open config-file */
}

/*
 * close_file - Close the configuration file and issue a message about
 *              errors/warnings that occured. If there were errors, the
 *              flag early-exit is that, so dosemu won't really.
 */

static void close_file(FILE * file)
{
  if (file) fclose(file);                  /* Close the config-file */

  if(errors)
    fprintf(stderr, "%d error(s) detected while parsing the configuration-file\n",
	    errors);
  if(warnings)
    fprintf(stderr, "%d warning(s) detected while parsing the configuration-file\n",
	    warnings);

  if (errors != 0)               /* Exit dosemu on errors */
    {
      config.exitearly = TRUE;
    }
}

/* write_to_syslog */
static void write_to_syslog(char *message)
{
  openlog("dosemu", LOG_PID, LOG_USER | LOG_NOTICE);
  syslog(LOG_PID | LOG_USER | LOG_NOTICE, "%s", message);
  closelog();
}

static void move_dosemu_lib_dir(char *path)
{
  if (dosemu_lib_dir_path != path) {
    if (dosemu_lib_dir_path != dosemulib_default)
      free(dosemu_lib_dir_path);
    dosemu_lib_dir_path = strdup(path);
  }
  setenv("DOSEMU_LIB_DIR", dosemu_lib_dir_path, 1);
  if (keymap_load_base_path != keymaploadbase_default)
    free(keymap_load_base_path);
  keymap_load_base_path = assemble_path(path, "", 0);
}

static FILE *open_dosemu_users(void)
{
  FILE *fp;
  fp = open_file(DOSEMU_USERS_FILE);
  if (fp) return fp;
  return 0;
}

static void setup_home_directories(void)
{
  setenv("DOSEMU_HDIMAGE_DIR", dosemu_hdimage_dir_path, 1);
  LOCALDIR = get_dosemu_local_home();
  RUNDIR = mkdir_under(LOCALDIR, "run", 0);
  DOSEMU_MIDI_PATH = assemble_path(RUNDIR, DOSEMU_MIDI, 0);
  DOSEMU_MIDI_IN_PATH = assemble_path(RUNDIR, DOSEMU_MIDI_IN, 0);
}

static void lax_user_checking(void)
{
  char *p;
  define_config_variable("c_all");
  p = getenv("USER");
  if (!p) p = "guest";
  setenv("DOSEMU_USER", p, 1);
  setenv("DOSEMU_REAL_USER", p, 1);
  setup_home_directories();
}

/* Parse TimeMode, Paul Crawford and Andrew Brooks 2004-08-01 */
/* Accepts "bios", "pit", "linux", default is "bios". Use with TIMEMODE token */
int parse_timemode(const char *timemodestr)
{
   if (timemodestr == NULL || timemodestr[0] == '\0')
     return(TM_BIOS); /* default */
   if (strcmp(timemodestr, "linux")==0)
     return(TM_LINUX);
   if (strcmp(timemodestr, "pit")==0)
     return(TM_PIT);
   if (strcmp(timemodestr, "bios")==0)
     return(TM_BIOS);
   yyerror("Unrecognised time mode (not bios, pit or linux)");
   return(TM_BIOS);
}

/* Parse Users for DOSEMU, by Alan Hourihane, alanh@fairlite.demon.co.uk */
/* Jan-17-1996: Erik Mouw (J.A.K.Mouw@et.tudelft.nl)
 *  - added logging facilities
 * In 1998:     Hans
 *  - havy changes and re-arangments
 */
void
parse_dosemu_users(void)
{
#define ALL_USERS "all"
#define PBUFLEN 256

  FILE *volatile fp;
  struct passwd *pwd;
  char buf[PBUFLEN];
  int userok = 0;
  char *ustr;
  int uid;
  int have_vars=0;

  /* We come here _very_ early (at top of main()) to avoid security conflicts.
   * priv_init() has already been called, but nothing more.
   *
   * We will exit, if /etc/dosemu.users says that the user has no right
   * to run a suid root dosemu (and we are on), but will continue, if the user
   * is running a non-suid copy _and_ is mentioned in dosemu users.
   * The dosemu.users entry for such a user is:
   *
   *      joeodd  ... nosuidroot
   *
   * The functions we call rely on the following setting:
   */
  after_secure_check = 0;
  priv_lvl = 0;

  /* We first have to find out where the dosemu.users file is placed
   * by the system administrator.
   * We first look for /etc/dosemu.users, then for /etc/dosemu/dosemu.users
   * Once we know that, most other pathes are runtime configurable:
   *
   *  - dosemu.users tells were to find the dosemu-lib-dir
   *    (DOSEMULIB_DEFAULT per default)
   *  - global.conf includes $DOSEMU_CONF_DIR/dosemu.conf
   *    (which could be changed by the owner of global.conf).
   */

  if (DOSEMU_USERS_FILE == NULL) {
    setenv("DOSEMU_CONF_DIR", "", 1);
  } else if (!exists_file(DOSEMU_USERS_FILE)) {
    DOSEMU_USERS_FILE = ALTERNATE_ETC "/" DOSEMU_USERS;
    DOSEMU_LOGLEVEL_FILE = ALTERNATE_ETC "/" DOSEMU_LOGLEVEL;
    setenv("DOSEMU_CONF_DIR", ALTERNATE_ETC, 1);
  }
  else setenv("DOSEMU_CONF_DIR", "/etc", 1);
	
  /* we check for some vital global settings
   * which we need before proceeding
   */
  setenv("DOSEMU_LIB_DIR", dosemulib_default, 1);
  move_dosemu_lib_dir(dosemu_lib_dir_path);

  fp = open_dosemu_users();
  if (fp) while (fgets(buf, PBUFLEN, fp) != NULL) {
    int l = strlen(buf);
    if (l && (buf[l-1] == '\n')) buf[l-1] = 0;
    ustr = strtok(buf, " \t\n=,;:");
    if (ustr && (ustr[0] != '#')) {
      if (!strcmp(ustr, "default_lib_dir")) {
        ustr=strtok(0, " \t\n=,;:");
        if (ustr) {
          if (!exists_dir(ustr)) {
            char *tx = "default_lib_dir %s does not exist\n";
            fprintf(stderr, tx, ustr);
            fprintf(stdout, tx, ustr);
            exit(1);
          }
          move_dosemu_lib_dir(ustr);
        }
      }
      if (!strcmp(ustr, "default_hdimage_dir")) {
        ustr=strtok(0, " \t\n=,;:");
        if (ustr) {
          if (!exists_dir(ustr)) {
            char *tx = "default_hdimage_dir %s does not exist\n";
            fprintf(stderr, tx, ustr);
            fprintf(stdout, tx, ustr);
            exit(1);
          }
          if (dosemu_hdimage_dir_path != dosemuhdimage_default)
            free(dosemu_hdimage_dir_path);
          dosemu_hdimage_dir_path = strdup(ustr);
	  dexe_load_path = dosemu_hdimage_dir_path;
        }
      }
      else if (!strcmp(ustr, "log_level")) {
        int ll = 0;
        ustr=strtok(0, " \t\n=,;:");
        if (ustr) {
          ll = atoi(ustr);
          if (ll < 0) ll = 0;
          if (ll > 2) ll = 2;
        }
      }
      else if (!strcmp(ustr, "config_script")) {
        ustr=strtok(0, " \t\n=,;:");
        if (ustr && strcmp(ustr, DEFAULT_CONFIG_SCRIPT)) {
          config_script_path = strdup(ustr);
          if (!exists_file(config_script_path)) {
            char *tx = "config_script %s does not exist\n";
            fprintf(stderr, tx, ustr);
            fprintf(stdout, tx, ustr);
            exit(1);
          }
	  config_script_name = strdup(ustr);
	}
      }
    }
  }
  if (fp) fclose(fp);

  if (!can_do_root_stuff || under_root_login) {
     /* simply ignore -- we're not suid-root */
     lax_user_checking();
     after_secure_check = 1;
     return;
  }

  /* We want to test if the _user_ is allowed to do certain privileged    */
  /* things, o check if the username connected to the get_orig_uid() is   */
  /* in the DOSEMU_USERS_FILE file (usually /etc/dosemu.users).           */
   
  uid = get_orig_uid();

  errno = 0; /* man says this is necessary?! */
  pwd = getpwuid(uid);

  /* Sanity Check, Shouldn't be anyone logged in without a userid */
  if (!pwd) 
     {
       error("Illegal User: uid=%i, error=%s\n", uid, strerror(errno));
       sprintf(buf, "Illegal DOSEMU user: uid=%i", uid);
       write_to_syslog(buf);
       exit(1);
     }

  /* preset DOSEMU_*USER env, such that a user can't fake it */
  setenv("DOSEMU_USER", "unknown", 1);
  setenv("DOSEMU_REAL_USER", pwd->pw_name, 1);

  {
       int can_have_privsetup = 0;
       fp = open_dosemu_users();
       if (fp) {
	   for(userok=0; fgets(buf, PBUFLEN, fp) != NULL && !userok; ) {
	     int l = strlen(buf);
	     if (l && (buf[l-1] == '\n')) buf[l-1] = 0;
	     ustr = strtok(buf, " \t\n,;:");
	     if (ustr && (ustr[0] != '#')) {
	       if (strcmp(ustr, pwd->pw_name)== 0) 
		 userok = 1;
	       else if (strcmp(ustr, ALL_USERS)== 0)
		 userok = 1;
	       if (userok) {
		 setenv("DOSEMU_USER", ustr, 1);
		 while ((ustr=strtok(0, " \t,;:")) !=0) {
		   if (ustr[0] == '#') break;
		   define_config_variable(ustr);
		   have_vars = 1;
                   if (!strcmp(ustr,"private_setup")) {
                     can_have_privsetup = 1;
                   }
		 }
	         if (!have_vars && !using_sudo)
		   define_config_variable("restricted");
	       }
	     }
	   }
           fclose(fp);
       }
       

       if (can_have_privsetup
              && (   get_config_variable("unrestricted")
                  || under_root_login || !can_do_root_stuff)) {
         /* this user is allowed to have a privat ~/.dosemu/lib
          * (which replaces DOSEMULIB_DEFAULT if existing).
          * Hence this user can have its own global.conf e.t.c.
          * However, this is only possible with non-suid-root
          * binary or when running under root loggin or when 'unrestricted'
          * also is set.       -- Hans
          */
         char *lpath = get_path_in_HOME(LOCALDIR_BASE_NAME "/lib");
         if (exists_dir(lpath)) move_dosemu_lib_dir(lpath);
         free(lpath);
       }
  }

  define_config_variable("c_all");
  if(userok==0 && !using_sudo) {
    define_config_variable("restricted");
  }
  if (get_config_variable("nosuidroot") || (get_config_variable("restricted") && !on_console())) {
    fprintf(stderr, "Dropping root privileges: guest or a restricted user not on console.\n");
    priv_drop();
    lax_user_checking();
    after_secure_check = 1;
    return;
  }

  /* now we setup up our local DOSEMU home directory, where we
   * have (among other things) all temporary stuff in
   * (since 0.97.10.2)
   */
  setup_home_directories();
  after_secure_check = 1;
}


char *commandline_statements=0;

static int has_dexe_magic(char *name)
{
  int fd, magic, ret;
  fd = open(name, O_RDONLY);
  if (fd <0) return 0;
  ret = (read(fd, &magic, 4) == 4) && (magic == DEXE_MAGIC);
  close(fd);
  return ret;
}

static int stat_dexe(char *name)
{
  struct stat s;
  if (stat(name, &s)) return 0;
  if ( ! S_ISREG(s.st_mode)) return 0;
  if ((s.st_mode & S_IXUSR) && (s.st_uid == get_orig_uid()))
    return has_dexe_magic(name);
  if ((s.st_mode & S_IXGRP) && (is_in_groups(s.st_gid)))
    return  has_dexe_magic(name); 
  if (s.st_mode & S_IXOTH) return has_dexe_magic(name);
  return 0;
}

static char *resolve_exec_path(char *dexename, char *ext)
{
  enum { maxn=0x255 };
  static char n[maxn+1];
  static char name[maxn+1];
  char *p, *path=getenv("PATH");

  strncpy(name,dexename,maxn);
  name[maxn] = 0;
  n[maxn] = 0;
  p = rindex(name, '.');
  if ( ext && ((p && strcmp(p, ext)) || !p) )
    strncat(name,ext,maxn);


  /* first try the pure file name */
  if (!path || (name[0] == '/') || (!strncmp(name, "./", 2))) {
    if (stat_dexe(name)) return name;
    return 0;
  }

  /* next try the standard path for DEXE files */
  snprintf(n, maxn, "%s/%s", dexe_load_path, name);
  if (stat_dexe(n)) return n;

  /* now search in the users normal PATH */
  path = strdup(path);
  p= strtok(path,":");
  while (p) {
    snprintf(n, maxn, "%s/%s", p, name);
    if (stat_dexe(n)) {
      free(path);
      return n;
    }
    p=strtok(0,":");
  }
  free(path);
  return 0;
}

void prepare_dexe_load(char *name)
{
  char *n, *cbuf;
  int fd, csize;
  struct image_header ihdr;

  n = resolve_exec_path(name, ".dexe");
  if (!n) {
    n = resolve_exec_path(name, 0);
    if (!n) {
      error("DEXE file not found or not executable\n");
      exit(1);
    }
  }

  /* now we extract the configuration file and the access flags */
  fd = open(n, O_RDONLY);
  if (read(fd, &ihdr, sizeof(struct image_header)) != sizeof(struct image_header)) {
    error("broken DEXE format, can't read image header\n");
    close(fd);
    exit(1);
  }

  lseek(fd, HEADER_SIZE + 0x200, SEEK_SET); /* just behind the MBR */
  if ((read(fd, &csize, 4) != 4) || (csize > 0x2000)) {
    error("broken DEXE format, configuration not found\n");
    close(fd);
    exit(1);
  }
  
  /* we use the -I option to feed in the configuration,
   * and we put ours in front of eventually existing options
   */
  if (commandline_statements) {
    cbuf = malloc(csize+1+strlen(commandline_statements)+1);
    read(fd, cbuf, csize);
    cbuf[csize] = '\n';
    strcpy(cbuf+csize+1, commandline_statements);
  }
  else {
    cbuf = malloc(csize+1);
    read(fd, cbuf, csize);
    cbuf[csize] = 0;
  }
  commandline_statements = cbuf;
  close(fd);

  start_disk();
  dptr->type = IMAGE;
  dptr->header = HEADER_SIZE;
  dptr->dev_name = n;
  dptr->dexeflags = ihdr.dexeflags | DISK_IS_DEXE;
  stop_disk(DISK);
  dexe_running = 1;
}


static void do_parse(FILE* fp, char *confname, char *errtx)
{
        yyin = fp;
        line_count = 1;
	include_stack_ptr = 0;
        c_printf("CONF: Parsing %s file.\n", confname);
	file_being_parsed = strdup(confname);
	include_fnames[include_stack_ptr] = file_being_parsed;
	yyrestart(fp);
        if (yyparse()) yyerror(errtx, confname);
        close_file(fp);
	include_stack_ptr = 0;
	include_fnames[include_stack_ptr] = 0;
	free(file_being_parsed);
}

int parse_config(char *confname, char *dosrcname)
{
  FILE *fd;
  int is_user_config;
#if YYDEBUG != 0
  yydebug  = 1;
#endif

  define_config_variable(PARSER_VERSION_STRING);

  /* Let's try confname if not null, and fail if not found */
  /* Else try the user's own .dosrc (old) or .dosemurc (new) */
  /* If that doesn't exist we will default to CONFIG_FILE */

  { 
    if (!dosrcname) {
      char *name = get_path_in_HOME(DOSEMU_RC);
      setenv("DOSEMU_RC", name, 1);
      free(name);
    }
    else {
      setenv("DOSEMU_RC",dosrcname,1);
    }

    /* privileged options allowed? */
    is_user_config = (confname && config_script_path && strcmp(confname, config_script_path));
    priv_lvl = !under_root_login && can_do_root_stuff && is_user_config;

    /* DEXE together with option F ? */
    if (priv_lvl && dexe_running) {
      /* for security reasons we cannot allow this */
      fprintf(stderr, "user cannot load DEXE file together with option -F\n");
      exit(1);
    }

    if (is_user_config) define_config_variable("c_user");
    else define_config_variable("c_system");
    if (dexe_running) define_config_variable("c_dexerun");

    yy_vbuffer = dosemu_conf;
    do_parse(NULL, "built-in dosemu.conf", "error in built-in dosemu.conf");
    yy_vbuffer = global_conf;
    do_parse(NULL, "built-in global.conf", "error in built-in global.conf");
    if (confname) {
      yy_vbuffer = NULL;
      fd = open_file(confname);
      if (!fd) {
        if (!dexe_running) {
          fprintf(stderr, "Cannot open base config file %s, Aborting DOSEMU.\n",confname);
          exit(1);
        }
      }
      do_parse(fd, confname, "error in configuration file %s");
    }

    if (priv_lvl) undefine_config_variable("c_user");
    else undefine_config_variable("c_system");

    if (!get_config_variable(CONFNAME_V3USED)) {
	/* we obviously have an old configuration file
         * ( or a too simple one )
	 * giving up
	 */
	yyerror("\nYour %s script or configuration file is obviously\n"
		"an old style or a too simple one\n"
		"Please read README.txt on how to upgrade\n", confname);
	exit(1);
    }

    /* privileged options allowed for user's config? */
    priv_lvl = !under_root_login && can_do_root_stuff;
    if (priv_lvl) define_config_variable("c_user");

    /* Now we parse any commandline statements from option '-I'
     * We do this under priv_lvl set above, so we have the same secure level
     * as with .dosrc
     */

    if (commandline_statements) {
      #define XX_NAME "commandline"

      open_file(0);
      define_config_variable("c_comline");
      c_printf("Parsing " XX_NAME  " statements.\n");
      yyin=0;				 /* say: we have no input file */
      yy_vbuffer=commandline_statements; /* this is the input to scan */
      do_parse(0, XX_NAME, "error in user's %s statement");
      undefine_config_variable("c_comline");
    }
  }

  /* check for global settings, that should know the whole settings
   * This we only can do, after having parsed all statements
   */

  if (dexe_running) {
    /* force a BootC,
     * regardless what ever was set in the config files
     */
    config.hdiskboot = 1;
  }
  else {
    if (get_config_variable("c_dexeonly")) {
       c_printf("CONF: only execution of DEXE files allowed\n");
       fprintf(stderr, "only execution of DEXE files allowed\n");
       exit(99);
    }
  }

#ifdef TESTING
  error("TESTING: parser is terminating program\n");
  exit(0);
#endif
  return 1;
}

#define MAX_CONFIGVARIABLES 128
char *config_variables[MAX_CONFIGVARIABLES+1] = {0};
static int config_variables_count = 0;
static int config_variables_last = 0;
static int allowed_classes = -1;
static int saved_allowed_classes = -1;



static int is_in_allowed_classes(int mask)
{
  if (!(allowed_classes & mask)) {
    yyerror("insufficient class privilege to use this configuration option\n");
    exit(99);
  }
  return 1;
}

struct config_classes {
	char *class;
	int mask;
} config_classes[] = {
	{"c_all", CL_ALL},
	{"c_normal", CL_ALL & (~(CL_VAR | CL_VPORT | CL_IRQ | CL_HARDRAM | CL_PCI | CL_NET))},
	{"c_var", CL_VAR},
	{"c_system", CL_ALL},
	{"c_vport", CL_VPORT},
	{"c_port", CL_PORT},
	{"c_irq", CL_IRQ},
	{"c_pci", CL_PCI},
	{"c_hardram", CL_HARDRAM},
	{"c_net", CL_NET},
	{0,0}
};

static int get_class_mask(char *name)
{
  struct config_classes *p = &config_classes[0];
  while (p->class) {
    if (!strcmp(p->class,name)) return p->mask;
    p++;
  }
  return 0;
}

static void update_class_mask(void)
{
  int i, m;
  allowed_classes = 0;
  for (i=0; i< config_variables_count; i++) {
    if ((m=get_class_mask(config_variables[i])) != 0) {
      allowed_classes |= m;
    }
  }
}

static void enter_user_scope(int incstackptr)
{
  if (user_scope_level) return;
  saved_priv_lvl = priv_lvl;
  priv_lvl = 1;
  saved_allowed_classes = allowed_classes;
  allowed_classes = 0;
  user_scope_level = incstackptr;
  c_printf("CONF: entered user scope, includelevel %d\n", incstackptr-1);
}

static void leave_user_scope(int incstackptr)
{
  if (user_scope_level != incstackptr) return;
  priv_lvl = saved_priv_lvl;
  allowed_classes = saved_allowed_classes;
  user_scope_level = 0;
  c_printf("CONF: left user scope, includelevel %d\n", incstackptr-1);
}

char *get_config_variable(char *name)
{
  int i;
  for (i=0; i< config_variables_count; i++) {
    if (!strcmp(name, config_variables[i])) {
      config_variables_last = i;
      return config_variables[i];
    }
  }
  return 0;
}

int define_config_variable(char *name)
{
  if (priv_lvl) {
    if (strcmp(name, CONFNAME_V3USED) && strncmp(name, "u_", 2)) {
      c_printf("CONF: not enough privilege to define config variable %s\n", name);
      return 0;
    }
  }
  if (!get_config_variable(name)) {
    if (config_variables_count < MAX_CONFIGVARIABLES) {
      config_variables[config_variables_count++] = strdup(name);
      if (!priv_lvl) update_class_mask();
    }
    else {
      if (after_secure_check)
        c_printf("CONF: overflow on config variable list\n");
      return 0;
    }
  }
  if (after_secure_check)
    c_printf("CONF: config variable %s set\n", name);
  return 1;
}

static int undefine_config_variable(char *name)
{
  if (priv_lvl) {
    if (strncmp(name, "u_", 2)) {
      c_printf("CONF: not enough privilege to undefine config variable %s\n", name);
      return 0;
    }
  }
  if (get_config_variable(name)) {
    int i;
    if (!strcmp(name, CONFNAME_V3USED)) parser_version_3_style_used = 0;
    free(config_variables[config_variables_last]);
    for (i=config_variables_last; i<(config_variables_count-1); i++) {
      config_variables[i] = config_variables[i+1];
    }
    config_variables_count--;
    if (!priv_lvl) update_class_mask();
    c_printf("CONF: config variable %s unset\n", name);
    return 1;
  }
  return 0;
}

char *checked_getenv(const char *name)
{
  if (user_scope_level) {
     char *s, *name_ = malloc(strlen(name)+sizeof(USERVAR_PREF));
     strcpy(name_, USERVAR_PREF);
     strcat(name_, name);
     s = getenv(name_);
     free(name_);
     if (s) return s;
  }
  return getenv(name);
}

static void check_user_var(char *name)
{
	char *name_;
	char *s;

	if (user_scope_level) return;
	name_ = malloc(strlen(name)+sizeof(USERVAR_PREF));
	strcpy(name_, USERVAR_PREF);
	strcat(name_, name);
	s = getenv(name_);
	if (s) {
		if (getenv(name))
			c_printf("CONF: variable %s replaced by user\n", name);
		setenv(name, s, 1);
		unsetenv(name_);
	}
	free(name_);
}


static char *run_shell(char *command)
{
	int pipefds[2];
	pid_t pid;
	char excode[16] = "1";

	setenv("DOSEMU_SHELL_RETURN", excode, 1);
	if (pipe(pipefds)) return strdup("");
	pid = fork();
	if (pid == -1) return strdup("");
	if (!pid) {
		/* child */
		int ret;
		close(pipefds[0]);	/* we won't read from the pipe */
		dup2(pipefds[1], 1);	/* make the pipe child's stdout */
		priv_drop();	/* drop any priviledges */
		ret = system(command);
			/* tell the parent: "we have finished",
			 * this way we need not to play games with select()
			 */
		if (ret == -1) ret = errno;
		else ret >>=8;
		write(pipefds[1],"\0\0\0",4);
		close(pipefds[1]);
		_exit(ret);
	}
	else {
		/* parent */
		char *buf = 0;
		int recsize = 128;
		int bufsize = 0;
		int ptr =0;
		int ret;
		int status;

		close(pipefds[1]);	/* we won't write to the pipe */
		do {
			bufsize = ptr + recsize;
			if (!buf) buf = malloc(bufsize);
			else buf = realloc(buf, bufsize);
			ret = read(pipefds[0], buf+ptr, recsize -1);
			if (ret > 0) {
				ptr += ret;
			}
		} while (ret >0 && (ret < 4 || memcmp(buf+ptr-4,"\0\0\0",4)));
		close(pipefds[0]);
		waitpid(pid, &status, 0);
		buf[ptr] = 0;
		if (!buf[0]) {
			free(buf);
			buf = strdup("");
		}
		sprintf(excode, "%d", WEXITSTATUS(status));
		setenv("DOSEMU_SHELL_RETURN", excode, 1);
		return buf;
	}
}


struct for_each_entry {
	char *list;
	char *ptr;
	int skip_restart;
};

#define FOR_EACH_DEPTH	16
static struct for_each_entry *for_each_list = 0;

static int for_each_handling(int loopid, char *varname, char *delim, char *list)
{
	struct for_each_entry *fe;
	char * new;
	char saved;
	if (!for_each_list) {
		int size = FOR_EACH_DEPTH * sizeof(struct for_each_entry);
		for_each_list = malloc(size);
		memset(for_each_list, 0, size);
	}
	if (loopid > FOR_EACH_DEPTH) {
		yyerror("too deeply nested foreach\n");
		return 0;
	}
	fe = for_each_list + loopid;
	if (!fe->list) {
		/* starting the loop */
		fe->ptr = fe->list = strdup(list);
		fe->skip_restart = 0;
		if (loopid) {
			/* in inner loops we need to skip the restart */
			fe->skip_restart = 1;
		}
	}
	else {
		if (fe->skip_restart) {
			fe->skip_restart = 0;
			return 1;
		}
	}
	while (fe->ptr[0] && strchr(delim,fe->ptr[0])) fe->ptr++;
	/* subsequent call */
	if (!fe->ptr[0]) {
		/* loop end */
		free(fe->list);
		fe->list = 0;
		return (0);
	}
	new = strpbrk(fe->ptr, delim);
	if (!new) new = strchr(fe->ptr,0);
	saved = *new;
	*new = 0;
	setenv(varname,fe->ptr,1);
	if (saved) new++;
	fe->ptr = new;
	return (1);
}

#ifdef TESTING_MAIN

static void die(char *reason)
{
  error("par dead: %s\n", reason);
  exit(0);
}

int
main(int argc, char **argv)
{
  if (argc != 2)
    die("no filename!");

  if (!parse_config(argv[1], argv[2] /* will be NULL if not given */))
    die("parse failed!\n");
}

#endif

/* for keyboard plugin */



static void keyb_mod(int wich, t_keysym keynum, int unicode)
{
	static t_keysym *table = 0;
	static int count = 0;
	
	if (wich == ' ') {
		switch (keynum & 0xFF00) {
		case 0x000: wich = ' '; break;
		case 0x100: wich = 'S'; break;
		case 0x200: wich = 'A'; break;
		case 0x300: wich = 'N'; break;
		case 0x400: wich = 'C'; break;
		case 0x500: wich = 'a'; break;
		case 0x600: wich = 'c'; break;
		default: 
			/* It's a bad value ditch it */
			wich ='X'; table = 0; count = 0; break;
		}
		keynum &= 0xFF;
	}

	switch (wich) {
	case ' ': table = config.keytable->key_map;
		count=config.keytable->sizemap;
		break;
	case 'S': table = config.keytable->shift_map;
		count=config.keytable->sizemap;
		break;
	case 'A': table = config.keytable->alt_map;
		count=config.keytable->sizemap;
		break;
	case 'C': table = config.keytable->ctrl_map;
		count=config.keytable->sizemap;
		break;
	case 'a': table = config.keytable->shift_alt_map;
		count=config.keytable->sizemap;
		break;
	case 'c': table = config.keytable->ctrl_alt_map;
		count=config.keytable->sizemap;
		break;
	case 'N': table = config.keytable->num_table;
		count=config.keytable->sizepad;
		break;
	}


	if (!table || (count == 0) || (wich != 0 && keynum >= count)) {
		count = 0;
		table = 0;
		return;
	}
	if (wich != 0) {
		table += keynum;
		count -= keynum;
		return;
	}
	if (!unicode) {
		if (keynum == 0) {
			keynum = KEY_VOID;
		} else {
			keynum = keynum + 0xEF00;
		}
	}
	if (count > 0) {
		*table++ = keynum;
		count--;
	}
}


static char *get_key_name(t_keysym key)
{
	struct key_names {
		t_keysym key;
		char *name;
	};
	static struct key_names names[] =
	{
		{ KEY_DEAD_GRAVE,	"dgrave"},
		{ KEY_DEAD_ACUTE,	"dacute"},
		{ KEY_DEAD_CIRCUMFLEX,	"dcircum"},
		{ KEY_DEAD_TILDE,	"dtilde"},
		{ KEY_DEAD_BREVE,	"dbreve"},
		{ KEY_DEAD_ABOVEDOT,	"daboved"},
		{ KEY_DEAD_DIAERESIS,	"ddiares"},
		{ KEY_DEAD_ABOVERING,	"dabover"},
		{ KEY_DEAD_DOUBLEACUTE,	"ddacute"},
		{ KEY_DEAD_CEDILLA,	"dcedilla"},
		{ KEY_DEAD_OGONEK,	"dogonek"},
		{ KEY_DEAD_CARON,	"dcaron"},
	};
	int i;
	for(i = 0; i < sizeof(names)/sizeof(names[0]); i++) {
		if (names[i].key == key) {
			return names[i].name;
		}
	}
	return 0;
}

static void dump_keytable_part(FILE *f, t_keysym *map, int size)
{
  int i, in_string=0;
  t_keysym c;
  char *cc, comma=' ', buf[16];

  /* Note: This code assumes every font is a superset of ascii */
  if (!map) {
	  return;
  }
  size--;
  for (i=0; i<=size; i++) {
    c = map[i];
    if (!(i & 15)) fprintf(f,"    ");
    cc = get_key_name(c);
    if (!cc && (c < 128) && isprint(c) && !strchr("\\\"\'`", c)) {
      if (in_string) fputc(c,f);
      else {
        fprintf(f, "%c\"%c", comma, c);
        in_string = 1;
      }
    }
    else {
      if (!cc) {
	if (((c > 0) && (c < 128)) || ((c >= 0xEF00) && (c <= 0xEFFF))) {
	  sprintf(buf, "%d", c & 0xFF);
	} else if (c == KEY_VOID) {
	  strcpy(buf, "0");
	} else {
	  sprintf(buf, "\\u%04x", c);
	}
	cc = buf;
      }
      if (!in_string) fprintf(f, "%c%s", comma, cc);
      else {
        fprintf(f, "\",%s", cc);
        in_string = 0;
      }
    }
    if ((i & 15) == 15) {
      if (in_string) fputc('"', f);
      if (i < size) fputc(',', f);
      fputc('\n', f);
      in_string = 0;
      comma = ' ';
    }
    else comma = ',';
  }
  if (in_string) fputc('"', f);
  fputc('\n', f);
}


void dump_keytable(FILE *f, struct keytable_entry *kt)
{
    fprintf(f, "keytable %s {\n", kt->name);
    fprintf(f, "  0=\n");
    dump_keytable_part(f, kt->key_map, kt->sizemap);
    fprintf(f, "  shift 0=\n");
    dump_keytable_part(f, kt->shift_map, kt->sizemap);
    fprintf(f, "  alt 0=\n");
    dump_keytable_part(f, kt->alt_map, kt->sizemap);
    fprintf(f, "  numpad 0=\n");
    dump_keytable_part(f, kt->num_table, kt->sizepad-1);
    fprintf(f, "  ctrl 0=\n");
    dump_keytable_part(f, kt->ctrl_map, kt->sizemap);
    fprintf(f, "  shift-alt 0=\n");
    dump_keytable_part(f, kt->shift_alt_map, kt->sizemap);
    fprintf(f, "  ctrl-alt 0=\n");
    dump_keytable_part(f, kt->ctrl_alt_map, kt->sizemap);
    fprintf(f, "}\n\n\n");
}



	/* charset */
static struct char_set *get_charset(char *name)
{
	struct char_set *charset;

	charset = lookup_charset(name);
	if (!charset) {
		yyerror("Can't find charset %s", name);
	}
	return charset;

}

static void set_external_charset(char *charset_name)
{
	struct char_set *charset;
	charset = get_charset(charset_name);
	charset = get_terminal_charset(charset);
	if (charset) {
		if (!trconfig.output_charset) {
			trconfig.output_charset = charset;
		}
		if (!trconfig.keyb_charset) {
			trconfig.keyb_charset = charset;
		}
	}
	return;
}

static void set_internal_charset(char *charset_name)
{
	struct char_set *charset_video, *charset_config;
	charset_video = get_charset(charset_name);
	if (!is_display_charset(charset_video)) {
		yyerror("%s not suitable as an internal charset", charset_name);
	}
	charset_config = get_terminal_charset(charset_video);
	if (charset_video && !trconfig.video_mem_charset) {
		trconfig.video_mem_charset = charset_video;
	}
	if (charset_config && !trconfig.keyb_config_charset) {
		trconfig.keyb_config_charset = charset_config;
	}
	if (charset_config && !trconfig.dos_charset) {
		trconfig.dos_charset = charset_config;
	}
	return;
}

